2020-07-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.9.1

	* configure.ac, NEWS, doc/org/setup.org: Set version to 2.9.1.

2020-07-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remfin: simplify, thanks to previous patch

	* spot/twaalgos/remfin.cc: Get rid of for_each_edge since edges_of()
	and inner_edges_of() are now honoring the filters.

2020-07-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	scc_info: honor filters in edges_of() and inner_edges_of()

	* spot/twaalgos/sccinfo.hh: Honor filters in edges_of() and
	inner_edges_of().
	* tests/core/sccif.test: Adjust expected output.
	* NEWS: Mention the bug.

2020-07-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlcross: diagnose complementations requiring too many colors

	Fixes #411 reported by Frantiček Blahoudek.

	* bin/ltlcross.cc: Catch the issue.
	* tests/core/ltlcross6.test: New file.
	* tests/Makefile.am: Add it.
	* NEWS: Mention it.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	run: fix reduce on automata with Fin

	Reported by Florian Renkin.

	* spot/twaalgos/emptiness.cc (reduce): If the automaton uses Fin
	acceptance, check the reduced cycle and revert to the original cycle
	if necessary.
	* tests/python/intrun.py: New file.
	* tests/Makefile.am: Add it.
	* spot/twaalgos/emptiness.hh: Improve documentation.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genem: replace one recursive call by a loop

	* spot/twaalgos/genem.cc: In the spot29 implementation for the generic
	case, when Fin(fo)=true and Fin(fo)=false have to be tested
	separately, the second test can be done by a loop instead of a
	recursion, to avoid unnecessary processing of the acceptance
	condition.  Suggested by Jan Strejček.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	address a new g++-10 warnings

	* spot/twa/twa.hh (set_named_prop): Declare the lambda as noexcept.
	* spot/twaalgos/couvreurnew.cc (acss_states): Likewise.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	swig: search for swig4.0

	* configure.ac: Use swig4.0 when available.
	* HACKING: Update.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltldo: improve error messages

	Use ltldo:... instead of error:... and warning:... and also improve
	the diagnostic displayed after a translation failure to mention the
	tool and formula.

	Incidentally, this fixes a spurious test case failure observed by
	Philipp Schlehuber on CentOS7.7 where glibc 2.17 is installed.  With
	this system, when posix_spawn() starts a binary that does not exist,
	it returns success and let the child die with exit code 127.  On more
	recent glibc, posix_spawn() manages to return execve()'s errno, as if
	the child had not been created.  We handle those two different ways to
	fail, but before this patch one used to print "error:..." and the
	other "ltldo:...".

	* bin/ltldo.cc: Display the program_name in error message.  Display
	the command name and formula on translation failure.
	* tests/core/ltldo.test: Adjust test case.
	* NEWS: Mention the fix.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/sanity/80columns.test: Force LC_ALL.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	sccinfo: fix doc

	* spot/twaalgos/sccinfo.hh (scc_info_options::NONE): Fix doxygen doc.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	twa: get rid of set_num_sets_()

	* spot/twa/twa.hh (set_num_sets_): Remove, and adjust all uses.
	This fixes #414.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlsynt: use wdba-minimize=2 and ba-simul=0

	* bin/ltlsynt.cc: Here.
	* tests/core/ltlsynt.test: Add extra test case.
	* NEWS: Mention ltlsynt -x and related defaults.

2020-07-13  Florian Renkin  <frenkin@lrde.epita.fr>

	ltlsynt: Change default options

	* bin/ltlsynt.cc: Change default options.
	* tests/core/ltlsynt.test: Add test.

2020-07-13  Florian Renkin  <frenkin@lrde.epita.fr>

	ltlsynt: Add more elements in csv

	* bin/ltlsynt.cc: Add the number of states of the dpa
	and of the parity game in the csv.

2020-07-13  Florian Renkin  <frenkin@lrde.epita.fr>

	ltlsynt: Add -x option for translation

	* bin/ltlsynt.cc: ltlsynt can use extra options for translator.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around diagnostic changes in Bison 3.6

	Bison <3.6 used to complain about "$undefined", while Bison >=3.6 now
	write "invalid token".

	* tests/core/parseaut.test, tests/core/parseerr.test,
	tests/core/sugar.test: Adjust expected diagnostics to match Bison pre
	and post 3.6.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlsynt: add --algo=ps

	* bin/ltlsynt.cc: Implement this.
	* tests/core/ltlsynt.test: Add a test case.
	* NEWS: Mention it.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	simplify_acc: perform unit-propagation earlier

	Closes #405.   This shows no difference on the test suite,
	but that is thanks to the previous patch: without it, an
	example in automata.ipynb would have an extra edge.

	* spot/twaalgos/cleanacc.cc (simplify_acceptance): Call
	unit_propagation() before simplify_complementary_marks_here() and
	fuse_marks_here(), because that is simpler to perform.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remfin: do not clone transitions that are accepting in main

	* spot/twaalgos/remfin.cc (default_strategy): Detect transitions
	from the main copy that are completely accepting and that do not
	need to be repeated in the clones.
	* tests/python/remfin.py: Add a test case.
	* tests/core/ltl2dstar4.test: Improve expected results.
	* NEWS: Mention the change.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	improve fuse_marks_here by detecting more patterns

	This remove some restrictions that prevented fuse_marks_here from
	simplifying certain patterns, as noted in the first comment of
	issue #405.

	* spot/twaalgos/cleanacc.cc (find_interm_rec, find_fusable): Remove
	some unnecessary restrictions to singleton marks, and replace the hack
	put one non-singleton mark at the beginning of the singleton list by a
	sort.
	* tests/python/simplacc.py: Add two test cases.
	* tests/python/automata.ipynb, tests/core/remfin.test: Improve
	expected results.
	* NEWS: Mention the bug.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fixpool: allocate a new chunk on creation

	Allocate the first chunk when the fixpool is created.  This avoid a
	undefined behavior reported in issue #413 without requiring an extra
	comparison in allocate().

	* spot/misc/fixpool.hh, spot/misc/fixpool.cc (new_chunk_): New method
	extracted from allocate().  Use it in the constructor as well.
	* NEWS: Mention the bug.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	postproc: option to wdba-minimize only when sure

	Fixes #15.

	* spot/twaalgos/minimize.hh, spot/twaalgos/minimize.cc
	(minimize_obligation_garanteed_to_work): New function.
	* spot/twaalgos/postproc.hh, spot/twaalgos/postproc.cc: Use it if
	wdba-minimize=1.  Handle new default for wdba-minimize.
	* NEWS, bin/spot-x.cc: Document those changes.
	* tests/core/ltl2tgba2.test: Add some test cases.
	* tests/core/genltl.test: Improve expected results.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/satmin.org: Remove extra newlines (fixes #410).

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	stats: speed up the computation of transitions

	Juraj Major reported a case with 32 APs where ltlcross would take
	forever to gather statistics.  It turns out that for each edge,
	twa_sub_statistics was enumerating all compatible assignments of 32
	APs.  This uses bdd_satcountset() instead, and also store the result
	in a long long to avoid overflows.

	* spot/twaalgos/stats.cc (twa_sub_statistics): Improve the code for
	counting transitions.
	* bin/common_aoutput.hh, bin/ltlcross.cc, spot/twaalgos/stats.hh:
	Store transition counts are long long.
	* tests/core/readsave.test: Add test case.
	* NEWS: Mention the bug.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlsynt: make sure the previous Xor optimization actually works

	* spot/tl/simplify.hh, spot/tl/simplify.cc,
	spot/twaalgos/translate.cc: Update the tl_simplification
	options after all preferences have been given.
	* bin/ltlsynt.cc: Display the size of the translation output.
	* tests/core/ltlsynt.test: Add test case.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	translate: improve handling of Xor and Equiv at top-level for -G -D

	* spot/tl/formula.hh: Add variant of formula::is that support 4
	arguments.
	* spot/tl/simplify.hh, spot/tl/simplify.cc: Add option keep_top_xor
	to preserve Xor and Equiv at the top-level.
	* spot/twaalgos/translate.cc: Adjust ltl-split to deal with Xor and
	Equiv for the -D -G case.
	* NEWS: Mention that.
	* tests/core/ltl2tgba2.test: Add test case.
	* tests/python/simstate.py: Adjust expected result.

2020-07-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	product: add product_xor() and product_xnor()

	* spot/twaalgos/product.cc, spot/twaalgos/product.hh: Add those
	functions.
	* tests/python/_product_weak.ipynb, tests/python/except.py: Test them.
	* NEWS: Mention them.

2020-04-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version to 2.9.0.dev.

2020-04-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	release Spot 2.9

	* configure.ac, doc/org/setup.org, NEWS: Set version to 2.9.

2020-04-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/oaut.org: Refresh some examples; remove unecessary output.

2020-04-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlsynt: add a --csv=FILENAME option

	* bin/ltlsynt.cc: Add a --csv option to record the
	duration of the various phases.
	* tests/core/ltlsynt.test: Test the new option.
	* NEWS: Mention it.

2020-04-29  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	dot: fix #393

	* spot/twaalgos/dot.cc: Add support for option 'E', and default to
	rectangle nodes for large labels.
	* bin/common_aoutput.cc, NEWS: Document it.
	* tests/core/alternating.test, tests/core/dstar.test,
	tests/core/readsave.test, tests/core/sccdot.test,
	tests/core/tgbagraph.test, tests/python/_product_weak.ipynb,
	tests/python/alternation.ipynb, tests/python/atva16-fig2b.ipynb,
	tests/python/automata.ipynb, tests/python/decompose.ipynb,
	tests/python/gen.ipynb, tests/python/highlighting.ipynb,
	tests/python/ltsmin-dve.ipynb, tests/python/ltsmin-pml.ipynb,
	tests/python/parity.ipynb, tests/python/pdegen.py,
	tests/python/satmin.ipynb, tests/python/stutter-inv.ipynb: Adjust all
	test cases.

2020-04-29  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	dot: fix #392

	* spot/twaalgos/dot.cc: Add tooltips to "..." states and edges.
	* tests/core/readsave.test: Test this.
	* tests/python/highlighting.ipynb: Adjust.

2020-04-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	postproc: fix issue #402

	* spot/twaalgos/postproc.cc, spot/twaalgos/postproc.hh,
	spot/twaalgos/translate.cc: Introduce a gen-reduce-parity option and
	use it on sub-automata built by ltl-split.
	* bin/spot-x.cc: Document it.
	* tests/core/ltl2tgba2.test: Add test case reported by Juraj Major.

2020-04-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlsynt: fix lar.old implementation

	* bin/ltlsynt.cc: Make sure to_parity_old() receive a deterministic
	automaton, for correctness.   Also call reduce_parity() afterward,
	to match what was done in 2.8.7.
	* tests/core/ltlsynt.test: Include lar.old in the comparison of all
	results to make sure it give the same result as the other 3
	algorithms.

2020-04-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlsynt: add option to call to_parity_old

	* bin/ltlsynt.cc: Add support for --algo=lar.old
	* NEWS: Mention it.

2020-04-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml (raspbian): Add /wip/ exception.

2020-04-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	avoid mark_t::count() when possible

	count() may be implemented using a loop, so using it touch
	check count() == 1 or count() > 1 is not advisable.

	* spot/twa/acc.hh (mark_t::is_singleton, mark_t::has_many): Introduce
	these two methods to replace count()==1 and count()>1
	* spot/twa/acc.cc, spot/twaalgos/cleanacc.cc,
	spot/twaalgos/determinize.cc, spot/twaalgos/dtwasat.cc,
	spot/twaalgos/iscolored.cc, spot/twaalgos/remfin.cc,
	spot/twaalgos/toparity.cc: Adjust usage.

2020-04-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	cleanacc: keep acceptance order when removing complementary colors

	* spot/twaalgos/cleanacc.cc (remove_compl_rec): Rewrite to preserve
	the original order of the acceptance condition while rewriting it.
	* tests/core/sccdot.test, tests/python/merge.py,
	tests/python/simplacc.py, tests/python/toparity.py: Adjust test cases.

2020-04-18  Florian Renkin  <frenkin@lrde.epita.fr>

	unit_propagation: Correct result when multiple colors are possible

	* spot/twa/acc.cc: Here.
	* tests/core/acc.cc, tests/core/acc.test, tests/core/remfin.test:
	Update tests.

2020-04-18  Florian Renkin  <frenkin@lrde.epita.fr>

	to_parity: Correct the colors when we have parity pref. + true_clean

	* spot/twaalgos/toparity.cc: Don't use the same color for every edges
	when the condition is "true" or "false" after parity prefix.

2020-04-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: fix to_parity default option handling

	* python/spot/__init__.py (to_options): Do not have options
	explicitely default to to_parity_options(), because that would be
	instantiated only once.

2020-04-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	to_parity: only call reduce_parity() when prefix_parity is enabled

	Calling reduce_parity() in to_parity() is confusing, because then
	running to_parity() on one SCC does not necessarily produce the same
	output as running to_parity() on the entire automaton.  However it is
	necessary for the implementation of parity_prefix.  As a compromise,
	disable reduce_parity() when parity_prefix is disabled, this way we
	can use that to demonstrate how the algorithm works.

	* spot/twaalgos/toparity.hh, spot/twaalgos/toparity.cc: Do not
	call reduce_parity() when parity_prefix is disabled.
	* tests/python/toparity.py: Adjust.

2020-04-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	simplify_acc: loop over the simplifications

	* spot/twaalgos/cleanacc.cc (simplify_acceptance_here): Run the
	simplifications in a loop until the condition does not change anymore.
	* tests/python/simplacc.py, tests/core/accsimpl.test,
	tests/core/remfin.test, tests/python/merge.py,
	tests/python/simplacc.py, tests/python/toparity.py: Update expected
	results.
	* tests/python/automata.ipynb: Update the failing example to a more
	interesting one, matching the one in doc/org/autfilt.org.

2020-04-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	simplify_acc: fix an infinite loop

	* spot/twaalgos/cleanacc.cc (fuse_mark_here): Fix incorrect cancelling
	of n-ary subterms, causing an invalid acceptance condition, and then
	an infinite loop.
	* tests/python/simplacc.py: Add test case.

2020-04-17  Florian Renkin  <frenkin@lrde.epita.fr>

	to_parity: Correct the expected number of states

	* tests/python/toparity.py: here.

2020-04-17  Florian Renkin  <frenkin@lrde.epita.fr>

	to_parity: Add an option to force degeneralization

	* spot/twaalgos/toparity.cc, spot/twaalgos/toparity.hh:
	Don't try to run the algorithm without degeneralization
	with the option force_degen.

2020-04-17  Florian Renkin  <frenkin@lrde.epita.fr>

	to_parity: Remove merge_states

	* spot/twaalgos/toparity.cc: Remove merge_states.
	* tests/python/automata.ipynb, tests/python/toparity.py: Update tests.

2020-04-17  Florian Renkin  <frenkin@lrde.epita.fr>

	unit_propagation: Add a test with multiple unit clauses

	* tests/core/acc.cc, tests/core/acc.test: here.

2020-04-16  Florian Renkin  <frenkin@lrde.epita.fr>

	unit_propagation: Correct a problem with multiple marks

	* spot/twa/acc.cc: Don't create a conjunction of Inf with multiple marks
	in unit_propagation.

2020-04-16  Florian Renkin  <frenkin@lrde.epita.fr>

	to_parity: Use merge_states

	* spot/twaalgos/toparity.cc: Use merge_states at the end
	of to_parity.
	* tests/python/toparity.py: Update tests.

2020-04-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	toparity: false transitions are not a problem anymore

	* spot/twaalgos/toparity.cc: Do not remove false transitions.
	* tests/python/toparity.py: Add a test case with false transitions.

2020-04-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	update gnulib to 47bf2cf3184027c1eb9c1dfeea5c5b8b2d69710d

	* lib/dosname.h, lib/glthread/lock.c, lib/glthread/lock.h,
	lib/glthread/threadlib.c, lib/windows-mutex.c, lib/windows-mutex.h,
	lib/windows-once.c, lib/windows-once.h, lib/windows-recmutex.c,
	lib/windows-recmutex.h, lib/windows-rwlock.c, lib/windows-rwlock.h,
	m4/host-cpu-c-abi.m4, m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4,
	m4/lock.m4, m4/longlong.m4, m4/pthread_rwlock_rdlock.m4,
	tools/config.rpath: Delete.
	* lib/alloca.in.h, lib/argmatch.c, lib/argmatch.h, lib/arg-nonnull.h,
	lib/argp-ba.c, lib/argp-eexst.c, lib/argp-fmtstream.c,
	lib/argp-fmtstream.h, lib/argp-fs-xinl.c, lib/argp.h, lib/argp-help.c,
	lib/argp-namefrob.h, lib/argp-parse.c, lib/argp-pin.c, lib/argp-pv.c,
	lib/argp-pvh.c, lib/argp-xinl.c, lib/asnprintf.c, lib/basename-lgpl.c,
	lib/c-ctype.h, lib/c++defs.h, lib/cdefs.h, lib/closeout.c,
	lib/closeout.h, lib/close-stream.c, lib/c-strcasecmp.c,
	lib/c-strcaseeq.h, lib/c-strcase.h, lib/c-strncasecmp.c,
	lib/dirname.h, lib/dirname-lgpl.c, lib/errno.in.h, lib/error.c,
	lib/error.h, lib/exitfail.c, lib/exitfail.h, lib/fcntl.in.h,
	lib/filename.h, lib/float.c, lib/float+.h, lib/float.in.h,
	lib/fpending.c, lib/fpending.h, lib/getopt1.c, lib/getopt.c,
	lib/getopt-cdefs.in.h, lib/getopt-core.h, lib/getopt-ext.h,
	lib/getopt.in.h, lib/getopt_int.h, lib/getopt-pfx-core.h,
	lib/getopt-pfx-ext.h, lib/getprogname.c, lib/getprogname.h,
	lib/gettext.h, lib/gettimeofday.c, lib/hard-locale.c,
	lib/hard-locale.h, lib/intprops.h, lib/isatty.c, lib/itold.c,
	lib/libc-config.h, lib/limits.in.h, lib/localcharset.c,
	lib/localcharset.h, lib/localtime-buffer.c, lib/localtime-buffer.h,
	lib/lstat.c, lib/Makefile.am, lib/malloca.c, lib/malloca.h,
	lib/malloc.c, lib/mbrtowc.c, lib/mbsinit.c, lib/memchr.c,
	lib/memchr.valgrind, lib/mempcpy.c, lib/minmax.h, lib/mkdir.c,
	lib/mkstemp.c, lib/mkstemps.c, lib/msvc-inval.c, lib/msvc-inval.h,
	lib/msvc-nothrow.c, lib/msvc-nothrow.h, lib/_Noreturn.h,
	lib/pathmax.h, lib/printf-args.c, lib/printf-args.h,
	lib/printf-parse.c, lib/printf-parse.h, lib/progname.c,
	lib/progname.h, lib/quotearg.c, lib/quotearg.h, lib/quote.h,
	lib/rawmemchr.c, lib/rawmemchr.valgrind, lib/secure_getenv.c,
	lib/size_max.h, lib/sleep.c, lib/stat.c, lib/stat-time.h,
	lib/stat-w32.c, lib/stat-w32.h, lib/stdalign.in.h, lib/stdbool.in.h,
	lib/stddef.in.h, lib/stdint.in.h, lib/stdio-impl.h, lib/stdio.in.h,
	lib/stdlib.in.h, lib/stpcpy.c, lib/strcasecmp.c, lib/strchrnul.c,
	lib/strchrnul.valgrind, lib/streq.h, lib/strerror.c,
	lib/strerror-override.c, lib/strerror-override.h, lib/string.in.h,
	lib/strings.in.h, lib/stripslash.c, lib/strncasecmp.c, lib/strndup.c,
	lib/strnlen.c, lib/strverscmp.c, lib/sysexits.in.h, lib/sys_stat.in.h,
	lib/sys_time.in.h, lib/sys_types.in.h, lib/sys_wait.in.h,
	lib/tempname.c, lib/tempname.h, lib/time.in.h, lib/unistd.in.h,
	lib/vasnprintf.c, lib/vasnprintf.h, lib/verify.h, lib/vsnprintf.c,
	lib/warn-on-use.h, lib/wchar.in.h, lib/wctype.in.h,
	lib/windows-initguard.h, lib/xalloc-die.c, lib/xalloc.h,
	lib/xalloc-oversized.h, lib/xmalloc.c, lib/xsize.h, m4/00gnulib.m4,
	m4/absolute-header.m4, m4/alloca.m4, m4/argp.m4, m4/codeset.m4,
	m4/dirname.m4, m4/double-slash-root.m4, m4/eealloc.m4, m4/errno_h.m4,
	m4/error.m4, m4/exponentd.m4, m4/extensions.m4, m4/extern-inline.m4,
	m4/fcntl_h.m4, m4/fcntl-o.m4, m4/float_h.m4, m4/fpending.m4,
	m4/getopt.m4, m4/getprogname.m4, m4/gettimeofday.m4,
	m4/gnulib-cache.m4, m4/gnulib-common.m4, m4/gnulib-comp.m4,
	m4/gnulib-tool.m4, m4/include_next.m4, m4/__inline.m4, m4/intmax_t.m4,
	m4/inttypes_h.m4, m4/isatty.m4, m4/largefile.m4, m4/limits-h.m4,
	m4/localcharset.m4, m4/locale-fr.m4, m4/locale-ja.m4, m4/locale-zh.m4,
	m4/localtime-buffer.m4, m4/lstat.m4, m4/malloca.m4, m4/malloc.m4,
	m4/math_h.m4, m4/mbrtowc.m4, m4/mbsinit.m4, m4/mbstate_t.m4,
	m4/memchr.m4, m4/mempcpy.m4, m4/minmax.m4, m4/mkdir.m4, m4/mkstemp.m4,
	m4/mkstemps.m4, m4/mmap-anon.m4, m4/msvc-inval.m4, m4/msvc-nothrow.m4,
	m4/multiarch.m4, m4/nocrash.m4, m4/off_t.m4, m4/pathmax.m4,
	m4/printf.m4, m4/quotearg.m4, m4/quote.m4, m4/rawmemchr.m4,
	m4/secure_getenv.m4, m4/size_max.m4, m4/sleep.m4, m4/ssize_t.m4,
	m4/stat.m4, m4/stat-time.m4, m4/stdalign.m4, m4/stdbool.m4,
	m4/stddef_h.m4, m4/std-gnu11.m4, m4/stdint_h.m4, m4/stdint.m4,
	m4/stdio_h.m4, m4/stdlib_h.m4, m4/stpcpy.m4, m4/strcase.m4,
	m4/strchrnul.m4, m4/strerror.m4, m4/string_h.m4, m4/strings_h.m4,
	m4/strndup.m4, m4/strnlen.m4, m4/strverscmp.m4, m4/sysexits.m4,
	m4/sys_socket_h.m4, m4/sys_stat_h.m4, m4/sys_time_h.m4,
	m4/sys_types_h.m4, m4/sys_wait_h.m4, m4/tempname.m4, m4/threadlib.m4,
	m4/time_h.m4, m4/unistd_h.m4, m4/vasnprintf.m4, m4/vsnprintf.m4,
	m4/warn-on-use.m4, m4/wchar_h.m4, m4/wchar_t.m4, m4/wctype_h.m4,
	m4/wint_t.m4, m4/xalloc.m4, m4/xsize.m4: Update.
	* lib/inttypes.in.h, lib/lc-charset-dispatch.c,
	lib/lc-charset-dispatch.h, lib/locale.in.h, lib/mbrtowc-impl.h,
	lib/mbrtowc-impl-utf8.h, lib/mbtowc-lock.c, lib/mbtowc-lock.h,
	lib/setlocale-lock.c, lib/setlocale_null.c, lib/setlocale_null.h,
	m4/inttypes.m4, m4/locale_h.m4, m4/setlocale_null.m4,
	m4/visibility.m4, m4/zzgnulib.m4: New files.

2020-04-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	acc: make sure unit_propagate preserve the number of sets

	* spot/twa/acc.hh: Here.
	* tests/core/accsimpl.test, tests/core/ltl2tgba2.test: Add test cases.

2020-04-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around Doxygen limitation

	* spot/twa/twa.hh: Undocument the deprecated version of
	intersecting_run() to avoid an issue with Doxygen.  Reported by Juraj
	Major.

2020-04-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autcross: typo in --help

	* bin/autcross.cc: Fix typo in description of --save-bogus.
	Reported by Juraj Major.

2020-04-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: more examples for autfilt

	* doc/org/autfilt.org: Add examples for --simplify-acc and --parity.

2020-04-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/postproc.cc: Improve to_parity() call.

2020-04-16  Florian Renkin  <frenkin@lrde.epita.fr>

	to_parity: Correct error with automata without transition

	* spot/twaalgos/toparity.cc: Check that an automaton is not
	just a useless SCC.

2020-04-16  Florian Renkin  <frenkin@lrde.epita.fr>

	unit_propagation: Correct a segfault when we have true in the condition

	* spot/twa/acc.cc: Check if we have a "true" condition
	in unit_propagation.

2020-04-16  Florian Renkin  <frenkin@lrde.epita.fr>

	to_parity: Correct order function

	* spot/twaalgos/toparity.cc: Use a strict
	comparison in group_to_vector.
	* spot/twa/acc.cc: Use a strict comparison
	in is_parity_max_equiv.

2020-04-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Fix glibcxxdebug build not using --enable-glibcxx-debug

	* .gitlab-ci.yml (arch-gcc-glibcxxdebug): Pass configure flags to
	distcheck.

2020-04-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix invalid iterator handling, reported by -D_GLIBCXX_DEBUG

	* spot/tl/unabbrev.cc, spot/twa/twagraph.cc,
	spot/twaalgos/complement.cc: Here.  All of these caused
	test suite failure with -D_GLIBCXX_DEBUG.

2020-04-14  Florian Renkin  <frenkin@lrde.epita.fr>

	to_parity: Improve change_transitions_destination and add doc

	* spot/twaalgos/toparity.cc: Cancel a change of 0ba10976 and
	add documentation to some functions.

2020-04-12  Florian Renkin  <frenkin@lrde.epita.fr>

	to_parity: Improve to_parity and update tests

	* spot/twaalgos/toparity.cc: Use a better search of the
	transitions when we search compatible states.
	* spot/twaalgos/toparity.hh: Use less that 80 columns.
	* tests/python/merge.py, tests/python/toparity.py: Update tests.

2020-04-12  Florian Renkin  <frenkin@lrde.epita.fr>

	Move several functions from acc.hh to acc.h

	* spot/twa/acc.hh: Remove colors_inf_conj and colors_fin_disj
	(unused) and moved get_alone_mark (now find_unit_clause),
	propagate_fin_inf (now unit_propagation) and has_parity_prefix
	to acc.cc.
	* spot/twa/acc.cc: Use a new implementation of unit_propagation
	and find_unit_clause.
	* spot/twaalgos/cleanacc.cc: Use the new name of
	propagate_fin_inf.

2020-04-12  Florian Renkin  <frenkin@lrde.epita.fr>

	Impove simplify_acceptance

	* spot/twaalgos/cleanacc.cc: Use cleanup_acceptance if
	propagate_fin_inf was useful.
	* spot/twa/acc.hh: Avoid to reverse the order of the condition in
	propagate_fin_inf.
	* tests/core/accsimpl.test, tests/core/remfin.test,
	tests/python/merge.py, tests/python/automata.ipynb: Update tests.
	* tests/python/toparity.py: Update tests and add tests to check the
	number of states.

2020-04-12  Florian Renkin  <frenkin@lrde.epita.fr>

	Correct an issue in toparity with parity prefix

	* spot/twaalgos/toparity.cc: Use a lower value in the parity
	prefix vector to avoid the creation of unwanted {0} marks.

2020-04-12  Florian Renkin  <frenkin@lrde.epita.fr>

	* spot/twaalgos/toparity.hh: Add documentation for toparity options.

2020-04-12  Florian Renkin  <frenkin@lrde.epita.fr>

	Remove redundant Fin and Inf with simplify_acceptance

	* spot/twa/acc.hh: Add simplification like
	Fin(0)|(Inf(0) & Fin(1)) to Fin(0)|Fin(1).
	* spot/twaalgos/cleanacc.cc: Use this simplification.

2020-04-12  Florian Renkin  <frenkin@lrde.epita.fr>

	toparity: Search a compatible state at the end of the algo

	* spot/twaalgos/toparity.cc: Search existing state at
	the end of the algorihm.
	* spot/twaalgos/toparity.hh: Update documentation.

2020-04-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	relabel_bse: improve handling of n-ary operators

	* spot/tl/relabel.cc: Here.
	* tests/core/ltlrel.test: Add test cases, and update existing ones.
	* NEWS: Mention it.

2020-04-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	relabel_bse: fix incorrect detection of common APs

	Based on a report by Jean Kreber.

	* spot/tl/relabel.cc (cut_points): Really connect children of Boolean
	operators using undirected edges, not directed ones.
	* tests/core/ltlrel.test: Add test cases.
	* NEWS: Mention the bug.

2020-04-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ignore false edges in emptiness checks and scc_info

	Based on reports by Florian Renkin and Jens Kreber.

	* spot/twaalgos/bfssteps.cc, spot/twaalgos/couvreurnew.cc,
	spot/twaalgos/gtec/gtec.cc, spot/twaalgos/gv04.cc,
	spot/twaalgos/magic.cc, spot/twaalgos/sccinfo.cc
	spot/twaalgos/se05.cc, spot/twaalgos/tau03.cc: Ignore bddfalse edges.
	* spot/twaalgos/gtec/gtec.hh: Remove debugging function.
	* tests/core/neverclaimread.test: Adjust.
	* tests/python/ecfalse.py: New test file.
	* tests/Makefile.am: Add it.
	* NEWS: Mention the bug.

2020-04-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	relabel: generalize 9365f8de1 to remove more false edges

	* spot/twaalgos/relabel.cc: Detect false edges as they are created,
	even as the result of multiple renamings.
	* tests/core/ltl2tgba2.test: More test cases, reported by Jens Kreber.
	* NEWS: Mention the bug.
	* THANKS: Add Jens.

2020-04-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remove is_alternating() methods

	Those were deprecated more than 3 years ago.

	* spot/graph/graph.hh, spot/twa/twagraph.hh: Here.
	* NEWS: Mention the change.

2020-04-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	toparity: take a const_twa_graph_ptr as input

	* spot/twaalgos/toparity.hh (to_parity): Take a const TWA as input, as
	in Spot 2.8.
	* spot/twaalgos/toparity.cc: Adjust.

2020-04-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	toparity: rename iar_old()/iar_maybe_old() to iar()/iar_maybe()

	* spot/twaalgos/toparity.hh, spot/twaalgos/toparity.cc: Use the
	original names, to minimize differences with spot 2.8.  Deprecate
	them.
	* tests/python/except.py: Adjust.
	* NEWS: Mention the change.

2020-04-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	to_parity: improve remove_false_transitions

	* spot/twaalgos/toparity.hh (remove_false_transitions): Keep it
	private.
	* spot/twaalgos/toparity.cc (remove_false_transitions): Do not clone
	automata without false transitions, simplify the loops, and preserve
	all properties.

2020-04-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: simplify to_parity() interface

	* python/spot/__init__.py (to_parity): Iterate over the attributes
	of spot.to_parity_options instead of naming each option explicitely,
	also accept a to_parity_options() instance as argument.
	* tests/python/toparity.py: Add tests for both styles of calls, and
	reduce the number of random tests to lower the run time of this test.

2020-04-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	to_parity: improve doc, and rename car_option into to_parity_options

	* spot/twaalgos/toparity.hh: Improve doc, and rename car_option into
	to_parity_options.
	* doc/spot.bib: Add one reference.
	* python/spot/__init__.py, spot/twaalgos/toparity.cc,
	tests/python/toparity.py: Adjust.

2020-03-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Typo in date for 2.8.7.

2020-03-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Remove mention of car().

2020-03-24  Florian Renkin  <frenkin@lrde.epita.fr>

	Adapt ltlsynt to the new version of to_parity

	* bin/ltlsynt.cc: Use colorize_parity_here() but remove
	 reduce_parity_here() already used in the new version of
	 to_parity().

2020-03-24  Florian Renkin  <frenkin@lrde.epita.fr>

	Remove useless comments in toparity

	* spot/twaalgos/toparity.cc: Remove useless comments.

2020-03-24  Florian Renkin  <frenkin@lrde.epita.fr>

	Moved IAR and the new version of to_parity in toparity.cc

	* python/spot/__init__.py: Use keyword arguments in to_parity()
	* python/spot/impl.i: remove useless includes.
	* spot/twaalgos/car.cc, spot/twaalgos/car.hh,
	spot/twaalgos/rabin2parity.cc, spot/twaalgos/rabin2parity.hh,
	tests/Makefile.am, spot/twaalgos/Makefile.am:
	content moved to toparity.
	* spot/twaalgos/postproc.cc: Use the new version of to_parity in
	postprocessor::run.
	* spot/twaalgos/toparity.cc, spot/twaalgos/toparity.hh: Add the
	content of rabin2parity and car.
	* tests/python/car.py, tests/python/toparity.py: Moved all tests
	from car.py to toparity.py.
	* tests/python/except.py: Change iar() to iar_old().

2020-03-24  Florian Renkin  <frenkin@lrde.epita.fr>

	Add several options to CAR

	* spot/twa/acc.hh: Remove useless comment.
	* spot/twaalgos/car.cc: Rewrite the implementation to try
	  multiple algorithms and choose the best, add the possibility
	  to force the order of the colors/pairs in LAR and use
	  propagate_marks_here.
	* spot/twaalgos/car.hh, tests/python/car.py: Create a new system of
	  options for CAR.
	* spot/twaalgos/degen.cc, spot/twaalgos/degen.hh: Add the possibility
	  to forbid some marks in is_partially_degeneralizable.

2020-03-22  Florian Renkin  <frenkin@lrde.epita.fr>

	ltlsynt: Correct segfault with ds algorithm and verbose

	* bin/ltlsynt.cc: Use initialized DPA when printing when
	 we use DET_SPLIT and verbose.

2020-03-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2020-03-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version to 2.8.7.dev.

2020-03-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.8.7

	* NEWS, configure.ac, doc/org/setup.org: Update.

2020-03-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlcross: detect write errors for --save-bogus and --grind

	* bin/ltlcross.cc: Explicitly close those files to check for
	error conditions.
	* NEWS: Mention it.

2020-03-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	stutter: fix sl, sl2 to never accept on added self-loop

	Fixes #401, reported by Victor Khomenko.

	* spot/twaalgos/stutter.cc (sl, sl2): If {} is accepting, upgrade the
	acceptance condition.
	* tests/python/stutter.py: Add test cases.

2020-03-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	sccinfo: fix generation of self-loop accepting runs

	Reported by Juraj Major.

	* spot/twaalgos/sccinfo.cc (scc_info::get_accepting_run): Do not
	assume TRACK_STATES is enabled.
	* tests/core/autcross5.test: New file.
	* tests/Makefile.am: Add it.
	* NEWS: Mention the bug.

2020-03-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt: fix -u

	Fixes #399.

	* bin/autfilt.cc: Fix it.
	* tests/core/isomorph.test: Add test case.
	* NEWS: Mention the issue.

2020-03-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	product: fix handling of operand with false acceptance

	* NEWS: Mention the issue.
	* spot/twaalgos/product.cc: Fix it.
	* tests/python/prodexpt.py: Test it.

2020-03-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: fix some typos

	* doc/org/tut12.org: Here.

2020-03-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genem: fix suboptimal selection of Fin to remove

	* spot/twaalgos/genem.cc: If a disjunct has no unit-Fin to remove the
	code should select any Fin occuring in the disjunct, but it was
	selecting any Fin occuring in the acceptance condition (made of
	disjuncts) instead.  This could potentially double the number of
	recursive calls.

2020-03-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	stutter: fix sl, sl2 to never accept on added self-loop

	Fixes #401, reported by Victor Khomenko.

	* spot/twaalgos/stutter.cc (sl, sl2): If {} is accepting, upgrade the
	acceptance condition.
	* tests/core/stutter-tgba.test, tests/python/stutter.py: Add test cases.

2020-03-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	sccinfo: fix generation of self-loop accepting runs

	Reported by Juraj Major.

	* spot/twaalgos/sccinfo.cc (scc_info::get_accepting_run): Do not
	assume TRACK_STATES is enabled.
	* tests/core/autcross5.test: New file.
	* tests/Makefile.am: Add it.
	* NEWS: Mention the bug.

2020-03-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Typos.

2020-03-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlcross --save-inclusion-products: name the saved automata

	* bin/ltlcross.cc: Name saved automata for easier tracking.

2020-03-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt: fix -u

	Fixes #399.

	* bin/autfilt.cc: Fix it.
	* tests/core/isomorph.test: Add test case.
	* NEWS: Mention the issue.

2020-03-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlfilt, autfilt: add support for --nth

	* bin/autfilt.cc, bin/ltlfilt.cc: Implement it.
	* NEWS: Mention it.
	* tests/core/genaut.test, tests/core/genltl.test: Add test cases.

2020-03-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlcross: do not use remove_fin anymore

	* bin/ltlcross.cc: Since is_empty() now works with arbitrary
	acceptance conditions, calling remove_fin() is not necessary anymore.
	* tests/core/ltlcrossce.test: Adjust.
	* NEWS: Mention the change.

2020-03-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlcross: detect write errors for --save-bogus, --grind, etc

	* bin/ltlcross.cc: Explicitly close those file to check for
	error conditions.
	* tests/core/full.test: Add one test.

2020-03-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlcross: add option --save-inclusion-products

	* NEWS: Mention it.
	* bin/ltlcross.cc: Implement it.
	* tests/core/ltlcross3.test: Test it.

2020-03-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	product: fix handling of operand with false acceptance

	* NEWS: Mention the issue.
	* spot/twaalgos/product.cc: Fix it.
	* tests/python/prodexpt.py: Test it.

2020-03-06  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genem: improve the worst case

	* spot/twaalgos/genem.cc, spot/twaalgos/genem.hh: Improve the worst
	case by not recurring twice into each disjunct individually.  Keep
	the previous two implementation available and add a function
	generic_emptiness_check_select_version() so we can benchmark the
	difference.
	* tests/python/genem.py: Test the three versions.

2020-03-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: fix some typos

	* doc/org/tut12.org: Here.

2020-03-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genem: fix suboptimal selection of Fin to remove

	* spot/twaalgos/genem.cc: If a disjunct has no unit-Fin to remove the
	code should select any Fin occuring in the disjunct, but it was
	selecting any Fin occuring in the acceptance condition (made of
	disjuncts) instead.  This could potentially double the number of
	recursive calls.

2020-03-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* HACKING: Update various bits.

2020-02-26  Florian Renkin  <frenkin@lrde.epita.fr>

	CAR: Correct the value of the max color of the acceptance condition

	* spot/twaalgos/car.cc: Update the max_color in apply_to_Buchi.
	* tests/python/car.py: Add some tests that showed this issue.

2020-02-26  Florian Renkin  <frenkin@lrde.epita.fr>

	Check that every color appears once in is_parity_max_equiv

	* spot/twa/acc.cc: Now suppose that a condition cannot contain
	the same mark twice to be parity equivalent.

2020-02-26  Florian Renkin  <frenkin@lrde.epita.fr>

	Correct CAR when we use apply_to_Buchi

	* spot/twaalgos/car.cc: Correct the colors producted in apply_to_Buchi.

2020-02-26  Florian Renkin  <frenkin@lrde.epita.fr>

	Add mores cases in car.py

	* tests/python/car.py: Add more combinaisons of options
	when testing CAR.

2020-02-26  Florian Renkin  <frenkin@lrde.epita.fr>

	fixup! IAR: Correct parity prefix

	* spot/twaalgos/car.cc: Reduce the number of colors used by parity
	prefix and check that it uses parity colors in apply_to_Buchi.

2020-02-26  Florian Renkin  <frenkin@lrde.epita.fr>

	IAR: Use less colors with parity prefix and check that use parity colors

	* spot/twaalgos/car.cc: Don't reserve colors when parity prefix is used
	but the condition has no parity prefix and use colors of prefix in
	apply_to_Buchi.

2020-02-24  Florian Renkin  <frenkin@lrde.epita.fr>

	* AUTHORS: Add myself.

2020-02-24  Florian Renkin  <frenkin@lrde.epita.fr>

	CAR: new algorithm for paritizing

	* NEWS: Mention it.
	* spot/twaalgos/car.cc, spot/twaalgos/car.hh, tests/python/car.py:
	New files.
	* spot/twaalgos/Makefile.am, tests/Makefile.am: Add them.
	* python/spot/impl.i: Include CAR.
	* spot/twa/acc.cc, spot/twa/acc.hh, spot/twa/twagraph.cc,
	spot/twa/twagraph.hh: Add supporting methods.

2020-02-24  Florian Renkin  <frenkin@lrde.epita.fr>

	IAR: Add pretty print option and better lookup of existing states

	* spot/twaalgos/rabin2parity.cc, spot/twaalgos/rabin2parity.hh: here.

2020-02-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	simplify_acceptance: fix erroneous simplification

	Reported by Florian Renkin.

	* spot/twaalgos/cleanacc.cc: Do not rewrite
	...Fin(0)&(Fin(1)|(Fin(3)&Inf(4)))... as Fin(0)&f when it appears that
	{1,3} cannot receive {0}, because {1} is used elsewhere in the
	acceptance.
	* tests/python/simplacc.py: Add test case.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version to 2.8.6.dev.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.8.6

	* NEWS, configure.ac, doc/org/setup.org: Update version.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	doc: add DOIs to most citations

	* doc/spot.bib: Here.
	* doc/tl/tl.tex: Fix a citation.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/run.in: reset some envvars to avoid spurious failures.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tgba_determinize: improve citations in doc

	* doc/spot.bib (klein.07.ciaa, redziejowski.12.fi): Add two entries.
	* spot/twaalgos/determinize.hh: Use them.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	update citations of generic emptiness-check

	* doc/org/citing.org, doc/spot.bib: Here.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix is_generalized_rabin() and is_generalized_streett()

	* spot/twa/acc.cc: Fix detection of single-pairs gen-Rabin and
	gen-Streett.
	* tests/core/randaut.test: Add test case.
	* NEWS: Mention this issue.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	relabel: do not create automata with false labels

	* spot/twaalgos/relabel.cc: Remove false transitions if
	some of the propositions are equivalent to true or false.
	* NEWS: Mention the bug.
	* tests/core/ltl2tgba2.test: Test it.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	_postproc_translate_options: fix syntax error

	* python/spot/__init__.py: Here.
	* tests/python/except.py: Add test.
	* NEWS: Mention the issue.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix degeneralize_tba after accepting transition

	* spot/twaalgos/degen.cc (degeneralize_tba): Here.
	* tests/python/simstate.py: Adjust expected values.
	* NEWS: Mention the bug.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/concepts.org: Typo.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ipnbdoctest: attempt to restart when the kernel dies

	* tests/python/ipnbdoctest.py: Catch kernel deaths, wait a random
	number of seconds, and try again up to three times.

2020-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	doc: add DOIs to most citations

	* doc/spot.bib: Here.
	* doc/tl/tl.tex: Fix a citation.

2020-02-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	pdegen: fix another original-states related issue

	* spot/twaalgos/degen.cc (keep_bottommost_copies): Fix intialisation
	of bottommost_occurence.
	* tests/python/pdegen.py: Add test case sent by Florian Renkin.

2020-02-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	pdegen: fix the place with original-states are composed

	doing it too early breaks the "redirect all-accepting transitions"
	optimization

	* spot/twaalgos/degen.cc: move the original-states composition
	code.
	* tests/python/pdegen.py: Add test-case from Florian Renkin.

2020-02-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/run.in: reset some envvars to avoid spurious failures.

2020-02-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tgba_determinize: improve citations in doc

	* doc/spot.bib (klein.07.ciaa, redziejowski.12.fi): Add two entries.
	* spot/twaalgos/determinize.hh: Use them.

2020-02-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	update citations of generic emptiness-check

	* doc/org/citing.org, doc/spot.bib: Here.

2020-02-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt add support for --partial-degeneralize

	* bin/autfilt.cc: Add a --partial-degeneralize option.
	* NEWS: Mention it.
	* spot/twaalgos/degen.cc: Do not restrict partial_degeneralize() to
	deterministic automata.
	* spot/twaalgos/degen.hh: Adjust documentation.
	* tests/core/pdegen.test: New test case.
	* tests/Makefile.am: Add it.
	* tests/python/pdegen.py: Adjust.

2020-02-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix is_generalized_rabin() and is_generalized_streett()

	* spot/twa/acc.cc: Fix detection of single-pairs gen-Rabin and
	gen-Streett.
	* tests/core/randaut.test: Add test case.
	* NEWS: Mention this issue.

2020-02-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	degen: always compose original-states with the input

	* spot/twaalgos/degen.cc (degeneralize, partial_degeneralize): Here.
	* spot/twaalgos/degen.hh: Mention it.

2020-02-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	partial_degeneralize: force purge_unreachable in some corner case

	* spot/twaalgos/degen.cc: If an all-accepting transition has been
	redirected, we need to force purge_unreachable_state() to be called,
	otherwise we may have unreachable states.
	* tests/python/pdegen.py: Add test case.

2020-02-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	relabel: do not create automata with false labels

	* spot/twaalgos/relabel.cc: Remove false transitions if
	some of the propositions are equivalent to true or false.
	* NEWS: Mention the bug.
	* tests/core/ltl2tgba2.test: Test it.

2020-02-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	_postproc_translate_options: fix syntax error

	* python/spot/__init__.py: Here.
	* tests/python/except.py: Add test.
	* NEWS: Mention the issue.

2020-02-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	partial_degeneralize: handle original-state correctly

	Reported by Florian Renkin

	* spot/twaalgos/degen.cc (partial_degeneralize): Update
	original-state when partial_degeneralize is executed more
	than once in a loop.
	* tests/python/pdegen.py: Add test case.

2020-02-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	rabin_to_buchi_if_realizable: new function

	* spot/twaalgos/remfin.cc, spot/twaalgos/remfin.hh: Implement it.
	* tests/python/tra2tba.py: Test it.
	* NEWS: Mention it.

2020-02-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	partial_degeneralize: add a version that takes no "todegen" argument

	* spot/twaalgos/degen.cc,
	spot/twaalgos/degen.hh (is_partially_degeneralizable): New function.
	(partial_degeneralize): New version without todegen argument.
	* tests/python/pdegen.py: Add test cases.

2020-02-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	partial_degeneralization: generalize to terms that contain todegen

	* spot/twaalgos/degen.cc: Implement this.
	* tests/python/pdegen.py: Add tests.

2020-02-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix degeneralize_tba after accepting transition

	* spot/twaalgos/degen.cc (degeneralize_tba): Here.
	* tests/python/pdegen.py, tests/python/simstate.py: Adjust expected
	values.
	* NEWS: Mention the bug.

2020-02-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	partial_degeneralize: a support for disjunction of Fin

	* spot/twaalgos/degen.cc, spot/twaalgos/degen.hh: Implement this.
	Also throw a runtime error in case were todegen does not match any
	subformula.
	* tests/python/pdegen.py: Add tests.

2020-02-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	improve partial_degeneralize() on several cases

	On these 4 cases, added to pdegen.py, and supplied by Florian Renkin,
	partial_degeneralize() is now at least as good as degeneralize_tba(),
	and sometimes better.  This is achieved as follows: (1) a
	propagate_marks procedure is introduced to propagate marks as far as
	possible on the automaton (e.g., common outgoing marks can be push
	onto the incoming transitions and vice-versa), (2) the
	degeneralization order is compute dynamically, and (3) whenever and
	fully-accepting transition is taken in the original automaton, the
	destination level is chosen to be the highest existing level.

	* spot/twaalgos/degen.cc,
	spot/twaalgos/degen.hh (propagate_marks_vector, propagate_marks_here):
	New functions.
	(partial_degeneralize): Improve, as described above.
	* tests/python/pdegen.py: Add test cases.

2020-01-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/concepts.org: Typo.

2020-01-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Inf(i)|Inf(j) -> Inf(k) and  Fin(i)&Fin(j) -> Fin(k)

	Implement those rules in simplify_acceptance_here().

	* NEWS: Mention the change.
	* spot/twa/acc.cc,
	spot/twa/acc.hh (acc_cond::acc_code::used_once_sets): New method.
	* spot/twaalgos/cleanacc.cc, spot/twaalgos/cleanacc.hh:
	Implement the above rule.
	* tests/core/remfin.test: Adjust expected results.
	* tests/python/simplacc.py: New file.
	* tests/Makefile.am: Add it.

2020-01-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ipnbdoctest: attempt to restart when the kernel dies

	* tests/python/ipnbdoctest.py: Catch kernel deaths, wait a random
	number of seconds, and try again up to three times.

2020-01-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlcross: display short names when supplied

	Suggested by František Blahoudek.

	* bin/ltlcross.cc: Implement this.
	* NEWS, doc/org/ltlcross.org: Document it.
	* tests/core/ltlcross4.test: Test it.

2020-01-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2020-01-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version to 2.8.5.dev.

2020-01-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.8.5

	* NEWS, configure.ac, doc/org/setup.org: Bump version number.

2020-01-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ipnbdoctest: attempt to deal with buildfarm timeouts

	* tests/python/ipnbdoctest.py: Use shorter timeouts, and flush the
	shell messages without expecting them.

2020-01-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ipnbdoctest: attempt to deal with buildfarm timeouts

	* tests/python/ipnbdoctest.py: Use shorter timeouts, and flush the
	shell messages without expecting them.

2020-01-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bump copyright year

	* bin/common_setup.cc, debian/copyright: Here.

2020-01-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bump copyright year

	* bin/common_setup.cc, debian/copyright: Here.

2020-01-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	twagraph: merge_edge() can determinize automata

	Reported by František Blahoudek.

	* spot/twa/twagraph.cc: Reset prop_universal() if edges are merged in
	a non-deterministic automaton.
	* tests/core/det.test: Add test case.
	* NEWS: Mention the issue.

2020-01-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltl2tgba, ltldo: fix location of --negate in --help output

	* bin/common_finput.cc, bin/ltl2tgba.cc, bin/ltldo.cc: Make sure
	--negate is listed along with input options.

2020-01-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix ltl2tgba -B not always returning Inf(0)

	Reported by František Blahoudek.

	* spot/twaalgos/postproc.cc: Turn "t" into "Inf(0)" for BA.
	* tests/core/ltl2tgba.test: Add test case.
	* NEWS: Mention the bug.

2019-12-31  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tmpfile: improve error message

	* spot/misc/tmpfile.cc: Display strerror(errno) plus some suggestions
	that depend on the error.  Based on a report from Shengping Shaw.
	* THANKS: Add reporter.
	* tests/core/ltlcross5.test: New file.
	* tests/Makefile.am: Add it.

2019-12-31  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/emptiness.cc: Fix another gcc-snapshot warning.

2019-12-31  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/compsusp.cc: Fix a warning from gcc-snapshot.

2019-12-31  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	twagraph: merge_edge() can determinize automata

	Reported by František Blahoudek.

	* spot/twa/twagraph.cc: Reset prop_universal() if edges are merged in
	a non-deterministic automaton.
	* tests/core/det.test: Add test case.
	* NEWS: Mention the issue.

2019-12-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltl2tgba, ltldo: fix location of --negate in --help output

	* bin/common_finput.cc, bin/ltl2tgba.cc, bin/ltldo.cc: Make sure
	--negate is listed along with input options.

2019-12-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix ltl2tgba -B not always returning Inf(0)

	Reported by František Blahoudek.

	* spot/twaalgos/postproc.cc: Turn "t" into "Inf(0)" for BA.
	* tests/core/ltl2tgba.test: Add test case.
	* NEWS: Mention the bug.

2019-12-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tmpfile: improve error message

	* spot/misc/tmpfile.cc: Display strerror(errno) plus some suggestions
	that depend on the error.  Based on a report from Shengping Shaw.
	* THANKS: Add reporter.
	* tests/core/ltlcross5.test: New file.
	* tests/Makefile.am: Add it.

2019-12-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/emptiness.cc: Fix another gcc-snapshot warning.

2019-12-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/compsusp.cc: Fix a warning from gcc-snapshot.

2019-12-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	new partial_degeneralize() algorithm

	* spot/twaalgos/degen.hh, spot/twaalgos/degen.cc: Implement it.
	* tests/python/pdegen.py: New file.
	* tests/Makefile.am: Add it.
	* NEWS: Mention the new function.

2019-12-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2019-12-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version to 2.8.4.dev.

2019-12-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.8.4

	* NEWS, configure.ac, doc/org/setup.org: Set version to 2.8.4.

2019-12-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: fix documentation of --trust-hoa

	* bin/common_hoaread.cc: Here.  Reported by Juraj Major.

2019-12-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remfin: fix tra_to_tba

	This fixes a complementation bug reported by Juraj Major and Tereza
	Šťastná.

	* spot/twaalgos/remfin.cc (is_scc_tba_type): Fix the condition for
	handling Fin-alone pairs.
	* tests/core/complement.test: Add Juraj & Tereza's test case.
	* NEWS: Mention it.

2019-12-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: define our own SVG DisplayObject

	This is to workaround differences in minidom's pretty-printing that
	occurred between Python 3.7 and 3.8.

	* python/spot/jupyter.py (SVG): New class.
	* python/spot/__init__.py: Use it.
	* tests/python/_altscc.ipynb, tests/python/alternation.ipynb,
	tests/python/automata.ipynb, tests/python/formulas.ipynb,
	tests/python/gen.ipynb, tests/python/highlighting.ipynb,
	tests/python/ltsmin-dve.ipynb, tests/python/ltsmin-pml.ipynb,
	tests/python/product.ipynb, tests/python/randaut.ipynb,
	tests/python/testingaut.ipynb, tests/python/twagraph-internals.ipynb,
	tests/python/word.ipynb: Adjust.

2019-12-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: improve architecture diagram

	* doc/org/arch.tex: Improve diagram, add links and online services.
	* doc/org/concepts.org: Update text.

2019-12-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remfin: simplify tra_to_tba using generic emptiness check

	* spot/twaalgos/remfin.cc (tra_to_tba): Remove the SCC-emptiness
	check that was done by creating a temporary automaton.  Use the
	scc_info::check_scc_emptiness() function instead.
	* spot/twaalgos/sccinfo.cc,
	spot/twaalgos/sccinfo.hh (scc_info::check_scc_emptiness): Mark
	this function as const.
	(scc_and_mark_filter): Make sure we only combine with a lower filter
	of the same type.
	* spot/twaalgos/genem.cc: Remove one stray debugging statement.
	* tests/python/genem.py: Remove a duplicate test.

2019-12-06  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: fix documentation of --trust-hoa

	* bin/common_hoaread.cc: Here.  Reported by Juraj Major.

2019-12-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remfin: fix tra_to_tba

	This fixes a complementation bug reported by Juraj Major and Tereza
	Šťastná.

	* spot/twaalgos/remfin.cc (is_scc_tba_type): Fix the condition for
	handling Fin-alone pairs.
	* tests/core/complement.test: Add Juraj & Tereza's test case.
	* NEWS: Mention it.

2019-12-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: define our own SVG DisplayObject

	This is to workaround differences in minidom's pretty-printing that
	occurred between Python 3.7 and 3.8.

	* python/spot/jupyter.py (SVG): New class.
	* python/spot/__init__.py: Use it.
	* tests/python/_altscc.ipynb, tests/python/alternation.ipynb,
	tests/python/automata.ipynb, tests/python/formulas.ipynb,
	tests/python/gen.ipynb, tests/python/highlighting.ipynb,
	tests/python/ltsmin-dve.ipynb, tests/python/ltsmin-pml.ipynb,
	tests/python/product.ipynb, tests/python/randaut.ipynb,
	tests/python/testingaut.ipynb, tests/python/twagraph-internals.ipynb,
	tests/python/word.ipynb: Adjust.

2019-12-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	add a --check=stutter-sensitive-example option

	* spot/twaalgos/stutter.cc,
	spot/twaalgos/stutter.hh (check_stutter_invariance): Add a
	find_counterexamples argument.
	* spot/twaalgos/hoa.cc: Output accepted-word and rejected-word examples.
	* bin/common_aoutput.cc: Handle --check=stutter-sensitive-example.
	* NEWS: Mention it.
	* tests/core/stutter-tgba.test: Test it.
	* doc/org/concepts.org, doc/org/hoa.org: Document accepted-word and
	rejected-word named properties.
	* bin/man/spot-x.x: Mention that --check=stutter-sensitive-example
	ignores SPOT_STUTTER_CHECK.

2019-12-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: improve architecture diagram

	* doc/org/arch.tex: Improve diagram, add links and online services.
	* doc/org/concepts.org: Update text.

2019-11-06  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2019-11-06  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version to 2.8.3.dev.

2019-11-06  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	release Spot 2.8.3

	* NEWS, configure.ac, doc/org/setup.org: Set version to 2.8.3.

2019-10-31  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/tl/simplify.cc: Use robin_hood hashing.

2019-10-31  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	contain: some micro-optimizations

	* spot/tl/contain.cc, spot/tl/contain.hh: Use a pimp idiom to hide the
	hash tables, use robin_hood hash, and strip common Xs to save some
	cache lookups.
	* spot/tl/simplify.cc: Adjust to change of #include in contain.hh.

2019-10-29  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/ltl2tgba_fm.cc: Various micro-optimizations.

2019-10-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around recent GraphViz bug in SVG scaling

	See https://gitlab.com/graphviz/graphviz/issues/1605.

	* python/spot/aux.py (str_to_svg): Invert the scale parameters
	if they are both greater than one.

2019-10-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	acc: improve diagnostics for algorithms that use too many colors

	* spot/twa/acc.hh (acc_cond::mark_t): Diagnose mark_t with set numbers
	that are too larges.
	* tests/python/except.py: Adjust.
	* tests/core/acc.cc: Remove most of asserts, as those can be disabled,
	and adjust expected exception.

2019-10-28  Etienne Renault  <renault@lrde.epita.fr>

	core: random_shuffle is deprecated and not portable

	* tests/core/parity.cc: Here.

2019-10-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	trim: avoid the soon-to-be-deprecated std::ptr_fun

	Reported by Etienne Renault.

	* spot/priv/trim.cc: Simplify with a lambda.

2019-10-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* bin/ltlsynt.cc: Typo.

2019-10-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	"import spot.foo" may now load "spot-extra/foo.py"

	This is needed for tcltl.

	* python/spot/__init__.py: Alter __path__ to add any spot-extra/
	directory we find.
	* NEWS: Mention this.

2019-10-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: remove workaround for swig 2.0.2

	* python/spot/gen.i, python/spot/impl.i, python/spot/ltsmin.i: Here.

2019-10-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Fix many typos.

2019-10-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* debian/control (libspotgen0): Fix leading spaces in description.

2019-10-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: use local version of require.js

	* debian/control (spot-doc): Depends on libjs-requirejs.
	* debian/rules (fix-js): Replace uses.

2019-10-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: remove -flo workaround

	* debian/rules: Here.

2019-10-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* debian/copyright: Add license for robin_hood.hh.

2019-10-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around recent GraphViz bug in SVG scaling

	See https://gitlab.com/graphviz/graphviz/issues/1605.

	* python/spot/aux.py (str_to_svg): Invert the scale parameters
	if they are both greater than one.

2019-10-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	acc: improve diagnostics for algorithms that use too many colors

	* spot/twa/acc.hh (acc_cond::mark_t): Diagnose mark_t with set numbers
	that are too larges.
	* tests/python/except.py: Adjust.
	* tests/core/acc.cc: Remove most of asserts, as those can be disabled,
	and adjust expected exception.

2019-10-17  Etienne Renault  <renault@lrde.epita.fr>

	core: random_shuffle is deprecated and not portable

	* tests/core/parity.cc: Here.

2019-10-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	trim: avoid the soon-to-be-deprecated std::ptr_fun

	Reported by Etienne Renault.

	* spot/priv/trim.cc: Simplify with a lambda.

2019-10-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	formula: avoid id clash for atomic propositions

	This corrects a bug that has never been observed yet, has it would
	require more than UINT_MAX formulas allocations.

	* spot/tl/formula.cc, spot/tl/formula.hh: Bump the formula ID in the
	unlikely case a new atomic proposition would receive the same id as a
	previous one.

2019-10-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/rabin2parity.cc: Minor simplification.

2019-10-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	determinize: various micro optimizations

	* spot/twaalgos/determinize.cc: Implement various micro
	optimizations.  Use robin-hood hashing in a few places.
	* spot/priv/robin_hood.hh: New file.
	* spot/priv/Makefile.am: Add it.
	* tests/sanity/80columns.test, tests/sanity/includes.test,
	tests/sanity/style.test: Adjust to skip robin_hood.hh.

2019-10-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* elisp/hoa-mode.el: Update from upstream.

2019-10-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	improve readability of parity(false, true, 5)

	* spot/twa/acc.hh: Introduce parity_min_odd(n) and friends.
	* spot/twaalgos/determinize.cc, spot/twaalgos/rabin2parity.cc,
	spot/twaalgos/toparity.cc: Use them.
	* tests/python/parity.py: Call each function exhaustively.
	* NEWS: Mention the new functions.

2019-10-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	improve to_parity() LAR implementation using SCCs

	* spot/twaalgos/toparity.cc (lar_generator): Use scc_info to reset
	permutations of edges leaving SCCs.
	* tests/python/toparity.py: Add a test case.

2019-10-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* bin/ltlsynt.cc: Typo.

2019-10-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	"import spot.foo" may now load "spot-extra/foo.py"

	This is needed for tcltl.

	* python/spot/__init__.py: Alter __path__ to add any spot-extra/
	directory we find.
	* NEWS: Mention this.

2019-10-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: remove workaround for swig 2.0.2

	* python/spot/gen.i, python/spot/impl.i, python/spot/ltsmin.i: Here.

2019-09-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Fix many typos.

2019-09-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* debian/control (libspotgen0): Fix leading spaces in description.

2019-09-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: use local version of require.js

	* debian/control (spot-doc): Depends on libjs-requirejs.
	* debian/rules (fix-js): Replace uses.

2019-09-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: remove -flo workaround

	* debian/rules: Here.

2019-09-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2019-09-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Bump version to 2.8.2.dev

	* NEWS, configure.ac: Here.

2019-09-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.8.2

	* NEWS, configure.ac, doc/org/setup.org: Update version to 2.8.2.

2019-09-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml (raspbian): Restrict to branches.

2019-09-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/python/_product_weak.ipynb: Work around jupyter timeouts.

2019-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml (arch-gcc-glibcxxdebug): Do not call env.

2019-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml (arch-gcc-glibcxxdebug): Do not call env.

2019-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/index.org: Clarify license implications.

2019-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	aiger: simplify output code, and fix some function call order

	* spot/twaalgos/aiger.cc: Simplify some bit operatitions.  Force the
	ordering of operations in aig_and, that was causing a test case to
	fail on ARM, and greatly simplify the code and data structures used in
	remove_unused().
	* tests/core/ltlsynt.test: Adjust expected output.

2019-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: handle any exception before returning from parse_opt()

	On some architectures (e.g., ARM, or even some -flto setups on Intel)
	C++ exceptions to not traverse the C functions.  So even if the C++
	main() has a try/catch, it will not catch the exception thrown by C++
	code called from the argp module (which is compiled in C).

	* bin/common_setup.cc, bin/common_setup.hh: Define some macros
	and function to factorize exception handling.
	* bin/autcross.cc, bin/autfilt.cc, bin/common_aoutput.cc,
	bin/common_color.cc, bin/common_finput.cc, bin/common_hoaread.cc,
	bin/common_output.cc, bin/common_post.cc, bin/common_trans.cc,
	bin/dstar2tgba.cc, bin/genaut.cc, bin/genltl.cc, bin/ltl2tgba.cc,
	bin/ltl2tgta.cc, bin/ltlcross.cc, bin/ltldo.cc, bin/ltlfilt.cc,
	bin/ltlgrind.cc, bin/ltlsynt.cc, bin/randaut.cc, bin/randltl.cc:
	Protect all parse_opt() functions, even those where there is currently
	no exception risk.

2019-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix ARM builds

	* spot/misc/bitvect.hh (bitvect_array::at): Fix pointer cast.
	* spot/twa/bddprint.cc: Adjust to use signed char* explicitly.
	* spot/twaalgos/gtec/gtec.hh: Work around GCC bug #90309.
	* .gitlab-ci.yml: Add raspbian build.

2019-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/index.org: Clarify license implications.

2019-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	aiger: simplify output code, and fix some function call order

	* spot/twaalgos/aiger.cc: Simplify some bit operatitions.  Force the
	ordering of operations in aig_and, that was causing a test case to
	fail on ARM, and greatly simplify the code and data structures used in
	remove_unused().
	* tests/core/ltlsynt.test: Adjust expected output.

2019-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: handle any exception before returning from parse_opt()

	On some architectures (e.g., ARM, or even some -flto setups on Intel)
	C++ exceptions to not traverse the C functions.  So even if the C++
	main() has a try/catch, it will not catch the exception thrown by C++
	code called from the argp module (which is compiled in C).

	* bin/common_setup.cc, bin/common_setup.hh: Define some macros
	and function to factorize exception handling.
	* bin/autcross.cc, bin/autfilt.cc, bin/common_aoutput.cc,
	bin/common_color.cc, bin/common_finput.cc, bin/common_hoaread.cc,
	bin/common_output.cc, bin/common_post.cc, bin/common_trans.cc,
	bin/dstar2tgba.cc, bin/genaut.cc, bin/genltl.cc, bin/ltl2tgba.cc,
	bin/ltl2tgta.cc, bin/ltlcross.cc, bin/ltldo.cc, bin/ltlfilt.cc,
	bin/ltlgrind.cc, bin/ltlsynt.cc, bin/randaut.cc, bin/randltl.cc:
	Protect all parse_opt() functions, even those where there is currently
	no exception risk.

2019-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix ARM builds

	* spot/misc/bitvect.hh (bitvect_array::at): Fix pointer cast.
	* spot/twa/bddprint.cc: Adjust to use signed char* explicitly.
	* spot/twaalgos/gtec/gtec.hh: Work around GCC bug #90309.
	* .gitlab-ci.yml: Add raspbian build.

2019-09-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tut12: mention X[!]

	* doc/org/tut12.org (Final notes): Here.

2019-09-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/tl/tl.tex: Mention X(0)=0.

2019-09-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	from-ltlf: never output strong_X

	* spot/tl/ltlf.cc: Here.
	* tests/core/ltlfilt.test: Adjust test case.

2019-09-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/init.el.in: Work around obsolete ELPA signatures.

2019-09-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltl2tgba, ltldo: add a --negate option

	Suggested by Victor Khomenko.

	* bin/ltl2tgba.cc, bin/ltldo.cc: Implement it.
	* doc/org/hierarchy.org: Use it.
	* tests/core/ltldo2.test: Test it.
	* bin/common_output.cc: Typo.
	* NEWS: Mention the new option.

2019-09-23  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/init.el.in: Work around obsolete ELPA signatures.

2019-09-23  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltl2tgba, ltldo: add a --negate option

	Suggested by Victor Khomenko.

	* bin/ltl2tgba.cc, bin/ltldo.cc: Implement it.
	* doc/org/hierarchy.org: Use it.
	* tests/core/ltldo2.test: Test it.
	* bin/common_output.cc: Typo.
	* NEWS: Mention the new option.

2019-09-23  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	introduce op::strong_X

	This was prompted by reports by Andrew Wells and Yong Li.

	* NEWS, doc/tl/tl.tex: Document the changes.
	* THANKS: Add Andrew.
	* bin/ltlfilt.cc: Match --ltl before --from-ltlf if needed.
	* spot/parsetl/parsedecl.hh, spot/parsetl/parsetl.yy,
	spot/parsetl/scantl.ll: Parse X[!].
	* spot/tl/formula.cc, spot/tl/formula.hh: Declare the new operator.
	* spot/tl/ltlf.cc: Adjust to handle op::X and op::strong_X correctly.
	* spot/tl/dot.cc, spot/tl/mark.cc, spot/tl/mutation.cc,
	spot/tl/print.cc, spot/tl/simplify.cc, spot/tl/snf.cc,
	spot/tl/unabbrev.cc, spot/twa/formula2bdd.cc,
	spot/twaalgos/ltl2taa.cc, spot/twaalgos/ltl2tgba_fm.cc,
	tests/core/ltlgrind.test, tests/core/rand.test,
	tests/core/sugar.test, tests/python/randltl.ipynb: Adjust.
	* tests/core/ltlfilt.test, tests/core/sugar.test,
	tests/core/utf8.test: More tests.

2019-09-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Fix compilation with clang on ArchLinux

	* lib/gettext.h: Remove useless use of NULL.

2019-09-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: use a specific directory for .gcda files

	Otherwise the .gcda files may end into .libs/ and be destroyed by make
	clean.

	* debian/rules (PRO1SETUP, PRO2SETUP): Here.

2019-09-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix failing tests on Debian unstable

	* tests/Makefile.am (ltsmin_modelcheck_LDADD): Add -lpthread as it
	seems Debian's libtool does not carries this dependency over from
	libspotltsmin.la.  Also using $(LTLIBMULTITHREAD) does not work,
	because that would add -pthread which is currently ignored when
	linking shared libraries (because libtool adds -nostdlib for some
	reason).

2019-09-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	update to gnulib d77a23b15925e5554325ea3553c940133734eee3

	* configure.ac: Update minimum autoconf version.
	* lib/config.charset, lib/ref-add.sin, lib/ref-del.sin,
	m4/closeout.m4, m4/close-stream.m4, m4/configmake.m4, m4/glibc21.m4,
	m4/hard-locale.m4: Remove.
	* lib/alloca.c, lib/alloca.in.h, lib/argmatch.c, lib/argmatch.h,
	lib/arg-nonnull.h, lib/argp-ba.c, lib/argp-eexst.c,
	lib/argp-fmtstream.c, lib/argp-fmtstream.h, lib/argp-fs-xinl.c,
	lib/argp.h, lib/argp-help.c, lib/argp-namefrob.h, lib/argp-parse.c,
	lib/argp-pin.c, lib/argp-pv.c, lib/argp-pvh.c, lib/argp-xinl.c,
	lib/asnprintf.c, lib/basename-lgpl.c, lib/c-ctype.h, lib/c++defs.h,
	lib/closeout.c, lib/closeout.h, lib/close-stream.c,
	lib/c-strcasecmp.c, lib/c-strcaseeq.h, lib/c-strcase.h,
	lib/c-strncasecmp.c, lib/dirname.h, lib/dirname-lgpl.c, lib/dosname.h,
	lib/errno.in.h, lib/error.c, lib/error.h, lib/exitfail.c,
	lib/exitfail.h, lib/fcntl.in.h, lib/filename.h, lib/float.c,
	lib/float+.h, lib/float.in.h, lib/fpending.c, lib/fpending.h,
	lib/getopt1.c, lib/getopt.c, lib/getopt-cdefs.in.h, lib/getopt-core.h,
	lib/getopt-ext.h, lib/getopt.in.h, lib/getopt_int.h,
	lib/getopt-pfx-core.h, lib/getopt-pfx-ext.h, lib/getprogname.c,
	lib/getprogname.h, lib/gettext.h, lib/gettimeofday.c,
	lib/hard-locale.c, lib/hard-locale.h, lib/intprops.h, lib/isatty.c,
	lib/itold.c, lib/limits.in.h, lib/localcharset.c, lib/localcharset.h,
	lib/localtime-buffer.c, lib/localtime-buffer.h, lib/lstat.c,
	lib/Makefile.am, lib/malloca.c, lib/malloca.h, lib/malloc.c,
	lib/mbrtowc.c, lib/mbsinit.c, lib/memchr.c, lib/memchr.valgrind,
	lib/mempcpy.c, lib/minmax.h, lib/mkstemp.c, lib/mkstemps.c,
	lib/msvc-inval.c, lib/msvc-inval.h, lib/msvc-nothrow.c,
	lib/msvc-nothrow.h, lib/_Noreturn.h, lib/pathmax.h, lib/printf-args.c,
	lib/printf-args.h, lib/printf-parse.c, lib/printf-parse.h,
	lib/progname.c, lib/progname.h, lib/quotearg.c, lib/quotearg.h,
	lib/quote.h, lib/rawmemchr.c, lib/rawmemchr.valgrind,
	lib/secure_getenv.c, lib/size_max.h, lib/sleep.c, lib/stat.c,
	lib/stat-time.h, lib/stat-w32.c, lib/stat-w32.h, lib/stdalign.in.h,
	lib/stdbool.in.h, lib/stddef.in.h, lib/stdint.in.h, lib/stdio-impl.h,
	lib/stdio.in.h, lib/stdlib.in.h, lib/stpcpy.c, lib/strcasecmp.c,
	lib/strchrnul.c, lib/strchrnul.valgrind, lib/streq.h, lib/strerror.c,
	lib/strerror-override.c, lib/strerror-override.h, lib/string.in.h,
	lib/strings.in.h, lib/stripslash.c, lib/strncasecmp.c, lib/strndup.c,
	lib/strnlen.c, lib/strverscmp.c, lib/sysexits.in.h, lib/sys_stat.in.h,
	lib/sys_time.in.h, lib/sys_types.in.h, lib/sys_wait.in.h,
	lib/tempname.c, lib/tempname.h, lib/time.in.h, lib/unistd.in.h,
	lib/vasnprintf.c, lib/vasnprintf.h, lib/verify.h, lib/vsnprintf.c,
	lib/warn-on-use.h, lib/wchar.in.h, lib/wctype.in.h, lib/xalloc-die.c,
	lib/xalloc.h, lib/xalloc-oversized.h, lib/xmalloc.c, lib/xsize.h,
	m4/00gnulib.m4, m4/absolute-header.m4, m4/alloca.m4, m4/argp.m4,
	m4/codeset.m4, m4/dirname.m4, m4/double-slash-root.m4, m4/eealloc.m4,
	m4/errno_h.m4, m4/error.m4, m4/exponentd.m4, m4/extensions.m4,
	m4/extern-inline.m4, m4/fcntl_h.m4, m4/fcntl-o.m4, m4/float_h.m4,
	m4/fpending.m4, m4/getopt.m4, m4/getprogname.m4, m4/gettimeofday.m4,
	m4/gnulib-cache.m4, m4/gnulib-common.m4, m4/gnulib-comp.m4,
	m4/gnulib-tool.m4, m4/include_next.m4, m4/intmax_t.m4,
	m4/inttypes_h.m4, m4/isatty.m4, m4/largefile.m4, m4/limits-h.m4,
	m4/localcharset.m4, m4/locale-fr.m4, m4/locale-ja.m4, m4/locale-zh.m4,
	m4/localtime-buffer.m4, m4/longlong.m4, m4/lstat.m4, m4/malloca.m4,
	m4/malloc.m4, m4/math_h.m4, m4/mbrtowc.m4, m4/mbsinit.m4,
	m4/mbstate_t.m4, m4/memchr.m4, m4/mempcpy.m4, m4/minmax.m4,
	m4/mkstemp.m4, m4/mkstemps.m4, m4/mmap-anon.m4, m4/msvc-inval.m4,
	m4/msvc-nothrow.m4, m4/multiarch.m4, m4/nocrash.m4, m4/off_t.m4,
	m4/pathmax.m4, m4/printf.m4, m4/quotearg.m4, m4/quote.m4,
	m4/rawmemchr.m4, m4/secure_getenv.m4, m4/size_max.m4, m4/sleep.m4,
	m4/ssize_t.m4, m4/stat.m4, m4/stat-time.m4, m4/stdalign.m4,
	m4/stdbool.m4, m4/stddef_h.m4, m4/stdint_h.m4, m4/stdint.m4,
	m4/stdio_h.m4, m4/stdlib_h.m4, m4/stpcpy.m4, m4/strcase.m4,
	m4/strchrnul.m4, m4/strerror.m4, m4/string_h.m4, m4/strings_h.m4,
	m4/strndup.m4, m4/strnlen.m4, m4/strverscmp.m4, m4/sysexits.m4,
	m4/sys_socket_h.m4, m4/sys_stat_h.m4, m4/sys_time_h.m4,
	m4/sys_types_h.m4, m4/sys_wait_h.m4, m4/tempname.m4, m4/time_h.m4,
	m4/unistd_h.m4, m4/vasnprintf.m4, m4/vsnprintf.m4, m4/warn-on-use.m4,
	m4/wchar_h.m4, m4/wchar_t.m4, m4/wctype_h.m4, m4/wint_t.m4,
	m4/xalloc.m4, m4/xsize.m4: Update.
	* lib/cdefs.h, lib/glthread/lock.c, lib/glthread/lock.h,
	lib/glthread/threadlib.c, lib/libc-config.h, lib/mkdir.c,
	lib/windows-initguard.h, lib/windows-mutex.c, lib/windows-mutex.h,
	lib/windows-once.c, lib/windows-once.h, lib/windows-recmutex.c,
	lib/windows-recmutex.h, lib/windows-rwlock.c, lib/windows-rwlock.h,
	m4/host-cpu-c-abi.m4, m4/__inline.m4, m4/lib-ld.m4, m4/lib-link.m4,
	m4/lib-prefix.m4, m4/lock.m4, m4/mkdir.m4,
	m4/pthread_rwlock_rdlock.m4, m4/std-gnu11.m4, m4/threadlib.m4,
	tools/config.rpath: New files.

2019-08-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltsmin: update Doxygen documentation for DEAD

	* spot/ltsmin/ltsmin.hh: Here.

2019-08-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Upgrade parsers to Bison >= 3.0

	Bison 3.0 was released in 2013, and the current Debian stable (buster)
	has version 3.3.2.

	* m4/bison.m4: Remove -Wno-precedence and -Wno-empty-rule, keep
	-Wno-deprecated just to protect from future deprecation warnings that
	would be interpreted as errors.
	* spot/parseaut/parseaut.yy, spot/parsetl/parsetl.yy: Use %empty
	rules, prefer %precedence over %nonassoc, update %error-versbose and
	%name-prefix to their more modern equivalent.
	* spot/misc/trival.hh (maybe): Mark this function as noexcept to
	please the compiler while compiling the parsers.

2019-07-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/python/sum.py: Simplify code.

2019-07-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/dualize.cc: Improve comment.

2019-07-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	twa_graph: fix precondition on set_init_state

	Fixes #391.

	* spot/twa/twagraph.hh: Here.
	* tests/core/dualize.test, tests/python/except.py: New tests.
	* NEWS: Mention the bug.

2019-07-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: add syntax highlighting for three HOA examples

	* doc/org/concepts.org, doc/org/ltl2tgba.org, doc/org/ltldo.org: Here.

2019-07-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version to 2.8.1.dev.

2019-07-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.8.1

	* NEWS, configure.ac, doc/org/setup.org: Bump version to 2.8.1.

2019-07-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlcross, autcross: add --quiet/-q option

	* bin/autcross.cc, bin/ltlcross.cc: Implement it.
	* doc/org/autcross.org, doc/org/ltlcross.org, NEWS: Document it.
	* doc/org/spot.css: Add colors for Makefile snippets.
	* tests/core/autcross4.test, tests/core/ltlcross3.test,
	tests/core/ltlcrossce.test: Add test cases.

2019-07-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	allow gcc-snapshot failures because of GCC bug 91184

	https://gcc.gnu.org/bugzilla/show_bug.cgi?id=91184

	* .gitlab-ci.yml (debian-gcc-snapshot): Add allow_failure=true.

2019-07-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: work around emacs/gnutls interaction bug

	* doc/org/init.el.in: Set gnutls-algorithm-priority when needed.
	* NEWS: Mention the issue.

2019-07-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	forbid the use of std::endl on std::cerr

	std::cerr will flush after each operator<< by default, so it's simpler
	to use \n instead of std::endl, especially if we can merge \n into the
	previous string.  Ideally we should prefer \n for std::cout as well,
	but there are reasonable cases where we want to call std::endl there,
	so it's hard to enforce.

	* tests/sanity/style.test: Diagnose occurrences of cerr.*<<.*endl.
	* bin/autcross.cc, bin/autfilt.cc, bin/ltlcross.cc, bin/ltlsynt.cc,
	spot/tl/formula.cc, spot/twa/bdddict.cc, tests/core/checkpsl.cc,
	tests/core/checkta.cc, tests/core/consterm.cc, tests/core/emptchk.cc,
	tests/core/equalsf.cc, tests/core/ikwiad.cc, tests/core/kind.cc,
	tests/core/length.cc, tests/core/ltlrel.cc, tests/core/parity.cc,
	tests/core/randtgba.cc, tests/core/reduc.cc, tests/core/syntimpl.cc,
	tests/ltsmin/modelcheck.cc: Fix them.

2019-07-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genltl: add --pps-arbiter-{strict,standard}

	* spot/gen/formulas.cc, spot/gen/formulas.hh, bin/genltl.cc: Implement
	this.
	* NEWS, bin/man/genltl.x, doc/spot.bib: Add documentation.
	* tests/core/genltl.test, tests/core/ltlfilt.test: Add some tests.

2019-07-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/gen/formulas.cc: Add missing delete[].

2019-07-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	complement: fix handling of output_aborter with postproc

	Reported by Salomon Sickert.

	* spot/twaalgos/complement.cc: Make sure the output of postproc
	is deterministic.
	* tests/core/ltlcross.test: Add test case.
	* NEWS: Mention the bug.

2019-07-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/install.org: Debian stable is now Buster.

2019-07-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Bump version to 2.8.0.dev

	* NEWS, configure.ac: Here.

2019-07-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.8

	* configure.ac, doc/org/setup.org, NEWS: Bump version to Spot 2.8.

2019-07-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autcross: add shorthand for dra2dpa

	* bin/common_trans.cc: Add it.
	* NEWS: Mention it.

2019-07-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	product: fix handling of output_aborter

	* spot/twaalgos/product.cc: The res pointer should be
	passed by reference since we reset it to nullptr when
	output_aborter says "too large".
	* python/spot/impl.i: Add binding for powerset.hh,
	so we can use output_aborter in Python.
	* tests/python/prodexpt.py: Test it.

2019-07-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/spot.bib: Fix some urls.

2019-07-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genem: cite our ATVA'19 paper

	* doc/spot.bib (baier.19.atva): New reference.
	* spot/twaalgos/genem.hh: Cite it.

2019-07-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltldo, ltlcross: add support from ltl2ba, ltl2nba, ltl2dgba

	* bin/common_trans.cc: Here.
	* NEWS: Document this.

2019-07-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: eight new simplification rules

	* NEWS, doc/tl/tl.tex: Document the rules.
	* spot/tl/simplify.cc: Implement them.
	* tests/core/reduccmp.test: Test them.
	* tests/core/det.test, tests/core/ltl2tgba2.test,
	tests/python/stutter-inv.ipynb, tests/core/385.test: Adjust.

2019-07-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Fix some typos.

2019-07-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	deprecate spot::acc_cond::format()

	* NEWS: Mention it.
	* spot/twa/acc.hh (spot::acc_cond::format): Deprecate.
	(spot::acc_cond::mark_t::as_string): New function.
	* spot/taalgos/dot.cc: Use mark_t::as_string().
	* spot/priv/satcommon.cc, spot/priv/satcommon.hh,
	spot/twaalgos/dtwasat.cc, spot/twaalgos/emptiness.cc,
	tests/core/acc.cc, tests/core/acc.test: Adjust to use << directly.

2019-07-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: cleanup with autopep8

	* tests/python/341.py, tests/python/alarm.py, tests/python/bdddict.py,
	tests/python/bddnqueen.py, tests/python/bugdet.py,
	tests/python/dualize.py, tests/python/except.py, tests/python/gen.py,
	tests/python/genem.py, tests/python/implies.py,
	tests/python/interdep.py, tests/python/ipnbdoctest.py,
	tests/python/kripke.py, tests/python/ltl2tgba.py,
	tests/python/ltlf.py, tests/python/ltlparse.py,
	tests/python/ltlsimple.py, tests/python/relabel.py,
	tests/python/rs_like.py, tests/python/sccsplit.py,
	tests/python/semidet.py, tests/python/setacc.py,
	tests/python/setxor.py, tests/python/split.py,
	tests/python/streett_totgba.py, tests/python/stutter.py,
	tests/python/sum.py, tests/python/toparity.py, tests/python/toweak.py,
	tests/python/trival.py, python/spot/__init__.py, python/spot/aux.py,
	python/spot/jupyter.py: Reformat with autopep8.

	fixup! * spot/tl/simplify.cc: Fix typos in tracing code.

2019-06-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/tl/simplify.cc: Fix typos in tracing code.

2019-06-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/tl/tl.tex: Typo.

2019-06-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	doc: add tut90.org about bdd_dict

	Fixes #372.

	* doc/org/tut90.org: New file.
	* doc/Makefile.am, doc/org/tut.org: Add it.
	* NEWS: Mention it.
	* python/spot/__init__.py: Allow make_twa_graph with
	default bdd_dict.

2019-06-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	postproc: fix a fixme

	* spot/twaalgos/postproc.cc: Fix reject_bigger argument of
	minimize_obligation for --low.

2019-06-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	scc_has_rejecting_cycle: rewrite without copy

	* spot/twaalgos/genem.hh, spot/twaalgos/genem.cc
	(generic_emptiness_check_for_scc): Add a version that takes an acc.
	* spot/twaalgos/isweakscc.cc (scc_has_rejecting_cycle): Use
	generic_emptiness_check_for_scc.

2019-06-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/tl/formula.cc: Fix two fixmes.

2019-06-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	twa: get rid of intersecting_run()'s second argument

	* spot/twa/twa.cc, spot/twa/twa.hh: Here.
	* NEWS: Mention the backward incompatibility.

2019-06-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	simulation: improve merging of transiant-SCCs

	* spot/twaalgos/simulation.cc: Code this.
	* tests/core/det.test, tests/core/dra2dba.test,
	tests/core/satmin.test, tests/core/sim3.test,
	tests/python/decompose.ipynb, tests/python/dualize.py: Adjust test
	cases.
	* NEWS: Mention the optimization.

2019-06-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlsynt: use reduce_parity()

	* bin/ltlsynt.cc: Here.
	* tests/core/ltlsynt.test: Adjust.

2019-06-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	toparity: revert symmetry-based optimization of LAR

	Fixes #390.

	* spot/twaalgos/toparity.cc: Revert the relevant part of 516e9536.
	* tests/python/toparity.py: Add test case.
	* NEWS: Mention the issue.

2019-06-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	re-enable tests incorrectly disabled

	These were disabled by mistake in f6575d2ec.

	* tests/python/parity.py: Uncomment test cases.

2019-06-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	toparity: typo in pretty print

	* spot/twaalgos/toparity.cc: Fix pretty print.

2019-06-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlsynt: misc typos

	* doc/org/ltlsynt.org: Fix example.
	* bin/ltlsynt.cc: Fix --help text.

2019-06-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	gfguarantee: fix #357 again

	The previous patch triggered this issue again, failing
	core/ltl2tgba2.test.

	* spot/twaalgos/gfguarantee.cc: Separate the replaying of history from
	the modification of the automaton.
	* NEWS: Mention the bug.
	* tests/python/twagraph-internals.ipynb, tests/python/automata.ipynb:
	Adjust.

2019-06-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	simplify: GF(f)=GF(dnf(f)) FG(f)=FG(cnf(f))

	These rules come from Delag's paper, and help some cases
	in issue #385.

	* spot/tl/simplify.cc: Implement the simplification.
	* doc/tl/tl.tex, NEWS: Document it.
	* tests/core/385.test: New file.
	* tests/Makefile.am: Add it.
	* tests/core/reduccmp.test: More tests.
	* tests/core/ltl2tgba2.test: Adjust one improved case.
	* tests/python/automata.ipynb, tests/python/twagraph-internals.ipynb:
	Adjust expected output, as the cnf/dnf reorder some subformulas.

2019-06-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	use a bibtex file to collect all references in Doxygen

	* doc/tl/tl.bib: Move ...
	* doc/spot.bib: ... here, and augment it with all references that
	appeared verbatim in Doxygen comments.
	* doc/Makefile.am, doc/tl/Makefile.am
	doc/tl/tl.tex: Adjust for the move.
	* doc/Doxyfile.in: Point to spot.bib.
	* spot/gen/automata.hh, spot/gen/formulas.hh, spot/misc/game.hh,
	spot/misc/minato.hh spot/taalgos/emptinessta.hh,
	spot/taalgos/minimize.hh, spot/taalgos/tgba2ta.hh, spot/tl/formula.hh,
	spot/tl/remove_x.hh, spot/tl/simplify.hh, spot/tl/snf.hh,
	spot/twaalgos/cobuchi.hh, spot/twaalgos/cycles.hh,
	spot/twaalgos/dualize.hh, spot/twaalgos/gtec/gtec.hh,
	spot/twaalgos/gv04.hh, spot/twaalgos/ltl2taa.hh,
	spot/twaalgos/ltl2tgba_fm.hh, spot/twaalgos/magic.hh,
	spot/twaalgos/minimize.hh, spot/twaalgos/parity.hh,
	spot/twaalgos/powerset.hh, spot/twaalgos/randomgraph.hh,
	spot/twaalgos/se05.hh, spot/twaalgos/simulation.hh,
	spot/twaalgos/strength.hh, spot/twaalgos/stutter.hh,
	spot/twaalgos/tau03.hh, spot/twaalgos/totgba.hh,
	spot/twaalgos/toweak.hh: Use \cite instead of a verbatim bibtex entry.

2019-06-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	is_parity: fix unitialized value of max on False return

	* spot/twa/acc.cc: Here.  This fixes two failures on the buildfarm.

2019-06-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	hierarchy: add a new way to check DBA-realizability via DPA

	* spot/tl/hierarchy.cc, spot/tl/hierarchy.hh: Here.
	* tests/core/hierarchy.test: Test it.
	* bin/man/spot-x.x: Document SPOT_PR_CHECK.
	* doc/org/hierarchy.org, NEWS: Update.

2019-06-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Typos.

2019-06-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	use reduce_parity in translator and posprocessor

	* spot/twaalgos/postproc.cc, spot/twaalgos/translate.cc: Here.
	* tests/core/genltl.test, tests/core/parity2.test,
	tests/core/sccsimpl.test, tests/python/twagraph-internals.ipynb:
	Adjust test cases.
	* NEWS: Mention it.

2019-06-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	parity: introduce reduce_parity()

	* spot/twaalgos/parity.cc, spot/twaalgos/parity.hh: Here.
	* tests/core/parity.cc: Add test case.
	* tests/python/parity.ipynb, NEWS: More documentation.

2019-06-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	improve cleanup_parity() and colorize_parity()

	Fixes #384.

	* spot/twaalgos/parity.cc: Here.
	* tests/core/parity2.test, tests/python/highlighting.ipynb,
	tests/python/parity.py: Adjust test cases.
	* tests/python/parity.ipynb: Improve the presentation.
	* NEWS: Mention the change.

2019-06-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autcross: simplify code using complement() and intersecting_word()

	* bin/autcross.cc: Let complement() decide how to complement automata.
	Do not apply remove_fin(), because we have a generic emptiness check
	now.  Use intersecting_word() instead of product()+accepting_word() so
	that the former can maybe be optimized in the future.
	* tests/core/autcross2.test: Adjust test case to use TGBA instead
	of monitors, as calling complement() had a side-effect of setting
	the "weak" property on the input.

2019-06-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genaut: introduce --m-nba

	* bin/genaut.cc: Implement the --m-nba option.
	* spot/gen/automata.hh, spot/gen/automata.cc: Add the generation code.
	* NEWS, bin/man/genaut.x: Document it.
	* doc/org/genaut.org: Update.
	* tests/core/genaut.test, tests/core/parity2.test: Add some tests.

2019-06-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2019-06-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version to 2.7.5.dev.

2019-06-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.7.5

	* NEWS, configure.ac, doc/org/setup.org: Bump version.

2019-06-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Mention swig4 support.

2019-06-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Update instructions for divine-ltsmin installation

	* tests/ltsmin/README: Here.
	* THANKS: Reported by Jiraphapa Jiravaraphan.

2019-06-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remprop: reset no-terminal property

	Reported by Yong Li.

	* spot/twaalgos/remprop.cc: Here.
	* tests/python/removeap.py: New test case.
	* tests/Makefile.am: Add it.
	* NEWS: Document the issue.
	* THANKS: Add Yong Li.

2019-06-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tests: add missing copyright blobs

	* tests/python/remfin.py, tests/python/tra2tba.py: Here.

2019-06-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around another swig4 change

	* python/spot/impl.i: Make sure spot::acc_cond::mark_t::operator<<
	exceptions are not ignored.

2019-06-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around swig4 regression

	* python/Makefile.am: Here.

2019-06-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around new import statements generated by swig-4.0

	Those statements are not compatible with the fact that
	libtool-generated modules are in .libs/ until they get installed.

	* python/spot/__init__.py: Add sys.path to __path__ if SPOT_BUILD is
	  set.
	* tests/run.in: Set SPOT_BUILD.

2019-06-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: remove the -nofastproxy option

	This was introduced by b893b5597 to work around some IPython 2 issue
	(https://github.com/ipython/ipython/issues/7003).

	* python/Makefile.am (SWIGFLAGS): Remove obsolete option.
	* python/spot/__init__.py: Adjust.

2019-06-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	test: add missing copyright boilerplate

	* tests/python/genem.py: Here.

2019-06-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	translate: relabel_bool was ignored when option_map was not supplied

	* spot/twaalgos/translate.cc: Set relabel_bool_ to 4 by default, not
	-1.
	* NEWS: Mention the bug.

2019-06-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	dot: replace large labels by "(label too long)"

	Based on a report by Victor Khomenko.

	* spot/twaalgos/dot.cc: Here.
	* tests/core/readsave.test: Add test case.
	* NEWS: Mention it.

2019-06-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: extend F[n:m] and G[n:m] to the case of m=$

	Suggested by Victor Khomenko.

	* spot/tl/formula.cc, spot/tl/formula.hh, spot/parsetl/parsetl.yy:
	Implement this.
	* NEWS, doc/tl/tl.tex: Document it.
	* tests/core/sugar.test, tests/python/ltlparse.py: Add some tests.

2019-06-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remprop: reset no-terminal property

	Reported by Yong Li.

	* spot/twaalgos/remprop.cc: Here.
	* tests/python/removeap.py: New test case.
	* tests/Makefile.am: Add it.
	* NEWS: Document the issue.
	* THANKS: Add Yong Li.

2019-06-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tests: add missing copyright blobs

	* tests/python/remfin.py, tests/python/tra2tba.py: Here.

2019-06-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around another swig4 change

	* python/spot/impl.i: Make sure spot::acc_cond::mark_t::operator<<
	exceptions are not ignored.

2019-06-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around swig4 regression

	* python/Makefile.am: Here.

2019-05-31  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around new import statements generated by swig-4.0

	Those statements are not compatible with the fact that
	libtool-generated modules are in .libs/ until they get installed.

	* python/spot/__init__.py: Add sys.path to __path__ if SPOT_BUILD is
	  set.
	* tests/run.in: Set SPOT_BUILD.

2019-05-29  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: remove the -nofastproxy option

	This was introduced by b893b5597 to work around some IPython 2 issue
	(https://github.com/ipython/ipython/issues/7003).

	* python/Makefile.am (SWIGFLAGS): Remove obsolete option.
	* python/spot/__init__.py: Adjust.

2019-05-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	introduce output_aborter, and use it in ltlcross

	* spot/twaalgos/alternation.cc, spot/twaalgos/alternation.hh,
	spot/twaalgos/complement.cc, spot/twaalgos/complement.hh,
	spot/twaalgos/determinize.cc, spot/twaalgos/determinize.hh,
	spot/twaalgos/minimize.cc, spot/twaalgos/minimize.hh,
	spot/twaalgos/postproc.cc, spot/twaalgos/postproc.hh,
	spot/twaalgos/powerset.cc, spot/twaalgos/powerset.hh,
	spot/twaalgos/product.cc, spot/twaalgos/product.hh: Use an
	output_aborter argument to abort if the output is too large.
	* bin/ltlcross.cc: Use complement() with an output_aborter
	so that ltlcross will not attempt to build complement larger
	than 500 states or 5000 edges.  Add --determinize-max-states
	and --determinize-max-edges options.
	* tests/core/ltlcross3.test, tests/core/ltlcrossce2.test,
	tests/core/sccsimpl.test, tests/core/wdba2.test,
	tests/python/stutter-inv.ipynb: Adjust test cases.
	* NEWS: Document this.
	* bin/spot-x.cc: Add documentation for postprocessor's
	det-max-states and det-max-edges arguments.
	* doc/org/ltlcross.org: Update description.

2019-05-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	test: add missing copyright boilerplate

	* tests/python/genem.py: Here.

2019-05-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	word: introduce use_all_aps()

	This allows fixing issue #388 reported by Victor Khomenko.

	* spot/twaalgos/word.cc, spot/twaalgos/word.hh (use_all_aps): New
	method.
	* tests/python/stutter-inv.ipynb: Use it.
	* tests/python/stutter.py: New file, with Victor's test case.
	* tests/Makefile.am: Add python/stutter.py.

2019-05-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: fix handling of f##[0:0]g, and of ##[0:n]g

	The first issue was reported by Victor Khomenko.

	* spot/tl/formula.cc: Introduce a single-argument
	version of sugar_delay().
	* spot/parsetl/parsetl.yy: Use it.
	* doc/tl/tl.tex, spot/tl/formula.hh: Adjust doc.
	* tests/core/ltlfilt.test, tests/core/sugar.test: More tests.

2019-05-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: fix the definition of ##[i:j]

	Reported by Victor Khomenko.

	* NEWS, doc/tl/tl.tex, spot/tl/formula.cc: Fix the definition.
	* tests/core/ltl2tgba.test: Add some test cases.

2019-05-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	translate: relabel_bool was ignored when option_map was not supplied

	* spot/twaalgos/translate.cc: Set relabel_bool_ to 4 by default, not
	-1.  Also call relabel_apply when the formula is relabeled.

2019-05-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	dot: replace large labels by "(label too long)"

	Based on a report by Victor Khomenko.

	* spot/twaalgos/dot.cc: Here.
	* tests/core/readsave.test: Add test case.
	* NEWS: Mention it.

2019-05-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: add support for ##[+] and ##[*]

	Suggested by Victor Khomenko.

	* spot/parsetl/parsetl.yy, spot/parsetl/scantl.ll: Implement them.
	* NEWS, doc/tl/tl.tex: Document them.
	* tests/core/sugar.test: Add a couple of tests.

2019-05-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: new simplification rules

	Related to issue #385.

	* doc/tl/tl.tex, NEWS: Document the rules.
	* spot/tl/simplify.cc: Implement the rules.
	* tests/core/reduccmp.test, tests/core/ltl2tgba2.test: Add tests.
	* tests/core/degenscc.test: Adjust.

2019-05-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: implement relabel_apply()

	* spot/tl/relabel.hh, spot/tl/relabel.cc: Here.
	* NEWS: Mention it.
	* tests/python/relabel.py: Use it.

2019-05-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	simplify: more rules for first_match

	* spot/tl/simplify.cc: Implement the rules.
	* tests/core/reduccmp.test: Test them.
	* doc/tl/tl.tex: Document them.

2019-05-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: add some simplifications for first_match

	Following a discussion with Victor Khomenko.

	* doc/tl/tl.tex: Document those rules.
	* spot/tl/simplify.cc: Implement them.
	* tests/core/reduccmp.test: Test them.

2019-05-06  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: first_match does not preserve syntactic_si

	* spot/tl/formula.cc: Fix it.
	* tests/core/kind.test: Add test case.

2019-05-06  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tut03: add missing operators

	* doc/org/tut03.org: Here.

2019-05-06  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	implement SVA's first_match operator

	* NEWS, doc/tl/tl.tex, doc/tl/tl.bib: Document it.
	* spot/parsetl/parsetl.yy, spot/parsetl/scantl.ll: Parse it.
	* spot/tl/formula.cc, spot/tl/formula.hh, spot/tl/dot.cc,
	spot/tl/mutation.cc, spot/tl/print.cc, spot/tl/randomltl.cc,
	spot/twaalgos/ltl2tgba_fm.cc: Adjust to support first_match.
	* spot/tl/mark.cc, spot/tl/simplify.cc, spot/tl/snf.cc,
	spot/tl/unabbrev.cc, spot/twa/formula2bdd.cc,
	spot/twaalgos/ltl2taa.cc: Ignore it.
	* tests/core/acc_word.test, tests/core/randpsl.test: Add more tests.
	* tests/core/rand.test, tests/core/unambig.test,
	tests/python/randltl.ipynb: Adjust.
	* tests/python/formulas.ipynb: Show first_match.

2019-05-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl.pdf: add missing precedence and grammar rules

	* doc/tl/tl.tex: Here.

2019-05-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: add support for ##n and ##[i:j] from SVA

	* spot/tl/formula.cc, spot/tl/formula.hh (formula::sugar_delay): New
	function to implement this operator as syntactic sugar.
	* spot/parsetl/parsetl.yy, spot/parsetl/scantl.ll: Parse it.
	* doc/tl/tl.tex: Document the syntactic sugar rules and precedence.
	* tests/core/sugar.test: Add tests.
	* NEWS: Mention this new feature.

2019-04-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2019-04-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Bump version to 2.7.4.dev

	* NEWS, configure.ac: Here.

2019-04-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.7.4

	* doc/org/setup.org, configure.ac, NEWS: Update version.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* THANKS: Add Victor Khomenko.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	formula: b* is siSERE

	Since b[+] and [*0] are siSERE, b* is siSERE as well.
	Suggested by Victor Khomenko.

	* spot/tl/formula.cc: Implement that for Star and also
	in the concatenation rule.
	* tests/core/kind.test, tests/core/ltlfilt.test: Adjust.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	formula: b* is siSERE

	Since b[+] and [*0] are siSERE, b* is siSERE as well.
	Suggested by Victor Khomenko.

	* spot/tl/formula.cc: Implement that for Star and also
	in the concatenation rule.
	* tests/core/kind.test, tests/core/ltlfilt.test: Adjust.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: better sitemap

	* doc/org/init.el.in: List pages in a nested list according to
	HTML_LINK_UP links.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	formula: fix syntactic-SI detection for ; operator

	Reported by Victor Khomenko.

	* spot/tl/formula.cc: Rewrite the siPSL detection for ";".
	* tests/core/ltlfilt.test: Add more tests.
	* tests/core/kind.test: Adjust.
	* NEWS: Mention the bug.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	formula: fix syntactic-SI detection for ; operator

	Reported by Victor Khomenko.

	* spot/tl/formula.cc: Rewrite the siPSL detection for ";".
	* tests/core/ltlfilt.test: Add more tests.
	* tests/core/kind.test: Adjust.
	* NEWS: Mention the bug.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	cleanacc: cleanup documentation and API

	* spot/twaalgos/cleanacc.hh: Fix Doxygen comments, and
	add a strip argument to cleanup_acceptance().
	* spot/twaalgos/cleanacc.cc: Adjust.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix "requires separate Inf and Fin sets" error from ltl2tgba -G

	Report from David Müller.

	* spot/twaalgos/simulation.cc: Add wrapper to deal with automata
	sharing Fin/Inf sets.
	* tests/core/ltl2tgba2.test: New test cases.
	* NEWS: Mention the change.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix "requires separate Inf and Fin sets" error from ltl2tgba -G

	Report from David Müller.

	* spot/twaalgos/simulation.cc: Add wrapper to deal with automata
	sharing Fin/Inf sets.
	* tests/core/ltl2tgba2.test: New test cases.
	* NEWS: Mention the change.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	sepsets: fix infinite loop

	* tests/core/sepsets.test: New test case.
	* spot/twaalgos/sepsets.cc: Fix the code.
	* NEWS: Mention the problem.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* bin/spot-x.cc (ba-simul): Update documentation.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	man: minor fixes

	* bin/man/spot-x.x, bin/man/dstar2tgba.x, bin/spot-x.cc: Cosmetics
	changes.
	* bin/man/README: New file.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/ltlcross.org: Fix ltlcross.csv example.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	sepsets: fix infinite loop

	* tests/core/sepsets.test: New test case.
	* spot/twaalgos/sepsets.cc: Fix the code.
	* NEWS: Mention the problem.

2019-04-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* bin/spot-x.cc (ba-simul): Update documentation.

2019-04-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	twa: make sure intersection_run and intersection_word use genem

	* spot/twa/twa.cc (accepting_word, intersecting_run,
	intersecting_word): Refactor.
	* tests/python/contains.ipynb: Adjust.

2019-04-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	man: minor fixes

	* bin/man/spot-x.x, bin/man/dstar2tgba.x, bin/spot-x.cc: Cosmetics
	changes.
	* bin/man/README: New file.

2019-04-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/ltlcross.org: Fix ltlcross.csv example.

2019-04-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2019-04-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version to 2.7.3.dev.

2019-04-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release spot 2.7.3

	* NEWS, configure.ac, doc/org/setup.org: Set version.

2019-04-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: reverse part of 7dfeda8e7

	* doc/org/satmin.org: Get the old description of the CSV example.  The
	new description installed by 7dfeda8e7 only apply to the next major
	release.

2019-04-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tests: fix some examples

	Reported by František Blahoudek.

	* tests/python/parity.ipynb: Fix examples and improve some text.

2019-04-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tests: fix some examples

	Reported by František Blahoudek.

	* tests/python/parity.ipynb: Fix examples and improve some text.

2019-04-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: add a quick dirty comparison of 3 translators

	* doc/org/ltldo.org: Here.
	* doc/org/spot.css: Add table-pre style.

2019-04-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* elisp/README: Remove obsolete comment.

2019-04-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: better display for CSV tables

	* doc/org/.dir-locals.el.in,
	doc/org/init.el.in (org-html-table-header-tags): Define.
	* doc/org/spot.css: Style the tables.

2019-04-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: simplify babel blocks using #+PROPERTY: header-args

	This feature is in Org 9, which is already required.

	* doc/org/autcross.org, doc/org/autfilt.org, doc/org/compile.org,
	doc/org/concepts.org, doc/org/csv.org, doc/org/dstar2tgba.org,
	doc/org/genaut.org, doc/org/genltl.org, doc/org/hierarchy.org,
	doc/org/hoa.org, doc/org/ioltl.org, doc/org/ltl2tgba.org,
	doc/org/ltl2tgta.org, doc/org/ltlcross.org, doc/org/ltldo.org,
	doc/org/ltlfilt.org, doc/org/ltlgrind.org, doc/org/ltlsynt.org,
	doc/org/oaut.org, doc/org/randaut.org, doc/org/randltl.org,
	doc/org/satmin.org, doc/org/setup.org, doc/org/tools.org,
	doc/org/tut01.org, doc/org/tut02.org, doc/org/tut03.org,
	doc/org/tut04.org, doc/org/tut10.org, doc/org/tut11.org,
	doc/org/tut12.org, doc/org/tut20.org, doc/org/tut21.org,
	doc/org/tut22.org, doc/org/tut23.org, doc/org/tut24.org,
	doc/org/tut30.org, doc/org/tut31.org, doc/org/tut50.org,
	doc/org/upgrade2.org: Simplify SRC block setups for sh, python and
	C++.  Also fix a few typos and examples along the way.

2019-04-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tests: try to work around some frequent time outs in our checks

	* tests/python/ipnbdoctest.py: Augment time limits.

2019-04-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: add a quick dirty comparison of 3 translators

	* doc/org/ltldo.org: Here.
	* doc/org/spot.css: Add table-pre style.

2019-04-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* elisp/README: Remove obsolete comment.

2019-04-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: better display for CSV tables

	* doc/org/.dir-locals.el.in,
	doc/org/init.el.in (org-html-table-header-tags): Define.
	* doc/org/spot.css: Style the tables.

2019-04-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: simplify babel blocks using #+PROPERTY: header-args

	This feature is in Org 9, which is already required.

	* doc/org/autcross.org, doc/org/autfilt.org, doc/org/compile.org,
	doc/org/concepts.org, doc/org/csv.org, doc/org/dstar2tgba.org,
	doc/org/genaut.org, doc/org/genltl.org, doc/org/hierarchy.org,
	doc/org/hoa.org, doc/org/ioltl.org, doc/org/ltl2tgba.org,
	doc/org/ltl2tgta.org, doc/org/ltlcross.org, doc/org/ltldo.org,
	doc/org/ltlfilt.org, doc/org/ltlgrind.org, doc/org/ltlsynt.org,
	doc/org/oaut.org, doc/org/randaut.org, doc/org/randltl.org,
	doc/org/satmin.org, doc/org/setup.org, doc/org/tools.org,
	doc/org/tut01.org, doc/org/tut02.org, doc/org/tut03.org,
	doc/org/tut04.org, doc/org/tut10.org, doc/org/tut11.org,
	doc/org/tut12.org, doc/org/tut20.org, doc/org/tut21.org,
	doc/org/tut22.org, doc/org/tut23.org, doc/org/tut24.org,
	doc/org/tut30.org, doc/org/tut31.org, doc/org/tut50.org,
	doc/org/upgrade2.org: Simplify SRC block setups for sh, python and
	C++.  Also fix a few typos and examples along the way.

2019-04-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tests: try to work around some frequent time outs in our checks

	* tests/python/ipnbdoctest.py: Augment time limits.

2019-04-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: prefer posix_spawn over fork+exec

	* configure.ac: Test for <spawn.h>.
	* bin/common_trans.cc: Use posix_spawn when available.
	* NEWS: Mention the change.
	* tests/core/ltldo.test: Adjust expected error message.

2019-04-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genem: fix previous patch

	* spot/twaalgos/genem.cc: Do not use a temporary scc_and_mark_filter.

2019-04-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genem: improve handling of co-Büchi

	* spot/twaalgos/sccinfo.cc, spot/twaalgos/sccinfo.hh: Make sure
	scc_and_mark_filter does not install a filter if there is nothing
	to filter.
	* tests/python/genem.py, spot/twaalgos/genem.cc,
	python/spot/impl.i: Adjust.

2019-04-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genem: remove call to cleanup_acceptance_here

	* spot/twaalgos/genem.cc: Here.

2019-04-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	sccinfo: rename scc_info(x,opt) into scc_info_with_options(x,opt)

	* spot/twaalgos/sccinfo.hh, python/spot/impl.i: Here.  This avoid
	ambiguities where options (integer in Python) are interpreted as
	initial states.
	* tests/python/genem.py: Adjust.

2019-04-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/sccinfo.cc (scc_info::split_on_sets): Honor filter.

2019-04-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	complement: add a complement() function

	* spot/twaalgos/complement.cc,
	spot/twaalgos/complement.hh (complement): New function.
	* bin/autfilt.cc, spot/twa/twa.cc, spot/twaalgos/contains.cc,
	spot/twaalgos/powerset.cc, spot/twaalgos/stutter.cc: Use it.
	* tests/core/complement.test: Adjust.
	* NEWS: Mention it.

2019-04-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	simulation: fix commit 8959eabad

	* spot/twaalgos/simulation.cc: Restrict common_in marks to current SCC
	when pushing them, otherwise weak automata might become inherently
	weak.
	* tests/core/sim3.test: Add test case.

2019-04-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/tut22.org: Add missing call to prop_state_acc(True).

2019-04-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: explain how to build automata with state-based acceptance

	* doc/org/tut22.org: Here.  Suggested by Yannick Molinghen.
	* THANKS: Add him.

2019-04-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/tut22.org: Add missing call to prop_state_acc(True).

2019-04-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Fix non-existent address

2019-04-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: fix description of remove_fin

	* doc/org/dstar2tgba.org: The RA2BA is not for state-based acceptance
	only.

2019-04-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remove_alternation: fix serious typo

	Fixes #382.

	* spot/twaalgos/alternation.cc: Here.
	* tests/python/alternation.ipynb: Add test case.
	* NEWS: Mention it.

2019-04-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: fix handling of \r\n with %>

	Fix issue #380.

	* bin/common_finput.cc: Erase a trailing \r.
	* tests/core/ltl2tgba2.test: Test it.
	* NEWS: Mention the fix.

2019-04-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: suggest python-dev for installing Python headers

	* doc/org/install.org: Mention python-dev and libpython3-dev.
	Suggested by Tereza Šťastná.
	* THANKS: Add her.

2019-04-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: explain how to build automata with state-based acceptance

	* doc/org/tut22.org: Here.  Suggested by Yannick Molinghen.
	* THANKS: Add him.

2019-04-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: adjust text for simplified example for dstar2tgba

	* doc/org/dstar2tgba.org: Simplify example now that the automaton is
	further reduced.

2019-04-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Fix non-existent address

2019-04-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: fix description of remove_fin

	* doc/org/dstar2tgba.org: The RA2BA is not for state-based acceptance
	only.

2019-03-31  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	dot: add option 'g'

	* spot/twaalgos/dot.cc: Implement support for hidding labels.
	* tests/core/readsave.test: Test it.
	* bin/common_aoutput.cc: Add --help text.
	* NEWS: Mention it.

2019-03-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genem: greatly simplify code

	* spot/twaalgos/genem.cc: Simplify the code to be more
	aligned to the Python version in genem.py.

2019-03-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	scc_info: introduce scc_and_mark_filter

	* spot/twaalgos/sccinfo.hh, spot/twaalgos/sccinfo.cc: Here.
	* spot/twaalgos/genem.cc: Use it.
	* python/spot/impl.i, python/spot/__init__.py: Add bindings.
	* tests/python/genem.py: Test it.
	* NEWS: Mention it.

2019-03-29  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	acc: extend top_disjuncts and top_conjuncts to acc_cond as well

	* spot/twa/acc.hh, spot/twa/acc.cc: Implement the new methods.
	* python/spot/impl.i: Add bindings for vectors of acc_cond.
	* tests/python/acc_cond.ipynb: Test the two methods.
	* NEWS: Adjust.

2019-03-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	minimize_obligation: complement very weak automata if needed

	Fixes #379.

	* spot/twaalgos/minimize.cc: Here.
	* tests/core/optba.test: Add test case provided by Rüdiger Ehlers.
	* NEWS: Mention the improvement.

2019-03-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remove_alternation: fix serious typo

	Fixes #382.

	* spot/twaalgos/alternation.cc: Here.
	* tests/python/alternation.ipynb: Add test case.
	* NEWS: Mention it.

2019-03-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	acc: introduce top_conjuncts() and top_disjuncts()

	* spot/twa/acc.cc, spot/twa/acc.hh: Add the new functions.
	* python/spot/impl.i: Add bindings.
	* tests/python/acc_cond.ipynb: Add tests.
	* NEWS: Mention it.

2019-03-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt: add support for --highlight-accepting-run

	Fixes #381.

	* bin/autfilt.cc: Here.
	* tests/core/highlightstate.test: Test it.
	* NEWS: Mention it.

2019-03-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: fix handling of \r\n with %>

	Fix issue #380.

	* bin/common_finput.cc: Erase a trailing \r.
	* tests/core/ltl2tgba2.test: Test it.
	* NEWS: Mention the fix.

2019-03-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genem: minor simplifications

	* tests/python/genem.py: Use SPOT_ON_ACC explicitely.
	* spot/twaalgos/genem.cc: Do not keep track of states.  Don't
	check that the clauses of the disjuncts are Fin-less: they aren't
	(this was discovered while discussing with Jan and Fanda).

2019-03-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: suggest python-dev for installing Python headers

	* doc/org/install.org: Mention python-dev and libpython3-dev.
	Suggested by Tereza Šťastná.
	* THANKS: Add her.

2019-03-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2019-03-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version to 2.7.2.dev.

2019-03-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.7.2

	* NEWS, configure.ac, doc/org/setup.org: Bump version.

2019-03-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around potential null dereference warning

	* spot/twaalgos/ltl2taa.cc: Here.
	* NEWS: Mention the issue.

2019-03-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: typos

	* doc/org/tut.org, doc/org/tut12.org: Here.

2019-03-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: more hyperlinks

	* doc/org/ltlfilt.org, doc/org/tut12.org: Add links.

2019-03-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: add an example for dealing with LTLf formulas

	Related to issue #377.

	* doc/org/tut12.org: New file.
	* doc/org/tut.org, doc/Makefile.am, NEWS: Add the new file.

2019-03-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/python/twagraph-internals.ipynb: Fix a typo.

2019-03-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Add missing entry for previous patch.

2019-03-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: improve Python formating

	* doc/org/spot.css: Use bold for "def", "from", "import".
	* doc/org/init.el.in: Prevent tabs from being inserted when the code
	is indented before export.

2019-03-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: add explicit Kripke structure example

	Fixes #376.

	* doc/org/tut52.org: New file.
	* doc/org/tut.org, doc/org/tut51.org: Link to it.
	* doc/Makefile.am: Add it.

2019-03-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: improve kripke_graph bindings

	Related to issue #376.

	* spot/kripke/kripkegraph.hh: Avoid indirect type definitions for the
	benefit of Swig.
	* python/spot/impl.i: Add bindings for iterators over kripke_graph
	states and edges.
	* tests/python/kripke.py: New file.
	* tests/Makefile.am: Add it.
	* NEWS: Update.

2019-03-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: more hyperlinks

	* doc/org/ltlfilt.org, doc/org/tut12.org: Add links.

2019-03-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: add an example for dealing with LTLf formulas

	Related to issue #377.

	* doc/org/tut12.org: New file.
	* doc/org/tut.org, doc/Makefile.am, NEWS: Add the new file.

2019-02-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/python/twagraph-internals.ipynb: Fix a typo.

2019-02-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	simulation: try pulling marks instead of pushing them for sbacc input

	Suggested by František Blahoudek.

	* spot/twaalgos/simulation.cc: When doing forward simulation with
	state-based acceptance as input but transition-based acceptance as
	output, pull acceptance marks on incoming edges instead of pushing
	them to outgoing edges.
	* tests/core/dra2dba.test, tests/core/exclusive-tgba.test,
	tests/core/ltlcrossce.test, tests/core/satmin3.test,
	tests/core/sim3.test, tests/python/satmin.ipynb: Adjust test cases.
	* NEWS: Mention the change.

2019-02-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Add missing entry for previous patch.

2019-02-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: improve Python formating

	* doc/org/spot.css: Use bold for "def", "from", "import".
	* doc/org/init.el.in: Prevent tabs from being inserted when the code
	is indented before export.

2019-02-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: add explicit Kripke structure example

	Fixes #376.

	* doc/org/tut52.org: New file.
	* doc/org/tut.org, doc/org/tut51.org: Link to it.
	* doc/Makefile.am: Add it.

2019-02-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: improve kripke_graph bindings

	Related to issue #376.

	* spot/kripke/kripkegraph.hh: Avoid indirect type definitions for the
	benefit of Swig.
	* python/spot/impl.i: Add bindings for iterators over kripke_graph
	states and edges.
	* tests/python/kripke.py: New file.
	* tests/Makefile.am: Add it.
	* NEWS: Update.

2019-02-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	polish previous two patches

	* NEWS: Update.
	* spot/twaalgos/genem.cc, spot/twaalgos/genem.hh, spot/twa/twa.cc:
	Update copyright years.
	* spot/twa/twa.hh: Update Doxygen documentation.
	* spot/twaalgos/sccinfo.cc, spot/twaalgos/sccinfo.hh: Simplify data
	structures, and fix failure of get_accepting_run() to compute
	accepting runs in SCC that are accepting due to the self-loop
	optimization of scc_info.
	* tests/python/highlighting.ipynb: Add three test cases.

2019-02-14  Clément Gillard  <clement.gillard@epita.fr>

	twa: Use generic accepting run search

	Make use of the generic accepting run search in twa::accepting_run()
	and twa::accepting_word().

	* spot/twa/twa.cc: Here.

2019-02-14  Clément Gillard  <clement.gillard@epita.fr>

	genem: Implement accepting cycle search

	Implement an accepting run search in spot::sccinfo, use it with the
	generic emptiness check.

	* spot/twaalgos/sccinfo.cc, spot/twaalgos/sccinfo.hh: Here.
	* spot/twaalgos/genem.cc, spot/twaalgos/genem.hh: Use it.
	* tests/python/genem.py: Test it.

2019-02-14  Clément Gillard  <clement.gillard@epita.fr>

	Several typos

	* HACKING: Missing "to", extraneous 's'.
	* spot/misc/timer.hh: Extraneous space.
	* spot/twa/acc.hh: Extraneous 's', typos.
	* spot/twaalgos/genem.hh: Typo.
	* spot/twaalgos/sccinfo.cc: Fix indentation.
	* spot/twaalgos/sccinfo.hh: Missing 's'.
	* tests/python/acc_cond.ipynb: Extraneous 'e', missing comma.
	* tests/python/decompose.ipynb: Extraneous 't'.
	* tests/python/ltsmin-dve.ipynb: Extraneous verb.

2019-02-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Bump version to 2.7.1.dev

	* configure.ac, NEWS: Here.

2019-02-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release spot 2.7.1

	* configure.ac, NEWS, doc/org/setup.org: Set version.

2019-02-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: better support for explicit Kripke

	Part of issue #376, reported by Hashim Ali.

	* python/spot/impl.i: Add bindings for kripke_graph.
	* python/spot/__init__.py (automaton): Add a want_kripke option.
	* spot/kripke/kripkegraph.hh: Honnor the "state-names" property
	when displaying states.
	* spot/twaalgos/hoa.cc: Preserve names of Kripke states.
	* tests/python/ltsmin-dve.ipynb: Illustrate all the above.
	* NEWS: Mention those changes.
	* THANKS: Add Hashim.

2019-02-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around gcc 8.2.1+ bug #89303

	Do not call std::make_shared on classes inheriting from
	std::enable_shared_from_this when compiling with g++ 8.2.

	* NEWS: Mention the bug.
	* spot/misc/common.hh (SPOT_make_shared_enabled__): New macro.
	* spot/twa/twagraph.cc, spot/twa/twagraph.hh, spot/twa/twaproduct.hh,
	spot/twa/taatgba.hh, spot/twaalgos/couvreurnew.cc,
	spot/twaalgos/magic.cc, spot/twaalgos/se05.cc, spot/twaalgos/tau03.cc,
	spot/twaalgos/tau03opt.cc, spot/twaalgos/gv04.cc,
	spot/ltsmin/ltsmin.cc, spot/twaalgos/gtec/gtec.cc: Use it.

2019-02-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	product_susp: fix product of state-based automata

	Reported by Simon Jantsch.

	* spot/twaalgos/product.cc: Here.
	* tests/core/unambig2.test: New file, testing this plus
	the previous patch.
	* tests/Makefile.am: Add unambig2.test.
	* NEWS: Mention the bug.

2019-02-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltl2tgba_fm: don't tag weak automata if unambiguous is used

	Part of a bug reported by Simon Jantsch.  Test cases in next patch.

	* spot/twaalgos/ltl2tgba_fm.cc: Here.
	* NEWS: Mention the bug.

2019-02-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	parsetl: better handling of MS-DOS line endings

	* spot/parsetl/scantl.ll: Ignore \r.
	* tests/core/lbt.test: Add a test.
	* NEWS: Mention the issue.

2019-01-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	doc: add some troubleshooting help

	Inspired by #375.

	* README: Add a section about troubleshooting installations.  Mention
	GraphViz as optional dependency.
	* doc/org/install.org: Mention the troubleshooting section from INSTALL.

2019-01-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: suggest installing GraphViz when dot is not found

	This fixes an issue mentioned in #375.

	* python/spot/aux.py (str_to_svg): Catch a missing 'dot' and instruct
	the user to install GraphViz.
	* THANKS: Add reporter.

2019-01-23  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	powerset: some clean up

	* spot/twaalgos/powerset.cc: Remove some unnecessary code, as spotted
	by Fanda.  Also fix some comments.

2019-01-23  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* THANKS: Add the reporter of #372.

2019-01-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: work around issue with Org 9.2

	See the following email
	http://lists.gnu.org/archive/html/emacs-orgmode/2019-01/msg00226.html

	* doc/org/tut24.org, doc/org/tut51.org: Export the output of
	noweb-based block without ':export results' or ':export both'.
	* doc/org/spot.css: Add style for src-text.

2019-01-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: improve bdd_dict bindings

	Fixes #372.

	* python/spot/impl.i: Refactor the handling of exceptions using a
	Lippincott function.  Map out_of_range to IndexError.  Add
	PyObject* version for bdd_dict's register and unregister functions
	so we can use Python objects as well.
	* tests/python/bdddict.py: New file.
	* tests/Makefile.am: Add it.
	* NEWS: Mention the changes.

2019-01-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Bump copyright year

	* bin/common_setup.cc, debian/copyright: Here.

2019-01-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: typo

	* doc/org/concepts.org: Typo reported by Paul Guénézan.
	* THANKS: Add him.

2018-12-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	print_dot_psl: fix numbering of commutative operands

	* spot/tl/dot.cc: Here.
	* tests/python/formulas.ipynb: Add test case.
	* NEWS: Mention the bug.

2018-12-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/python/stutter-inv.ipynb: Add link to on-line translator.

2018-12-13  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Typo.

2018-12-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version number.

2018-12-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.7

	* configure.ac, NEWS, doc/org/setup.org: Bump version.

2018-12-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	translate: fix stutter-invariant flag on leading Xs

	Issue discovered by Mikuláš Klokočka and reported by František
	Blahoudek.

	* spot/twaalgos/translate.cc: Reset the stutter-invariant flag
	when adding extra transitions for leading Xs.
	* tests/core/stutter-tgba.test: New test case.
	* NEWS: Mention the bug.

2018-12-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twa/acc.hh: More documentation.

2018-12-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Add a missing entry.

2018-12-04  Etienne Renault  <renault@lrde.epita.fr>

	gitlab-ci: force distcheck to use included GNU ltdl

	* .gitlab-ci.yml: Here.

2018-12-03  Etienne Renault  <renault@lrde.epita.fr>

	gitlab-ci: use the included GNU ltdl sources

	* .gitlab-ci.yml: Here.

2018-11-29  Etienne Renault  <renault@lrde.epita.fr>

	noexcept: please gcc snapshot

	* bin/common_finput.hh,
	bin/common_trans.cc,
	bin/common_trans.hh,
	spot/misc/minato.hh,
	spot/ta/ta.cc,
	spot/ta/ta.hh,
	spot/twa/acc.hh,
	spot/twaalgos/cycles.hh,
	spot/twaalgos/emptiness.hh,
	spot/twaalgos/gtec/gtec.hh,
	spot/twaalgos/ndfs_result.hxx,
	spot/twaalgos/sccinfo.hh,
	spot/twaalgos/word.cc,
	spot/twaalgos/word.hh: Here.

2018-11-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	add an Alpine Linux build

	* .gitlab-ci.yml (alpine-gcc): Here.

2018-11-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix rpm builds

	* spot.spec.in: Do not hardcode the Python version.

2018-11-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Fix Alpine Linux builds

	Reported by Maxime Bouton.

	* spot/misc/tmpfile.cc: Include stdlib.h, not cstdlib, so
	that our replacement secure_getenv() is found.
	* THANKS: Add Maxime.

2018-11-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix is_generalized_rabin and is_generalized_streett

	* spot/twa/acc.cc: Recoginize the single-pair case.
	* python/spot/impl.i: Return the vector instead of taking it
	by reference.
	* tests/python/setacc.py: Add test cases.
	* NEWS: Mention those changes.

2018-11-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	introduce count_univbranch_states() and count_univbranch_edges()

	Fixes #368, suggested by František Blahoudek.

	* spot/twaalgos/isdet.cc, spot/twaalgos/isdet.hh
	(count_univbranch_states(), count_univbranch_edges()): New functions.
	* bin/common_aoutput.cc, bin/common_aoutput.hh: Add %u and variants.
	* NEWS: Mention these.
	* tests/core/alternating.test: Test them.

2018-11-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: more conventional __repr__ for several types

	* NEWS: Mention the change.
	* python/spot/__init__.py: Add _repr_latex_ for twa_word, and
	remove __repr__ and __str__ for atomic_prop_set.
	* python/spot/impl.i: Implement __repr__ and __str__ for
	atomic_prop_set.  Fix __repr__ for trival, acc_code, acc_cond,
	mark_t.  Remove __repr__ for twa_run and twa_word.
	* tests/python/acc_cond.ipynb, tests/python/accparse.ipynb,
	tests/python/atva16-fig2a.ipynb, tests/python/automata.ipynb,
	tests/python/bdditer.py, tests/python/contains.ipynb,
	tests/python/gen.ipynb, tests/python/highlighting.ipynb,
	tests/python/ltlsimple.py, tests/python/ltsmin-dve.ipynb,
	tests/python/product.ipynb, tests/python/relabel.py,
	tests/python/satmin.ipynb tests/python/stutter-inv.ipynb,
	tests/python/word.ipynb: Adjust test cases.
	* tests/python/formulas.ipynb: Add test for atomic_prop_set.

2018-11-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: add __repr__ for rs_pair

	* spot/twa/acc.hh: Hide default constructors, so that we can have
	keyword arguments on the main constructor.
	* python/spot/impl.i: Add __repr__.
	* tests/python/setacc.py: Test it.

2018-10-31  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: fix return of is_rabin_like() and is_streett_like()

	* python/spot/impl.i: Fix instantiation of vector_rs_pairs.
	* tests/python/setacc.py: Add test cases.
	* NEWS: Mention the bugs.

2018-10-31  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: fix binding of used_inf_fin_sets()

	* python/spot/impl.i: Here.
	* tests/python/setacc.py: Test it.
	* NEWS: Mention the bug.

2018-10-29  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	require bison 3.0 and fix obsolete api.location.type usage

	* spot/parseaut/parseaut.yy, spot/parsetl/parsetl.yy: Explicitly Bison
	3.0, and use a code argument instead of an (deprecated) string
	argument for api.location.type.

2018-10-29  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	parseaut: fix signed/unsigned comparison warning

	* spot/parseaut/parseaut.yy: Here.

2018-10-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: add xargs support to translate() and postprocess()

	Fixes #361.

	* python/spot/__init__.py: Implement it.
	* tests/python/optionmap.py: Test it.
	* NEWS: Mention it.

2018-10-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Typo in release date.

2018-10-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2018-10-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bump version to 2.6.3.dev

	* NEWS, configure.ac: Here.

2018-10-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.6.3

	* NEWS, configure.ac, doc/org/setup.org: Bump version.

2018-10-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix ltlfilt --accept-word and --reject-word

	* NEWS: Mention the issue.
	* bin/ltlfilt.cc: Fix test.
	* tests/core/acc_word.test: Test this.

2018-10-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	option --low should disable gf-guarantee

	Fixes #367.

	* spot/twaalgos/translate.cc, spot/twaalgos/translate.hh: Fix it.
	* NEWS: Mention the change.
	* tests/core/ltl2tgba2.test: Test this.

2018-10-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Büchi translation should not go through fg_safety_to_dca_maybe()

	Fixes #366, reported by Simon Jantsch.

	* spot/twaalgos/translate.cc: type_&Generic will also match if
	type_==BA... use type_==Generic instead.
	* tests/core/unambig.test: Add a test corresponding to Simon's report.
	* NEWS: Describe the bug.

2018-10-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	solve build issue on Debian unstable i386

	* tests/python/_product_weak.ipynb: Split large loop in two cells.

2018-10-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	implement is_liveness() and is_liveness_automaton()

	* spot/twaalgos/strength.cc, spot/twaalgos/strength.hh,
	spot/tl/hierarchy.cc, spot/tl/hierarchy.hh: Here.
	* bin/ltlfilt.cc (--liveness): New filter.
	* NEWS: Mention those.
	* tests/core/ltlfilt.test, tests/python/ltlsimple.py: Add test cases.

2018-10-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix ltlfilt --accept-word and --reject-word

	* NEWS: Mention the issue.
	* bin/ltlfilt.cc: Fix test.
	* tests/core/acc_word.test: Test this.

2018-10-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	option --low should disable gf-guarantee

	Fixes #367.

	* spot/twaalgos/translate.cc, spot/twaalgos/translate.hh: Fix it.
	* NEWS: Mention the change.
	* tests/core/ltl2tgba2.test: Test this.

2018-10-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Büchi translation should not go through fg_safety_to_dca_maybe()

	Fixes #366, reported by Simon Jantsch.

	* spot/twaalgos/translate.cc: type_&Generic will also match if
	type_==BA... use type_==Generic instead.
	* tests/core/unambig.test: Add a test corresponding to Simon's report.
	* NEWS: Describe the bug.

2018-10-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	solve build issue on Debian unstable i386

	* tests/python/_product_weak.ipynb: Split large loop in two cells.

2018-10-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	unabbreviate: add new rules based on eventual/universal arguments

	Based on a report by Simon Jantsch.  Fixes #362.

	* NEWS, doc/tl/tl.tex: Mention the new rules.
	* spot/tl/unabbrev.cc: Implement them.
	* tests/core/unabbrevwm.test: Test them.
	* tests/python/randltl.ipynb: Adjust.

2018-10-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Remove some items from 2.6.2.

2018-09-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2018-09-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Bump version to 2.6.2.dev

	* NEWS, configure.ac: Here.

2018-09-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.6.2

	* NEWS, configure.ac, doc/org/setup.org: Bump version number.

2018-09-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: adjust link to online translator

	* doc/org/index.org: Here.

2018-09-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	more gcc-snapshot warnings

	* spot/misc/game.hh: Here.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Describe more fixed bugs.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	exclusive_ap::constrain does not improve determism

	Fixes #363.

	* spot/tl/exclusive.cc: Fix the prop_copy() call.
	* tests/core/exclusive-tgba.test: Test it.
	* NEWS: Mention the issue.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml: Fix docker names.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	print_dot: add xlabel to colored states if too many colors in use

	Based on a report from Andreas Tollkötter.

	* spot/twaalgos/dot.cc (highlight_states_show_num_): New option,
	turned on implicitly when more than 8 colors are used.
	* tests/core/highlightstate.test: Test it.
	* NEWS: Mention it.
	* THANKS: Add Andreas.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* debian/copyright: Fix syntax.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remove more references to the old cgi-based translator

	* debian/source/lintian-overrides, python/.gitignore: Here

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: add missing build dependency

	* debian/control (Build-Depends): Add dh-python.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debiam: fix the regex from previous patches

	* debian/rules: Here.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: apply the mathjax regex to org output as well

	* debian/rules: Here.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/setup.org: Typo.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: another mathjax regex

	* debian/rules: mathjax is also fetched from cdnjs.cloudflare.com.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: adjust the mathjax regex

	* debian/rules: Here.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* debian/control: Typo.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* HACKING: R is now required to build from git.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix --disable-doxygen and --disable-c++17

	Reported by Yuri Victorovich.

	* configure.ac (enable_doxygen, enable_c++17): Use $enableval instead
	of "yes".
	* THANKS: Add Yuri.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	gcc-snapshot warnings

	* spot/kripke/kripkegraph.hh, spot/priv/bddalloc.hh,
	spot/priv/freelist.hh, spot/priv/satcommon.hh, spot/ta/taexplicit.cc
	spot/twa/bdddict.cc, spot/twa/twagraph.hh,
	spot/twaalgos/alternation.hh, spot/twaalgos/dtwasat.cc,
	spot/twaalgos/ltl2taa.cc, spot/twaalgos/stutter.cc,
	tests/core/ngraph.cc: Add default constructors, copy constructors, or
	remove useless destructors.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Adjust to Automake 1.16

	* python/Makefile.am: Adjust for Automake 1.16.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	get rid of the Python-based CGI translator

	We now have a separate project for its replacement at
	https://gitlab.lrde.epita.fr/spot/spot-web-app/

	* python/ajax/: Remove directory.
	* python/Makefile.am, configure.ac, README: Adjust.
	* NEWS: Mention this.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: show some useful R operations on ltlcross output

	* doc/org/ltlcross.org: Here.
	* doc/org/init.el.in, doc/org/.dir-locals.el.in: Enable R,
	and install ess.

2018-09-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	exclusive_ap::constrain does not improve determism

	Fixes #363.

	* spot/tl/exclusive.cc: Fix the prop_copy() call.
	* tests/core/exclusive-tgba.test: Test it.
	* NEWS: Mention the issue.

2018-09-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml: Fix docker names.

2018-09-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	print_dot: add xlabel to colored states if too many colors in use

	Based on a report from Andreas Tollkötter.

	* spot/twaalgos/dot.cc (highlight_states_show_num_): New option,
	turned on implicitly when more than 8 colors are used.
	* tests/core/highlightstate.test: Test it.
	* NEWS: Mention it.
	* THANKS: Add Andreas.

2018-09-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* debian/copyright: Fix syntax.

2018-08-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remove more references to the old cgi-based translator

	* debian/source/lintian-overrides, python/.gitignore: Here

2018-08-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: add missing build dependency

	* debian/control (Build-Depends): Add dh-python.

2018-08-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debiam: fix the regex from previous patches

	* debian/rules: Here.

2018-08-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: apply the mathjax regex to org output as well

	* debian/rules: Here.

2018-08-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/setup.org: Typo.

2018-08-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: another mathjax regex

	* debian/rules: mathjax is also fetched from cdnjs.cloudflare.com.

2018-08-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	debian: adjust the mathjax regex

	* debian/rules: Here.

2018-08-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* debian/control: Typo.

2018-08-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* HACKING: R is now required to build from git.

2018-08-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix --disable-doxygen and --disable-c++17

	Reported by Yuri Victorovich.

	* configure.ac (enable_doxygen, enable_c++17): Use $enableval instead
	of "yes".
	* THANKS: Add Yuri.

2018-08-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	gcc-snapshot warnings

	* spot/kripke/kripkegraph.hh, spot/priv/bddalloc.hh,
	spot/priv/freelist.hh, spot/priv/satcommon.hh, spot/ta/taexplicit.cc
	spot/twa/bdddict.cc, spot/twa/twagraph.hh,
	spot/twaalgos/alternation.hh, spot/twaalgos/dtwasat.cc,
	spot/twaalgos/ltl2taa.cc, spot/twaalgos/stutter.cc,
	tests/core/ngraph.cc: Add default constructors, copy constructors, or
	remove useless destructors.

2018-08-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Adjust to Automake 1.16

	* python/Makefile.am: Adjust for Automake 1.16.

2018-08-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	get rid of the Python-based CGI translator

	We now have a separate project for its replacement at
	https://gitlab.lrde.epita.fr/spot/spot-web-app/

	* python/ajax/: Remove directory.
	* python/Makefile.am, configure.ac, README: Adjust.
	* NEWS: Mention this.

2018-08-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Reorganize entries for next release.

2018-08-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: show some useful R operations on ltlcross output

	* doc/org/ltlcross.org: Here.
	* doc/org/init.el.in, doc/org/.dir-locals.el.in: Enable R,
	and install ess.

2018-08-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2018-08-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version number.

2018-08-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.6.1

	* NEWS, configure.ac, doc/org/setup.org: Update version number.

2018-08-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix python bindings for spot::parsed_formula::f getter

	* python/spot/impl.i: Add a typemap.
	* tests/python/ltlsimple.py: Add a test case for an issue.
	* NEWS: Mention the bug.

2018-08-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix python bindings for spot::parsed_formula::f getter

	* python/spot/impl.i: Add a typemap.
	* tests/python/ltlsimple.py: Add a test case for an issue.
	* NEWS: Mention the bug.

2018-08-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	contains: fix the semantics

	spot::contains(a, b) should test a⊇b.  It was testing a⊆b instead.

	* NEWS: Mention the bug.
	* spot/twaalgos/contains.cc, spot/twaalgos/contains.hh: Fix the
	code and documentation.
	* tests/python/contains.ipynb: Adjust description and expected
	results.
	* python/spot/__init__.py: Also swap the argument of
	language_containment_checker.contains()
	* bin/autfilt.cc: Adjust usage.

2018-08-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: add some implication-based rewritings for "<->", "->", and "xor"

	This prevents an exception from being raised if NNF is not performed
	on Boolean properties and implication-based checks are used.

	* NEWS: Mention the issue.
	* spot/tl/simplify.cc, doc/tl/tl.tex: Add some rules.
	* tests/python/ltlsimple.py: Test them.

2018-08-02  Maximilien Colange  <colange@lrde.epita.fr>

	* spot/twa/acc.hh: fix constness

2018-08-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/translate.cc: Typos in comments.

2018-08-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	scc_info: fix split_on_sets

	* spot/twaalgos/sccinfo.cc (split_on_sets): Correctly register APs.
	* tests/python/sccsplit.py: New file.
	* tests/Makefile.am: Add it.
	* NEWS: Mention the bug.

2018-08-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml (debpkg-stable): Typo.

2018-08-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlfilt: introduce --suspendable

	* bin/ltlfilt.cc: Add the option.
	* tests/core/ltlfilt.test: Use it.
	* NEWS: Mention it.

2018-08-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twa/twa.cc: Typo.

2018-08-02  Etienne Renault  <renault@lrde.epita.fr>

	HACKING: directory has moved

	* HACKING: Here.

2018-08-02  Etienne Renault  <renault@lrde.epita.fr>

	remove duplicated includes

	* spot/graph/graph.hh,
	spot/taalgos/tgba2ta.cc,
	spot/tl/formula.hh,
	spot/twaalgos/dot.cc,
	spot/twaalgos/ltl2tgba_fm.cc,
	spot/twaalgos/ndfs_result.hxx,
	spot/twaalgos/powerset.cc,
	spot/twaalgos/stutter.cc: Here.

2018-08-02  Etienne Renault  <renault@lrde.epita.fr>

	remove useless forward declaration

	* spot/ta/taexplicit.hh,
	spot/twaalgos/compsusp.hh,
	spot/twaalgos/isunamb.hh,
	spot/twaalgos/word.hh: Here.

2018-08-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	escape_rfc4180: document relation with std::quote

	* spot/misc/escape.hh: Here.

2018-08-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix two issues related to jupyter notebook execution

	* tests/python/ipnbdoctest.py: Invert diffs inputs.
	* tests/run.in: Run notebooks with
	PYTHONIOENCODING=utf-8:surrogateescape to avoid exceptions when trying
	to display utf-8 characters on ascii terminals.

2018-08-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: add missing documentation for prop_complete

	* doc/org/concepts.org: Here.

2018-08-02  Antoine Martin  <amartin@lrde.epita.fr>

	* HACKING: typos

2018-08-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/tl/tl.tex: Convert to utf-8.

2018-08-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	contains: fix the semantics

	spot::contains(a, b) should test a⊇b.  It was testing a⊆b instead.

	* NEWS: Mention the bug.
	* spot/twaalgos/contains.cc, spot/twaalgos/contains.hh: Fix the
	code and documentation.
	* tests/python/contains.ipynb: Adjust description and expected
	results.
	* python/spot/__init__.py: Also swap the argument of
	language_containment_checker.contains()
	* bin/autfilt.cc: Adjust usage.

2018-08-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: add some implication-based rewritings for "<->", "->", and "xor"

	This prevents an exception from being raised if NNF is not performed
	on Boolean properties and implication-based checks are used.

	* NEWS: Mention the issue.
	* spot/tl/simplify.cc, doc/tl/tl.tex: Add some rules.
	* tests/python/ltlsimple.py: Test them.

2018-07-28  Maximilien Colange  <colange@lrde.epita.fr>

	* spot/twa/acc.hh: fix constness

2018-07-27  Maximilien Colange  <colange@lrde.epita.fr>

	ltlsynt: new algorithm, based on LAR

	* bin/ltlsynt.cc: here
	* tests/core/ltlsynt.test: test it
	* NEWS: document it

2018-07-27  Maximilien Colange  <colange@lrde.epita.fr>

	ltlsynt: rework synthesis algorithms

	ltlsynt now offers two algorithms: one where splitting occurs before
	determinization (the historical one) and one where determinization
	occurs before splitting.

	* bin/ltlsynt.cc: here
	* tests/core/ltlsynt.test: test it and refactor test file
	* NEWS: document it
	* spot/misc/game.hh, spot/misc/game.cc: remove Calude's algorithm

2018-07-26  Maximilien Colange  <colange@lrde.epita.fr>

	LAR made smarter with symmetry-based degeneralization

	* spot/twaalgos/toparity.cc: here
	* spot/twa/acc.hh, spot/twa/acc.cc: compute symmetries of an acceptance
	  condition
	* tests/python/accparse2.py, tests/python/toparity.py: test it

2018-07-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltl-split: translate any "safety" with "rest"

	* tests/core/ltl2tgba2.test: Add a test-case reported by Maximilien.
	* spot/twaalgos/translate.cc: Translate any "safety" formula with
	"rest".
	* tests/python/highlighting.ipynb: Adjust.

2018-07-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/translate.cc: Typos in comments.

2018-07-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genem: fix removal of unsatisfied Fin(x) sets

	Fixes #360.

	* spot/twa/acc.cc, spot/twa/acc.hh (force_inf): New method.
	* spot/twaalgos/genem.cc: Fix the emptiness check using force_inf.
	* tests/python/genem.py: Add test case and adjust the python
	version of the emptiness check.

2018-07-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	scc_info: fix split_on_sets

	* spot/twaalgos/sccinfo.cc (split_on_sets): Correctly register APs.
	* tests/python/sccsplit.py: New file.
	* tests/Makefile.am: Add it.
	* NEWS: Mention the bug.

2018-07-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml (debpkg-stable): Typo.

2018-07-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlfilt: introduce --suspendable

	* bin/ltlfilt.cc: Add the option.
	* tests/core/ltlfilt.test: Use it.
	* NEWS: Mention it.

2018-07-24  Maximilien Colange  <colange@lrde.epita.fr>

	translate any automaton to a parity automaton

	* spot/twaalgos/toparity.cc, spot/twaalgos/toparity.hh: implement it,
	  based on last-appearance record (LAR)
	* spot/twaalgos/Makefile.am: build it
	* NEWS: document it
	* python/spot/impl.i: add to python bindings
	* tests/Makefile.am, tests/python/toparity.py: test it

2018-07-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	use the generic emptiness check

	* spot/twa/twa.cc (is_empty, intersects): Here.
	* spot/twaalgos/sccinfo.cc (check_scc_emptiness): Here.
	* spot/twaalgos/genem.cc: Report error if the input is alternating.
	* spot/twaalgos/isunamb.cc, spot/twaalgos/sccinfo.hh: Adjust.
	* NEWS: Mention the change.

2018-07-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twa/twa.cc: Typo.

2018-07-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genem: implement a generic emptiness check for twa_graph_ptr

	* spot/twa/acc.cc, spot/twa/acc.hh (fin_unit, one_fin): New function.
	* spot/twaalgos/genem.cc, spot/twaalgos/genem.hh: New files.
	* spot/twaalgos/Makefile.am: Add it.
	* tests/python/genem.py: New file.
	* tests/Makefile.am: Add it.
	* python/spot/impl.i: Add bindings for genem.hh.
	* NEWS: Mention the new function.

2018-07-23  Etienne Renault  <renault@lrde.epita.fr>

	HACKING: directory has moved

	* HACKING: Here.

2018-07-23  Etienne Renault  <renault@lrde.epita.fr>

	remove duplicated includes

	* spot/graph/graph.hh,
	spot/taalgos/tgba2ta.cc,
	spot/tl/formula.hh,
	spot/twaalgos/dot.cc,
	spot/twaalgos/ltl2tgba_fm.cc,
	spot/twaalgos/ndfs_result.hxx,
	spot/twaalgos/powerset.cc,
	spot/twaalgos/stutter.cc: Here.

2018-07-23  Etienne Renault  <renault@lrde.epita.fr>

	remove useless forward declaration

	* spot/ta/taexplicit.hh,
	spot/twaalgos/compsusp.hh,
	spot/twaalgos/isunamb.hh,
	spot/twaalgos/word.hh: Here.

2018-07-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	modernize std::string("foo") into "foo"s

	* spot/ltsmin/ltsmin.cc, spot/misc/tmpfile.cc,
	spot/parseaut/parseaut.yy, spot/taalgos/dot.cc, spot/tl/hierarchy.cc,
	spot/tl/unabbrev.cc, spot/twa/acc.cc, spot/twa/twagraph.cc,
	spot/twaalgos/dot.cc, spot/twaalgos/hoa.cc, spot/twaalgos/lbtt.cc,
	spot/twaalgos/neverclaim.cc, spot/twaalgos/strength.cc,
	spot/twaalgos/word.cc: Replace std::string("foo") by "foo"s, and
	include namespace std::string_literals.

2018-07-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	escape_rfc4180: document relation with std::quote

	* spot/misc/escape.hh: Here.

2018-07-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix two issues related to jupyter notebook execution

	* tests/python/ipnbdoctest.py: Invert diffs inputs.
	* tests/run.in: Run notebooks with
	PYTHONIOENCODING=utf-8:surrogateescape to avoid exceptions when trying
	to display utf-8 characters on ascii terminals.

2018-07-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: add missing documentation for prop_complete

	* doc/org/concepts.org: Here.

2018-07-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	more documentation for twa_graph internals

	* spot/graph/graph.hh, spot/twa/twagraph.hh, spot/twa/twagraph.cc:
	Implement a dump_storage_as_dot() method.
	* python/spot/__init__.py (twa_graph.show_storage): New method, above
	dump_storage_as_dot().
	* tests/python/twagraph-internals.ipynb: New file, with documentation
	about the twa_graph internals, using show_storage() to illustrate
	everything.
	* tests/Makefile.am, doc/org/tut.org: Add it.
	* python/spot/impl.i: Add bindings for out_iterasor, demonstrated in
	the Python notebook.
	* spot/twa/twa.hh: Add prop_reset().  Used in the notebook.
	* NEWS: Mention the new notebook and function.
	* doc/org/tut50.org: Link to the notebook.
	* tests/python/ipnbdoctest.py: Adjust for twa_graph_ptr being
	redefined in the spot namespace.

2018-07-09  Antoine Martin  <amartin@lrde.epita.fr>

	* HACKING: typos

2018-07-06  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/tl/tl.tex: Convert to utf-8.

2018-07-06  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tl: add support for X[n], F[n:m] and G[n:m]

	* NEWS, doc/tl/tl.tex, doc/tl/tl.bib: Document these new operators.
	* spot/parsetl/parsetl.yy, spot/parsetl/scantl.ll: Parse those.
	* spot/tl/formula.cc, spot/tl/formula.hh: Add constructors.
	* spot/gen/formulas.cc: Use it.
	* tests/core/sugar.test: New file.
	* tests/Makefile.am: Add it.

2018-07-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: do not define the viewport twice

	* doc/org/.dir-locals.el.in, doc/org/init.el.in: Do not set the
	viewport, org already does it.

2018-07-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Bump version to 2.6.0.dev

	* NEWS, configure.ac: Here.

2018-07-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.6

	* NEWS, configure.ac, doc/org/setup.org: Bump version to 2.6.

2018-07-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: add instructions for install RPM packages

	* doc/org/install.org: Here.
	* NEWS: Mention that we have RPM packages.

2018-07-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot.spec.in: Use --disable-devel --enable-optimizations.

2018-07-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Fix GITPATCH computation

	Since the introduction of the syntcomp2018-submission tag (on a
	separate branch), that computation of GITPATCH was based on this
	tag because it was the last one (even if it is not on next).
	We did not see it on the Debian packages, because they clone
	only one branch of the repository, but the RPM packages had a
	different GITPATCH.

	* configure.ac (GITPATCH): Compute the number of commits since the
	last "spot-*" tag.

2018-07-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	trival: prefer a global operator== relying on implicit conversion

	Hopefully fixes #359.

	* spot/misc/trival.hh: Declare a global operator==(trival,trival) that
	replace the specialized operator==(bool,trival), and the in class
	trival::operator(trival), thanks to the implicit construction from
	bool to trival.  Make the repr_t/value_t constructor explicit, are
	those are mostly internal to the library and may cause conflicts.
	* spot/twa/twa.hh: Adjust to construct trival explicitly.
	* python/spot/impl.i: Since Swig/Python does not support global
	comparison operators, implement a member version, supporting
	only __eq__(trival,bool) as before.
	* tests/python/setacc.py: Adjust erroneous code.
	* tests/python/trival.py: Add test cases.

2018-07-02  Antoine Martin  <amartin@lrde.epita.fr>

	complement: improve code coverage

	* spot/twaalgos/complement.cc: removed unused code
	* tests/python/except.py: test for exception raised

2018-07-02  Clément Gillard  <clement.gillard@epita.fr>

	* spot/twaalgos/product.hh: Typos in comments.

2018-07-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml: Typo.

2018-07-02  Antoine Martin  <amartin@lrde.epita.fr>

	isdet: fix documentation error

	* spot/twaalgos/isdet.hh: here

2018-07-02  Antoine Martin  <amartin@lrde.epita.fr>

	implement NCSB complementation

	* spot/twaalgos/isdet.cc,spot/twaalgos/isdet.hh: Two new functions to
	highlight deterministic SCCs
	* spot/twaalgos/complement.cc,spot/twaalgos/complement.hh:
	Implementation of the NCSB complementation algorithm
	* tests/Makefile.am, tests/python/complement_semidet.py: Test the
	implementation
	* NEWS: document function

2018-07-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	gitlab-ci: publish the RPM packages

	* .gitlab-ci.yml (publish-rpm): New job.

2018-07-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* AUTHORS: Add Antoine.

2018-06-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltl-split: deal with suspendable formulas that are false

	Fixes #358.

	* spot/twaalgos/translate.cc: Fix the assert().
	* tests/core/ltl2tgba2.test: Add a test case.

2018-06-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Adjust for the release of Owl 18.06.

2018-06-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	gfguarantee: fix selection of moved init state

	Fixes #357.

	* spot/twaalgos/gfguarantee.cc: Decide that a moved init state is to
	close from the terminal state *before* actually modifying the
	automaton.
	* tests/core/ltl2tgba2.test: Add a test.

2018-06-29  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: conform to GNU Coding Standards for --version

	* bin/common_setup.cc: Print the version number after the parentheses.

2018-06-29  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	twa: introduce exclusive_word() and exclusive_run()

	* spot/twa/twa.cc, spot/twa/twa.hh: Add these methods.
	* NEWS, tests/python/contains.ipynb: Document them.

2018-06-29  Antoine Martin  <amartin@lrde.epita.fr>

	build rpm package during ci

	* .gitignore: don't commit spot.spec
	* Makefile.am: write version number to spot.spec.in
	* .gitlab-ci.yml: new job builds the tarball and rpm package
	* spot.spec.in: spot.spec is used by rpmbuild to build the package

2018-06-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	translate: enable a restricted form of ltl-split for TGBA/BA

	Fixes #267

	* spot/twaalgos/gfguarantee.cc: Fix a typo when comparing automata
	sizes.
	* spot/twaalgos/translate.cc, spot/twaalgos/translate.hh: Use
	ltl-split even for BA/TGBA, but only of conjunctions with GF(..)
	in those cases.
	* tests/core/ltl2tgba2.test: Adjust and add the example of #267.
	* tests/core/degenid.test, tests/core/parity2.test,
	tests/core/stutter-tgba.test, tests/python/automata.ipynb,
	tests/python/highlighting.ipynb, tests/python/stutter-inv.ipynb,
	bin/spot-x.cc: Adjust.

2018-06-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: clarify that ltl2tgba does not only output TGBA

	* doc/org/tools.org: Adjust the link to ltl2tgba.org.
	* doc/org/ltl2tgba.org: Also point out that --generic and --parity can
	be used without --deterministic.
	* bin/ltl2tgba.cc, bin/spot.cc: Adjust help text.

2018-06-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Fix typos reported by Fanda.

2018-06-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	modernize the logo

	* doc/org/spot2.svg: New file.
	* doc/Makefile.am: Distribute it.
	* doc/org/.gitignore: Adjust.
	* doc/org/setup.org: Display it.
	* doc/org/autcross.org, doc/org/autfilt.org, doc/org/citing.org,
	doc/org/compile.org, doc/org/concepts.org, doc/org/csv.org,
	doc/org/dstar2tgba.org, doc/org/genaut.org, doc/org/genltl.org,
	doc/org/hierarchy.org, doc/org/hoa.org, doc/org/index.org,
	doc/org/install.org, doc/org/ioltl.org, doc/org/ltl2tgba.org,
	doc/org/ltl2tgta.org, doc/org/ltlcross.org, doc/org/ltldo.org,
	doc/org/ltlfilt.org, doc/org/ltlgrind.org, doc/org/ltlsynt.org,
	doc/org/oaut.org, doc/org/randaut.org, doc/org/randltl.org,
	doc/org/satmin.org, doc/org/tools.org, doc/org/tut.org,
	doc/org/tut01.org, doc/org/tut02.org, doc/org/tut03.org,
	doc/org/tut04.org, doc/org/tut10.org, doc/org/tut11.org,
	doc/org/tut20.org, doc/org/tut21.org, doc/org/tut22.org,
	doc/org/tut23.org, doc/org/tut24.org, doc/org/tut30.org,
	doc/org/tut31.org, doc/org/tut50.org, doc/org/tut51.org,
	doc/org/upgrade2.org: Include setup.org instead of declaring it as
	SETUPFILE.
	* doc/org/spot.css: Add entries for the logo.
	* python/ajax/trans.html: Use the new logo.
	* python/ajax/logos/mail.png, python/ajax/logos/spot64s.png: Delete.
	* python/ajax/Makefile.am: Adjust.

2018-06-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	doc: download plantuml.jar from lrde.epita.fr

	* doc/Makefile.am (PLANTUML_URL): Adjust.

2018-06-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Include a comparison with ltl3tela 1.1.2.

2018-06-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: update hierarchy examples

	* doc/org/hierarchy.org: Adjust for recent changes.

2018-06-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	translate: extract obligations terms when translating LTL to Parity

	* spot/twaalgos/translate.cc: Here.
	* NEWS: Mention the change.
	* tests/core/genltl.test: Add parity automata sizes for a set of
	formulas.
	* tests/core/parity2.test: Add another formula to the tests.

2018-06-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Update the micro benchmarks.

2018-06-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	postproc: simplify the acceptance condition

	* spot/twaalgos/postproc.cc: Here.
	* spot/twaalgos/cobuchi.cc, spot/twaalgos/totgba.cc: Fix some bug
	uncovered by the new simplified automata.
	* tests/core/satmin2.test, tests/core/sccdot.test,
	tests/core/sim3.test, tests/python/decompose.ipynb,
	tests/python/satmin.ipynb: Update expected results.
	* NEWS: Mention the simplification and the bug.

2018-06-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: install everythin into pyexecdir

	Reported by Antoine Martin.

	* python/Makefile.am: Here.
	* NEWS: Mention the bug.

2018-06-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	improve translation of ms-phi-h=2..3

	* spot/twaalgos/gfguarantee.cc: Rework the history computation to keep
	an overapproximation of the history, and a longer one.  Also replay
	the history even if there is no initial trivial SCC.  This helps with
	translating FG(!a|XXXb) where we need to keep the history of a, but we
	were previously unable to do so because some state had both "a" and
	"ab" as input.
	* spot/twaalgos/translate.cc: Optimize the product of suspendable
	automata by removing useless trivial SCCs.
	* tests/core/genltl.test, tests/core/satmin.test, NEWS: Adjust
	expected results.

2018-06-20  Maximilien Colange  <colange@lrde.epita.fr>

	add a pool allocator for STL containers

	* spot/priv/allocator.hh, spot/priv/Makefile.am: add a STL-compliant
	  allocator based on spot::fixed_size_pool
	* spot/misc/fixpool.hh, spot/misc/fixpool.cc, spot/misc/Makefile.am:
	  refactor the existing spot::fixed_size_pool
	* spot/ltsmin/ltsmin.cc, spot/twa/twaproduct.cc: reflect changes in the
	  interface of spot::fixed_size_pool
	* tests/core/mempool.cc: test the new allocator

2018-06-20  Maximilien Colange  <colange@lrde.epita.fr>

	make valgrind understand our memory pools

	Annotate pools with valgrind macros so that it detects errors in pool
	usage. Typically, we wish valgrind to detect a leak when the user fails
	to call proper deallocation function.

	* spot/misc/fixpool.hh, spot/misc/mspool.hh: here
	* configure.ac: ensure that valgrind header exists
	* tests/Makefile.am, tests/core/mempool.cc, tests/core/mempool.test,
	  tests/core/.gitignore: add tests to ensure valgrind accurately detects
	  leaks

2018-06-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: fix lists of escape sequences

	* doc/org/autfilt.org, doc/org/ltl2tgba.org, doc/org/ltlfilt.org: Here.

2018-06-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	translate: add ltl-split option

	* spot/twaalgos/translate.cc, spot/twaalgos/translate.hh: Build
	automata with generic acceptance by doing product of automata for
	smaller subformulas.
	* bin/spot-x.cc: Mention ltl-split.
	* NEWS: Mention the change, and show some results.
	* tests/core/genltl.test, tests/python/_product_susp.ipynb,
	tests/python/highlighting.ipynb: Adjust test cases.
	* doc/org/ltl2tgba.org: Update.
	* tests/core/gragsa.test: Add another formula to cover more
	code.

2018-06-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	product_susp: new function

	* spot/twaalgos/product.cc, spot/twaalgos/product.hh: Implement it.
	* tests/python/_product_susp.ipynb: New file.
	* tests/Makefile.am: Add it.
	* NEWS: Mention it.

2018-06-15  Antoine Martin  <amartin@lrde.epita.fr>

	don't use tabs for indentation

	* .dir-locals.el: Here

2018-06-15  Maximilien Colange  <colange@lrde.epita.fr>

	fix a bug in aiger printer

	* spot/twaalgos/aiger.cc: here
	* tests/core/ltlsynt.test: add a non-regression test

2018-06-15  Maximilien Colange  <colange@lrde.epita.fr>

	ltlsynt: more deterministic behavior

	Zielonka algorithm used to iterate over an std::unordered_set, thus
	producing different strategies depending on compiler...

	* spot/misc/game.cc: replace std::unordered_set with std::set

2018-06-14  Antoine Martin  <amartin@lrde.epita.fr>

	fix typo in dir-locals

	* .dir-locals.el: fix typo for indent-tabs-mode

2018-06-13  Maximilien Colange  <colange@lrde.epita.fr>

	update ltlsynt documentation

	closes #355

	* doc/org/citing.org, bin/man/ltlsynt.x: add SYNT2018 paper
	* doc/org/ltlsynt.org: fix documentation

2018-06-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	scc_filter: add quick test for very-weak

	Related to issue #351.

	* spot/twaalgos/sccfilter.cc: When handling weak automata, we know
	they are very-weak if the SCC count is equal to the number of states.
	* tests/core/dca2.test, tests/core/monitor.test,
	tests/core/parity2.test, tests/core/randomize.test,
	tests/core/readsave.test, tests/core/remfin.test,
	tests/core/sccsimpl.test, tests/core/wdba2.test,
	tests/python/dualize.py, tests/python/remfin.py: Adjust output.

2018-06-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltl2tgba_fm: mark persistence formulas as weak automata

	... instead of inherently-weak.  The reason they were tagged
	as inherently-weak is historical: this property was introduced
	1.5 years before the weak propery.

	Fixes #351.

	* spot/twaalgos/ltl2tgba_fm.cc: Use prop_weak() instead of
	prop_inherently_weak().  Also be more conservative about the use of
	single_acc when unambiguous automata are generated.

2018-06-11  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	specialize scc_filter for inherently_weak automata

	Part of issue #351.

	* spot/twaalgos/sccfilter.cc, spot/twaalgos/sccfilter.hh: Specialize
	for inherently-weak automata.
	* spot/twaalgos/postproc.cc: Simplify.
	* tests/core/dca2.test, tests/core/parity2.test,
	tests/core/prodor.test, tests/core/randomize.test,
	tests/python/automata.ipynb, tests/python/highlighting.ipynb,
	tests/python/product.ipynb, tests/python/remfin.py,
	tests/python/stutter-inv.ipynb: Adjust.
	* NEWS: Mention it.

2018-06-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Reorder and fix some typos.

2018-06-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genltl: add --gf-equiv-xn, --gf-implies-xn

	* spot/gen/formulas.cc, spot/gen/formulas.hh: Here.
	* bin/genltl.cc: Add options.
	* tests/core/genltl.test: Test them.
	* NEWS: Mention them.

2018-06-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	gf_guarantee_to_ba: save states using histories

	This improves gf_guarantee_to_ba() on formulas GF(φ) where the
	automaton for F(φ) as several leading transiant SCCs.  E.g.,
	GF(a <-> XXXa) where we know get results that are as good as
	those of delag without loosing on the cases where delag's technique
	would actually produce two big automata.

	* spot/twaalgos/gfguarantee.cc: Implement this.
	* spot/twaalgos/gfguarantee.hh, NEWS: Document it.
	* tests/core/ltl2tgba2.test, tests/core/ltl3ba.test: Add test cases.

2018-06-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	minimize_wdba: use a product to decide accepting SCCs

	Fixes #347.

	* spot/twaalgos/minimize.cc, spot/twaalgos/minimize.hh: An SCC of the
	determinized automaton is marked as accepting if it intersects any
	accepting SCC of the original automaton.  This can be checked by
	making a product.  As a consequence the output of minimize_wdba() now
	always includes the original language, and minimize_obligation() only
	needs a single containment check.
	* NEWS: Mention this.

2018-06-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml (debian-gcc-snapshot): Fix path to log files.

2018-06-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	simplifier: add two new rules

	Fixes #354.

	* spot/tl/simplify.cc: Implement the rules.
	* doc/tl/tl.tex, NEWS: Document them.
	* tests/core/reduccmp.test: Add tests.
	* tests/core/det.test, tests/core/satmin.test: Adjust.

2018-06-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Reorganize recent entries.

2018-06-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genltl: --ms-example now has two arguments

	* bin/genltl.cc, spot/gen/formulas.cc, tests/core/genltl.test: Adjust.
	* NEWS: Mention it.

2018-06-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt: implement --has-univ-branching and --has-exist-branching

	Fixes #352.

	* bin/autfilt.cc: Add the options.
	* tests/core/alternating.test: Test them.
	* NEWS: Mention them.

2018-06-05  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genltl: add support for --sejk-f=n,m

	Together with the previous patch, this Fixes #353.

	Implementing this required to extend our interface two support
	two-parameter patterns.

	* spot/gen/formulas.cc, spot/gen/formulas.hh: Implement it.
	* bin/genltl.cc: Add --sejk-f.
	* bin/common_output.cc, bin/common_output.hh: Adjust to handle
	"line numbers" that are not integers (e.g., "3,2"), since those
	are used to display pattern parameters.
	* bin/ltlfilt.cc: Adjust.
	* python/spot/gen.i: Add support for two-parameters patterns.
	* tests/core/genltl.test, tests/python/gen.ipynb: Augment.
	* NEWS: Mention it.

2018-06-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genltl: three new families --sejk-{j,k,patterns}

	These correspond to the first three blocks of table 1 in S. Sickert,
	J. Esparza, S. Jaax, and J. Křetínský: Limit-Deterministic Büchi
	Automata for Linear Temporal Logic.  CAV'16.  LNCS 9780.

	For #353.

	* spot/gen/formulas.cc, spot/gen/formulas.hh, bin/genltl.cc: Implement
	the new families.
	* tests/core/genltl.test: Test it.
	* bin/man/genltl.x, NEWS: Document it.

2018-06-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	improve alternation removal to match G&O construction

	When dealternating the VWAA for GFa, our result had two states that
	could not be fused by simulation because of unmatched acceptance mark.
	With this change, the result can be simplified.

	* spot/twaalgos/alternation.cc: Here.
	* tests/core/alternating.test, tests/python/alternation.ipynb: Update
	test case.
	* NEWS: Mention it.

2018-05-26  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	acc: turn some assertions into exceptions

	* spot/misc/bitset.cc, spot/misc/bitset.hh (set, clear):
	Turn asserts into exceptions.
	* spot/twa/acc.hh (mark_t): As a consequence, the
	constructor is not noexcept anymore.
	* tests/core/acc.cc, tests/python/except.py: More tests.

2018-05-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix a9293f329

	* spot/twaalgos/alternation.cc: Always call ensure_weak_scc().

2018-05-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix and check shifting issue

	The exception raised by << and >> when shifting mark_t by too many
	bits are only enabled in SPOT_DEBUG, as those operations are quite
	low-level.  However we were always testing them, and although we
	wanted them to be active in Python, it was not always the case.

	* spot/twa/acc.hh: introduce max_accsets() as
	a static constexpr method, so we can see it in Python.
	* spot/misc/bitset.hh: Fix preprocessing directive
	so the check is actually enabled when compiling the Python
	bindings.
	* bin/autcross.cc, bin/autfilt.cc, bin/ltlcross.cc: Use max_accsets().
	* tests/core/acc.cc: Comment out the shifting exception when
	SPOT_DEBUG is unset.
	* tests/python/except.py: Make sure the exception is always raised in
	Python.

2018-05-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/python/except.py: Make sure exceptions are raised.

2018-05-25  Maximilien Colange  <colange@lrde.epita.fr>

	fix warnings when compiling without assertions

	* spot/twa/acc.hh, spot/twaalgos/alternation.cc,
	  spot/twaalgos/determinize.cc, spot/twaalgos/ndfs_result.hxx,
	  spot/twaalgos/tau03.cc, spot/ltsmin/ltsmin.cc, tests/core/parity.cc:
	  here

2018-05-25  Maximilien Colange  <colange@lrde.epita.fr>

	optimize split_2step

	* spot/twaalgos/split.cc: split_2step relies less on bdd, which improves
	  its performance
	* tests/python/split.py: update test

2018-05-25  Maximilien Colange  <colange@lrde.epita.fr>

	twa_graph: add a method to merge states with same outgoing edges

	* spot/twa/twagraph.hh, spot/twa/twagraph.cc: here
	* NEWS: document it
	* tests/core/twagraph.cc, tests/core/tgbagraph.test: test it

2018-05-25  Maximilien Colange  <colange@lrde.epita.fr>

	a few improvements to mark_t

	* spot/misc/bitset.hh: add methods set() and clear()
	* spot/twa/acc.hh: deprecate comparison of mark_t with unsigned, and
	  rely more on biset for efficiency

2018-05-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	document --enable-max-accsets

	* README, doc/org/hoa.org: Here.

2018-05-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	rename SPOT_NB_ACC to SPOT_MAX_ACCSETS

	* NEWS, bin/autcross.cc, bin/autfilt.cc, bin/ltlcross.cc,
	configure.ac, spot/parseaut/parseaut.yy, spot/twa/acc.cc,
	spot/twa/acc.hh, tests/core/acc.cc, .gitlab-ci.yml: Here.

2018-05-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bitset: optimize the code generated by shifts in common cases

	* spot/misc/bitset.hh: Here.
	* spot/misc/bitset.cc: New file.
	* spot/misc/Makefile.am: Add it.
	* spot/twa/acc.hh: Conditionally remove the exception checks around
	shift operators.
	* spot/misc/common.hh (SPOT_ASSUME): New macro.

2018-05-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	common: typo

	* spot/misc/common.hh (SPOT_BUILTIN_UNREACHABLE): Typo.

2018-05-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/sanity/style.test: Allow {{x}} in constructors.

2018-05-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt: better handling of chain of products with -B

	Fixes #348, reported by Jeroen Meijer.

	* bin/autfilt.cc: If -B is used with many --product,
	degeneralize intermediate products as needed.
	* NEWS: Mention the change.
	* tests/core/prodchain.test: New file.
	* tests/Makefile.am: Add it.
	* spot/twa/acc.cc, spot/twa/acc.hh: Fix reporting of
	overflow.
	* tests/core/acc.cc: Adjust.

2018-05-23  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	product: optimize product with weak automata

	Fixes #350.

	* spot/twaalgos/product.cc: Implement this change.
	* NEWS, spot/twaalgos/product.hh: Mention it.
	* spot/twa/acc.cc, spot/twa/acc.hh (acc_cond::sat_mark): New method.
	* tests/python/_product_weak.ipynb: New file.
	* tests/Makefile.am: Add it.
	* tests/python/automata.ipynb, tests/python/highlighting.ipynb,
	tests/python/product.ipynb, tests/core/prodor.test: Adjust test cases.

2018-05-23  Maximilien Colange  <colange@lrde.epita.fr>

	ltlsynt: improve coverage

	* tests/core/ltlsynt.test: here

2018-05-23  Maximilien Colange  <colange@lrde.epita.fr>

	genltl: improve coverage

	* tests/core/genltl.test: here
	* spot/gen/formulas.cc: typo

2018-05-23  Maximilien Colange  <colange@lrde.epita.fr>

	ltlfilt: improve coverage

	* tests/core/ltlfilt.test: here

2018-05-23  Maximilien Colange  <colange@lrde.epita.fr>

	randltl: fix option --allow-dups

	* bin/randltl.cc: here
	* tests/core/rand.test: test it
	* NEWS: document it

2018-05-23  Maximilien Colange  <colange@lrde.epita.fr>

	hide implementation of spot::acc_cond::mark_t

	* bin/autcross.cc, bin/autfilt.cc, bin/ltlcross.cc,
	  spot/parseaut/parseaut.yy: use SPOT_NB_ACC
	* spot/twa/acc.hh: make implementation private

2018-05-23  Maximilien Colange  <colange@lrde.epita.fr>

	various fixes to bitset

	* spot/misc/bitset.hh: here
	* tests/core/acc.cc: test it

2018-05-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	optionmap: fix set()

	This longstanding issue caused some emptiness checks options to be
	ignored in the test suite, reducing coverage.

	* spot/misc/optionmap.cc (set): Insert the other keys without
	erasing the existing ones.

2018-05-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	gtec: hide some debugging code behind #if/#endif

	* spot/twaalgos/gtec/gtec.cc, spot/twaalgos/gtec/gtec.hh:
	Here.

2018-05-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: remove some dead code

	* bin/common_trans.cc, bin/common_trans.hh: Here.

2018-05-22  Maximilien Colange  <colange@lrde.epita.fr>

	build with a large spot::acc_cond::mark_t

	* .gitlab-ci.yml: here

2018-05-22  Maximilien Colange  <colange@lrde.epita.fr>

	building spot::acc_cond::mark_t from unsigned is deprecated

	* spot/twa/acc.hh: here

2018-05-22  Maximilien Colange  <colange@lrde.epita.fr>

	more portable configure.ac

	* configure.ac: do not use bash-ism

2018-05-22  Maximilien Colange  <colange@lrde.epita.fr>

	improve coverage

	* tests/core/acc.cc: here
	* tests/core/acc.test: fix test invokation

2018-05-22  Maximilien Colange  <colange@lrde.epita.fr>

	better coverage for ltlsynt

	* tests/core/ltlsynt.test: here

2018-05-22  Maximilien Colange  <colange@lrde.epita.fr>

	acc_cond::mark_t now relies on bitset

	This allows to represent more than 32 acceptance marks.

	* configure.ac: add an option to specify the number of marks
	* spot/twa/acc.hh: implement it
	* tests/python/acc_cond.ipynb, tests/core/acc.cc,
	  tests/core/ltlcross3.test: update tests
	* NEWS: document it
	* bin/randltl.cc: fix an include

2018-05-22  Maximilien Colange  <colange@lrde.epita.fr>

	a new bitset class with static size

	* spot/misc/bitset.hh: implement it
	* spot/misc/Makefile.am: distribute it

2018-05-22  Maximilien Colange  <colange@lrde.epita.fr>

	remove parity_product and parity_product_or

	* NEWS: document it
	* spot/twaalgos/parity.cc, spot/twaalgos/parity.hh,
	  tests/core/parity.cc: here

2018-05-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml: Remove spot.cc and spot-x.cc from coverage report.

2018-05-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/core/randtgba.cc: Remove code related to random formulas.

2018-05-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autcross: exercise %S, %L, and {name{nest}}

	* tests/core/autcross.test, tests/core/autcross2.test: More tests.

2018-05-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: remove dead code from ltl2tgta

	* bin/ltl2tgta.cc: There is no -B option.

2018-05-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: teach conversion options to report about the options

	* bin/common_conv.cc, bin/common_conv.hh: Here.
	* bin/autfilt.cc, bin/common_trans.cc, bin/ltlcross.cc, bin/ltldo.cc,
	bin/ltlfilt.cc, bin/ltlgrind.cc, bin/randaut.cc, bin/randltl.cc: Pass
	the name of the argumennt to the conversion function.
	* tests/core/ltlcross3.test, tests/core/ltldo.test,
	tests/core/randaut.test: Add test cases.

2018-05-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: abort autcross on input parse error

	* bin/common_hoaread.hh (hoa_processor): Add a abort_on_error
	option.
	* bin/autcross.cc: Use it.
	* tests/core/autcross4.test: Add many more error cases to improve
	coverage.

2018-05-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: improve coverage of range-checking code

	* tests/core/genaut.test: Here.

2018-05-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	parseaut: accept Alias: before AP:

	Fixes #345.

	* spot/parseaut/parseaut.yy: Deal with this inconvenient order.
	* tests/core/parseaut.test: Test it.
	* NEWS: Mention the bug fix.

2018-05-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: add --usage back

	Because it appears in some error messages we cannot remove.  Make
	--usage as a synonym for --help.

	* bin/common_setup.cc: Here.

2018-05-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlcross, ltldo, autcross: add support for Rabinizer 4 tools

	* bin/common_trans.cc: Here.
	* NEWS: Mention that.

2018-05-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tests: exercise --stats='%[v]c %[IW]c' and friends

	* tests/core/scc.test: Here.

2018-05-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt: support --is-colored

	This also improve the coverage of the is_colored() function, because
	it was not used in negative cases so far.

	* bin/autfilt.cc: Implement it.
	* tests/core/satmin2.test: Test it.
	* NEWS: Mention it.

2018-05-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: tests exceptions raised by is_weak_scc() and friends

	* tests/python/except.py: Here.

2018-05-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: diagnose failures to print --help

	Fixes #349.

	* bin/common_setup.cc (OPT_HELP, OPT_VERSION): Call close_stdout().

2018-05-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: finish removal of --usage

	* bin/common_setup.cc: Here.

2018-05-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	gnulib: add the closeout and secure_getenv modules

	* lib/close-stream.c, lib/close-stream.h, lib/closeout.c,
	lib/closeout.h, lib/fpending.c, lib/fpending.h, lib/stdio-impl.h,
	lib/secure_getenv.c, m4/close-stream.m4, m4/closeout.m4,
	m4/fpending.m4, m4/secure_getenv.m4: New file.
	* lib/Makefile.am, m4/gnulib-cache.m4, m4/gnulib-comp.m4: Update.

2018-05-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	update gnulib to b35c22af02271c8dd9844b98db17702b8bf2bd93

	* lib/Makefile.am, lib/alloca.in.h, lib/arg-nonnull.h, lib/argmatch.c,
	lib/argmatch.h, lib/argp-ba.c, lib/argp-eexst.c, lib/argp-fmtstream.c,
	lib/argp-fmtstream.h, lib/argp-fs-xinl.c, lib/argp-help.c,
	lib/argp-namefrob.h, lib/argp-parse.c, lib/argp-pin.c, lib/argp-pv.c,
	lib/argp-pvh.c, lib/argp-xinl.c, lib/argp.h, lib/asnprintf.c,
	lib/basename-lgpl.c, lib/c++defs.h, lib/c-ctype.h, lib/c-strcase.h,
	lib/c-strcasecmp.c, lib/c-strcaseeq.h, lib/c-strncasecmp.c,
	lib/config.charset, lib/dirname-lgpl.c, lib/dirname.h, lib/dosname.h,
	lib/errno.in.h, lib/error.c, lib/error.h, lib/exitfail.c,
	lib/exitfail.h, lib/fcntl.in.h, lib/filename.h, lib/float+.h,
	lib/float.c, lib/float.in.h, lib/getopt-cdefs.in.h, lib/getopt-core.h,
	lib/getopt-ext.h, lib/getopt-pfx-core.h, lib/getopt-pfx-ext.h,
	lib/getopt.c, lib/getopt.in.h, lib/getopt1.c, lib/getopt_int.h,
	lib/getprogname.c, lib/getprogname.h, lib/gettext.h,
	lib/gettimeofday.c, lib/hard-locale.c, lib/hard-locale.h,
	lib/intprops.h, lib/isatty.c, lib/itold.c, lib/limits.in.h,
	lib/localcharset.c, lib/localcharset.h, lib/localtime-buffer.c,
	lib/localtime-buffer.h, lib/lstat.c, lib/malloc.c, lib/malloca.c,
	lib/malloca.h, lib/mbrtowc.c, lib/mbsinit.c, lib/memchr.c,
	lib/mempcpy.c, lib/minmax.h, lib/mkstemp.c, lib/mkstemps.c,
	lib/msvc-inval.c, lib/msvc-inval.h, lib/msvc-nothrow.c,
	lib/msvc-nothrow.h, lib/pathmax.h, lib/printf-args.c,
	lib/printf-args.h, lib/printf-parse.c, lib/printf-parse.h,
	lib/progname.c, lib/progname.h, lib/quote.h, lib/quotearg.c,
	lib/quotearg.h, lib/rawmemchr.c, lib/ref-add.sin, lib/ref-del.sin,
	lib/size_max.h, lib/sleep.c, lib/stat-w32.c, lib/stat-w32.h,
	lib/stat.c, lib/stdalign.in.h, lib/stdbool.in.h, lib/stddef.in.h,
	lib/stdint.in.h, lib/stdio.in.h, lib/stdlib.in.h, lib/stpcpy.c,
	lib/strcasecmp.c, lib/strchrnul.c, lib/streq.h,
	lib/strerror-override.c, lib/strerror-override.h, lib/strerror.c,
	lib/string.in.h, lib/strings.in.h, lib/stripslash.c,
	lib/strncasecmp.c, lib/strndup.c, lib/strnlen.c, lib/strverscmp.c,
	lib/sys_stat.in.h, lib/sys_time.in.h, lib/sys_types.in.h,
	lib/sys_wait.in.h, lib/sysexits.in.h, lib/tempname.c, lib/tempname.h,
	lib/time.in.h, lib/unistd.in.h, lib/vasnprintf.c, lib/vasnprintf.h,
	lib/verify.h, lib/vsnprintf.c, lib/warn-on-use.h, lib/wchar.in.h,
	lib/wctype.in.h, lib/xalloc-die.c, lib/xalloc-oversized.h,
	lib/xalloc.h, lib/xmalloc.c, lib/xsize.h, m4/00gnulib.m4,
	m4/absolute-header.m4, m4/alloca.m4, m4/argp.m4, m4/configmake.m4,
	m4/dirname.m4, m4/double-slash-root.m4, m4/eealloc.m4, m4/errno_h.m4,
	m4/error.m4, m4/exponentd.m4, m4/extensions.m4, m4/extern-inline.m4,
	m4/fcntl-o.m4, m4/fcntl_h.m4, m4/float_h.m4, m4/getopt.m4,
	m4/getprogname.m4, m4/gettimeofday.m4, m4/glibc21.m4,
	m4/gnulib-cache.m4, m4/gnulib-common.m4, m4/gnulib-comp.m4,
	m4/gnulib-tool.m4, m4/hard-locale.m4, m4/include_next.m4,
	m4/intmax_t.m4, m4/inttypes_h.m4, m4/isatty.m4, m4/largefile.m4,
	m4/limits-h.m4, m4/localcharset.m4, m4/locale-fr.m4, m4/locale-ja.m4,
	m4/locale-zh.m4, m4/localtime-buffer.m4, m4/longlong.m4, m4/lstat.m4,
	m4/malloc.m4, m4/malloca.m4, m4/math_h.m4, m4/mbrtowc.m4,
	m4/mbsinit.m4, m4/mbstate_t.m4, m4/memchr.m4, m4/mempcpy.m4,
	m4/minmax.m4, m4/mkstemp.m4, m4/mkstemps.m4, m4/mmap-anon.m4,
	m4/msvc-inval.m4, m4/msvc-nothrow.m4, m4/multiarch.m4, m4/nocrash.m4,
	m4/off_t.m4, m4/pathmax.m4, m4/printf.m4, m4/quote.m4, m4/quotearg.m4,
	m4/rawmemchr.m4, m4/size_max.m4, m4/sleep.m4, m4/ssize_t.m4,
	m4/stat.m4, m4/stdalign.m4, m4/stdbool.m4, m4/stddef_h.m4,
	m4/stdint.m4, m4/stdint_h.m4, m4/stdio_h.m4, m4/stdlib_h.m4,
	m4/stpcpy.m4, m4/strcase.m4, m4/strchrnul.m4, m4/strerror.m4,
	m4/string_h.m4, m4/strings_h.m4, m4/strndup.m4, m4/strnlen.m4,
	m4/strverscmp.m4, m4/sys_socket_h.m4, m4/sys_stat_h.m4,
	m4/sys_time_h.m4, m4/sys_types_h.m4, m4/sys_wait_h.m4, m4/sysexits.m4,
	m4/tempname.m4, m4/time_h.m4, m4/unistd_h.m4, m4/vasnprintf.m4,
	m4/vsnprintf.m4, m4/warn-on-use.m4, m4/wchar_h.m4, m4/wchar_t.m4,
	m4/wctype_h.m4, m4/wint_t.m4, m4/xalloc.m4, m4/xsize.m4: Update.
	* lib/malloca.valgrind, lib/secure_getenv.c, m4/secure_getenv.m4:
	Delete.
	* lib/stat-time.c, lib/stat-time.h, m4/stat-time.m4: New files.

2018-05-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: factor exception-handling code

	* bin/common_setup.cc, bin/common_setup.hh: Define a protected_main()
	function that deal with exceptions.
	* bin/autcross.cc, bin/autfilt.cc, bin/dstar2tgba.cc, bin/genaut.cc,
	bin/genltl.cc, bin/ltl2tgba.cc, bin/ltl2tgta.cc, bin/ltlcross.cc,
	bin/ltldo.cc, bin/ltlfilt.cc, bin/ltlgrind.cc, bin/ltlsynt.cc,
	bin/randaut.cc, bin/randltl.cc: Use it for all tools.

2018-05-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	randomltl: avoid #define

	As this pollutes the user's namespace.

	* spot/tl/randomltl.hh: Use class-level enum and constexpr instead
	of #define.
	* spot/tl/randomltl.cc, python/spot/__init__.py, bin/randltl.cc,
	tests/python/dualize.py, tests/python/sum.py: Adjust usage.

2018-05-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: stop supporting the hidden --usage

	It's not used anywhere, not documented, and its output is slightly
	broken with options that are too long.

	* bin/common_setup.cc: Remove --usage support.

2018-05-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tests: use ltlcross --color for better code coverage

	* tests/core/ltlcross3.test: Here.

2018-05-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bin: remove some dead code

	* bin/common_output.cc, bin/common_output.hh: Here.

2018-05-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tests: cover error handling of ltlfilt -r

	* tests/core/ltlfilt.test: Add test cases.

2018-05-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/core/bdd.test: Cover garbage collection hooks.

2018-05-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remove useless reachiter.hh includes

	* spot/twaalgos/dot.cc, spot/twaalgos/hoa.cc,
	spot/twaalgos/neverclaim.cc, spot/twaalgos/sccfilter.cc,
	spot/twaalgos/simulation.cc, spot/twaalgos/stripacc.cc: Here.

2018-05-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt: --complement accepts non-deterministic input

	* bin/autfilt.cc: Fix the --help string for --complement, and also
	merge edges in the resulting automaton, as suggested by František
	Blahoudek.
	* tests/core/complement.test: Adjust output and add František's
	example.

2018-05-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Upgrade to GitLab 10.7

	* .gitlab-ci.yml (publish-stable, publish-unstable): Use a single
	variable to pass the current branch to the spot-web project.

2018-05-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: improve formating of double-quoted AP in MathJax

	* python/spot/impl.i: Move the rendering code...
	* python/spot/__init__.py: ... here, and ajust it for MathJax.
	* tests/python/formulas.ipynb, tests/python/ltsmin-dve.ipynb: Adjust
	expected results.

2018-05-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/tut04.org: Show are_equivalent().

2018-05-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: implicit str->formula conversion

	* python/spot/impl.i, python/spot/__init__.py: Implement it.
	* NEWS: Mention it.
	* tests/python/atva16-fig2a.ipynb, tests/python/atva16-fig2b.ipynb,
	tests/python/formulas.ipynb, tests/python/ltsmin-dve.ipynb,
	tests/python/ltsmin-pml.ipynb, tests/python/stutter-inv.ipynb,
	doc/org/tut02.org: Modernize.

2018-05-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	dot: add option K

	* spot/twaalgos/dot.cc: Here.
	* NEWS, bin/common_aoutput.cc: Mention it.
	* tests/python/ltsmin-pml.ipynb: Use it.
	* tests/python/ipnbdoctest.py: Work around some graphviz
	version differences.

2018-05-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: fix and improve hoa.org

	* doc/org/hoa.org: Here.

2018-05-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: add a show= keyword to display_inline()

	* python/spot/jupyter.py: Here.
	* tests/python/alternation.ipynb: Use it.
	* NEWS: Mention the above notebook as usage example.

2018-05-12  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	dot: support 'u'

	* spot/twaalgos/dot.cc: Implement it.
	* bin/common_aoutput.cc, NEWS: Mention it.
	* tests/python/alternation.ipynb: Test it.

2018-05-04  Maximilien Colange  <colange@lrde.epita.fr>

	remove a useless exception

	* spot/twaalgos/split.cc: split_2step does work with any acceptance
	  condition
	* spot/twaalgos/split.hh: typo

2018-05-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/python/stutter-inv.ipynb: Remove debug print.

2018-05-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: add link to stutter checks and autcross on main page

	* doc/org/index.org: Here.

2018-05-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	introduce containement checks functions

	* spot/twaalgos/contains.hh, spot/twaalgos/contains.cc: New files.
	* spot/twaalgos/Makefile.am, python/spot/impl.i: Add them.
	* python/spot/__init__.py: Also attach these functions as methods,
	and support string arguments.
	* tests/python/contains.ipynb: New file.
	* tests/Makefile.am, doc/org/tut.org: Add it.
	* bin/autfilt.cc, tests/python/streett_totgba.py, tests/python/sum.py,
	tests/python/toweak.py: Use the new function.

2018-05-04  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: introduce spot.jupyter.display_inline()

	* python/spot/jupyter.py: New file.
	* python/Makefile.am: Add it.
	* tests/python/product.ipynb: Use it.
	* NEWS: Mention it.

2018-05-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	improve gf_guarantee_to_ba

	* spot/twaalgos/gfguarantee.cc: Combine the last letter read
	with the first one of the next pass when doing transition-based
	acceptance.  Also move the initial states to the source of any
	accepting transition if the input is deterministic.
	* tests/core/ltl2tgba2.test, tests/core/satmin.test,
	tests/python/stutter-inv.ipynb: Reduce expected sizes of a few
	automata.

2018-04-30  Maximilien Colange  <colange@lrde.epita.fr>

	ltlsynt: improve construction of turn-based games

	Improve the way transitions are duplicated when preparing the turn-based
	game for synthesis. The resulting arena should now be deterministic on
	nodes owned by the environment. Also move the code to another file, so
	that it is easier to test (e.g. in Python).

	* bin/ltlsynt.cc: move the code
	* spot/twaalgos/split.cc, spot/twaalgos/split.hh: move the code and
	  implement the improvements
	* tests/Makefile.am, tests/python/split.py: test it
	* tests/core/ltlsynt.test: update existing tests to reflect the changes

2018-04-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	print_dot: correctly escape \n in html output

	* spot/misc/escape.cc (escape_html): Handle \n.
	* tests/core/readsave.test: Test it.
	* NEWS: Mention the fix.

2018-04-23  Maximilien Colange  <colange@lrde.epita.fr>

	fix parity game printing

	* spot/misc/game.cc: a state could be printed several times
	* tests/core/ltlsynt.test: update tests

2018-04-23  Maximilien Colange  <colange@lrde.epita.fr>

	parity game: various improvements

	Zielonka algorithm has been fixed and optimized.
	It also now computes the strategy for both players.

	* bin/ltlsynt.cc: Update calls to parity_game::solve()
	* spot/misc/game.cc, spot/misc/game.hh: Implement the changes

2018-04-23  Maximilien Colange  <colange@lrde.epita.fr>

	ltlsynt: fix the construction of the arena

	* bin/ltlsynt.cc: implement it
	* tests/core/ltlsynt.test: update tests

2018-04-23  Maximilien Colange  <colange@lrde.epita.fr>

	Add a verbose option to ltlsynt

	* bin/ltlsynt.cc: implement it

2018-04-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* tests/python/satmin.ipynb: Remove a debug statement.

2018-04-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2018-04-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Bump version to 2.5.3.dev

	* NEWS, configure.ac: Here.

2018-04-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.5.3

	* NEWS, configure.ac, doc/org/setup.org: Bump version.

2018-04-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	is_unambiguous: fix false negatives again

	Reported by Simon Jantsch and David Müller.

	* spot/twaalgos/isunamb.cc (is_unambiguous): Rewrite wihtout assuming
	that the product of two accepting SCCs is accepting,  Also use
	the result of is_accepting_scc()/is_rejectng_scc() when available.
	* spot/twaalgos/sccinfo.cc, spot/twaalgos/sccinfo.hh: Make it
	possible to check the acceptance of a unique SCC.
	* tests/core/unambig.test: Add more test cases.

2018-04-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	is_unambiguous: fix false negatives again

	Reported by Simon Jantsch and David Müller.

	* spot/twaalgos/isunamb.cc (is_unambiguous): Rewrite wihtout assuming
	that the product of two accepting SCCs is accepting,  Also use
	the result of is_accepting_scc()/is_rejectng_scc() when available.
	* spot/twaalgos/sccinfo.cc, spot/twaalgos/sccinfo.hh: Make it
	possible to check the acceptance of a unique SCC.
	* tests/core/unambig.test: Add more test cases.

2018-04-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* debian/rules: Disable valgrind.

2018-04-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	is_unambiguous: fix false negatives

	Reported by Simon Jantsch and David Müller.

	* tests/core/unambig.test: Test the issue.
	* spot/twaalgos/isunamb.cc: Fix it.
	* NEWS: Mention it.
	* THANKS: Add Simon.

2018-04-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: fix broken links

	* doc/org/upgrade2.org, doc/org/ioltl.org, doc/org/concepts.org: Here.
	* doc/org/tut51.org: Fix example output.

2018-04-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	gitlab-ci: skip org-mode in mingw builds

	* .gitlab-ci.yml: Here.
	* doc/Makefile.am: Make sure the svg files are only rebuilt when org
	files are processed.

2018-04-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	is_unambiguous: fix false negatives

	Reported by Simon Jantsch and David Müller.

	* tests/core/unambig.test: Test the issue.
	* spot/twaalgos/isunamb.cc: Fix it.
	* NEWS: Mention it.
	* THANKS: Add Simon.

2018-04-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	dot: name the digraph

	* spot/twaalgos/dot.cc: Here.
	* NEWS: Mention the change.
	* tests/core/alternating.test, tests/core/det.test,
	tests/core/dstar.test, tests/core/monitor.test,
	tests/core/neverclaimread.test, tests/core/readsave.test,
	tests/core/sccdot.test, tests/core/tgbagraph.test,
	tests/python/_altscc.ipynb, tests/python/_autparserr.ipynb,
	tests/python/alternation.ipynb, tests/python/atva16-fig2a.ipynb,
	tests/python/atva16-fig2b.ipynb, tests/python/automata-io.ipynb,
	tests/python/automata.ipynb, tests/python/decompose.ipynb,
	tests/python/gen.ipynb, tests/python/highlighting.ipynb,
	tests/python/ltsmin-dve.ipynb, tests/python/ltsmin-pml.ipynb,
	tests/python/parity.ipynb, tests/python/product.ipynb,
	tests/python/randaut.ipynb, tests/python/satmin.ipynb,
	tests/python/stutter-inv.ipynb, tests/python/testingaut.ipynb,
	tests/python/word.ipynb: Adjust test cases.

2018-04-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	dot: use tooltips with option "1"

	Fixes #327.

	* spot/twaalgos/dot.cc: Emit a tooltip="..." for state names and
	labels that are disabled by option "1".
	* doc/org/tut51.org, tests/python/product.ipynb, NEWS: Discuss this.
	* tests/core/readsave.test, tests/python/alternation.ipynb,
	tests/python/automata.ipynb: Adjust test cases.

2018-04-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: adjust to org-mode 9.1

	This is needed so that SVG files are included as an <object...> rather
	than as an <img...>, which in turn is needed to ensure SVG tooltips
	will work.  We do not explicitly require org-mode 9.1, but we install
	it if it is not present.

	* HACKING: Mention the requirement.
	* doc/org/.dir-locals.el.in, doc/org/init.el.in, doc/org/spot.css:
	Adjust to org-mode 9.1.
	* doc/Makefile.am: Run emacs with the site-lisp libraries, in
	case it contains a more recent org-mode.
	* elisp/ob-dot.el: Delete, this was a work around older versions.
	* elisp/Makefile.am: Adjust.

2018-04-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: fix broken links

	* doc/org/upgrade2.org, doc/org/ioltl.org, doc/org/concepts.org: Here.
	* doc/org/tut51.org: Fix example output.

2018-04-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	gitlab-ci: skip org-mode in mingw builds

	* .gitlab-ci.yml: Here.
	* doc/Makefile.am: Make sure the svg files are only rebuilt when org
	files are processed.

2018-04-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: make sure spot.automata() terminates the command

	Fixes #341.

	* python/spot/__init__.py (automata): Rewrite and simplify using
	the subprocess context manager.
	* tests/python/341.py: New file.
	* tests/Makefile.am: Add it.
	* NEWS: Mention the issue.

2018-04-03  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: make sure spot.automata() terminates the command

	Fixes #341.

	* python/spot/__init__.py (automata): Rewrite and simplify using
	the subprocess context manager.
	* tests/python/341.py: New file.
	* tests/Makefile.am: Add it.
	* NEWS: Mention the issue.

2018-04-02  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	complete reference to Esparza/Křetínský/Sickert LICS'18 paper

	* NEWS, bin/man/spot-x.x, bin/spot-x.cc, spot/twaalgos/gfguarantee.hh:
	Add the conference.

2018-03-30  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	sat_minimize: improve logs and document Python bindings

	* spot/priv/satcommon.cc, spot/priv/satcommon.hh: Make it possible to
	set the log file without setting the environment variable.  Adjust
	print_log to take the input state and print it as a new column.
	* spot/twaalgos/dtbasat.cc, spot/twaalgos/dtwasat.cc: Adjust all
	calls to print_log.  Fix log output for incremental approaches.
	Prefer purge_unreachable_states() over stats_reachable().  Do
	not call scc_filter() on colored automata.
	* spot/twaalgos/dtwasat.hh: Document the new "log" option.
	* NEWS: Mention the changes.
	* tests/python/satmin.ipynb: New file.
	* tests/Makefile.am: Add it.
	* doc/org/satmin.org, doc/org/tut.org: Link to it.
	* doc/org/satmin.org, bin/man/spot-x.x: Adjust description
	of CSV files.
	* bench/dtgbasat/gen.py, bench/dtgbasat/tabl.pl,
	bench/dtgbasat/tabl1.pl, bench/dtgbasat/tabl2.pl,
	bench/dtgbasat/tabl3.pl, bench/dtgbasat/tabl4.pl: Adjust for
	the new column.
	* spot/misc/satsolver.cc, spot/misc/satsolver.hh (stats): Make it
	const.
	* python/spot/__init__.py (sat_minimize): Add display_log and
	return_log options.
	* tests/python/ipnbdoctest.py: Adjust to not compare SAT-minimization
	logs as they contain timings.

2018-03-29  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	gfguarantee: fix a typo in the code

	* spot/twaalgos/gfguarantee.cc: Call is_terminal_automaton() on
	the reduced automaton.
	* tests/core/ltl2tgba.test: Add a test case.

2018-03-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml (publish-stable): Use scp instead of cp.

2018-03-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt: fix --sat-minimize -B

	Fixes #340.

	* bin/common_post.cc: -B implies -S.
	* tests/core/satmin2.test: Test this.

2018-03-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: fix error message of translate()/posprocess()

	* python/spot/__init__.py: Here.
	* NEWS: Mention the bug.

2018-03-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/strength.cc: Typo.

2018-03-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	to_dca/to_nca: fix handling of co-Büchi input

	* spot/twaalgos/cobuchi.cc (to_dca, to_nca): Do not process
	the input if it is already co-Büchi.
	* tests/core/dca.test: Test this.
	* NEWS: Mention the bug.

2018-03-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around some g++-7.3 issues

	* spot/twaalgos/langmap.cc, spot/ltsmin/ltsmin.cc: Add asserts to hide
	spurious "potential null pointer dereference" messages.
	* spot/twaalgos/tau03opt.cc (color_ref): Initialize pc to nullptr
	even when is_cyan is true so that valgrind does not report pc being
	used uninitialized in is_white().

2018-03-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	specialized translation for GF(guarantee) and FG(safety)

	This is adapted from a proposition in a paper by J. Esparza,
	J. Křentínský, and S. Sickert, submitted to LICS'18.  We should add
	proper references to the code and documentation once that paper is
	accepted.

	* spot/twaalgos/gfguarantee.cc, spot/twaalgos/gfguarantee.hh:
	New files.
	* spot/twaalgos/Makefile.am, python/spot/impl.i: Add them.
	* spot/twa/fwd.hh: Add a forward declaration of bdd_dict_ptr.
	* spot/twaalgos/postproc.cc, spot/twaalgos/postproc.hh: Make it
	possible to call finalize() from the translator subclass.  Constify
	all the do_* functions while we are there.
	* spot/twaalgos/translate.cc, spot/twaalgos/translate.hh: Add
	a "gf-guarantee" option to decide whether to use the new translation.
	* bin/spot-x.cc: Document it.
	* tests/core/dca2.test, tests/core/genltl.test,
	tests/core/ltl2tgba2.test, tests/core/parity2.test,
	tests/core/satmin.test, tests/python/automata.ipynb,
	tests/python/sbacc.py: Adjust test cases.
	* tests/python/except.py: Add a couple more tests.

2018-03-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml (publish-stable): Use scp instead of cp.

2018-03-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt: fix --sat-minimize -B

	Fixes #340.

	* bin/common_post.cc: -B implies -S.
	* tests/core/satmin2.test: Test this.

2018-03-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: fix error message of translate()/posprocess()

	* python/spot/__init__.py: Here.
	* NEWS: Mention the bug.

2018-03-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/strength.cc: Typo.

2018-03-28  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	to_dca/to_nca: fix handling of co-Büchi input

	* spot/twaalgos/cobuchi.cc (to_dca, to_nca): Do not process
	the input if it is already co-Büchi.
	* tests/core/dca.test: Test this.
	* NEWS: Mention the bug.

2018-03-27  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around some g++-7.3 issues

	* spot/twaalgos/langmap.cc, spot/ltsmin/ltsmin.cc: Add asserts to hide
	spurious "potential null pointer dereference" messages.
	* spot/twaalgos/tau03opt.cc (color_ref): Initialize pc to nullptr
	even when is_cyan is true so that valgrind does not report pc being
	used uninitialized in is_white().

2018-03-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Merge branch 'master' into next

2018-03-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bump version to 2.5.2.dev

	* NEWS, configure.ac: Here.

2018-03-25  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.5.2

	* NEWS, configure.ac, doc/org/setup.org: Bump version.

2018-03-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/ltl2taa.cc: Remove unused variable.

2018-03-24  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/ltl2taa.cc: Remove unused variable.

2018-03-23  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	stutter: fix closure() on Fin-acceptance

	From a report by Anton Pirogov.

	* NEWS: Mention the bug.
	* spot/twaalgos/stutter.cc: Fix it.
	* tests/core/stutter-tgba.test: Test it.
	* THANKS: Add Anton.

2018-03-23  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	stutter: fix closure() on Fin-acceptance

	From a report by Anton Pirogov.

	* NEWS: Mention the bug.
	* spot/twaalgos/stutter.cc: Fix it.
	* tests/core/stutter-tgba.test: Test it.
	* THANKS: Add Anton.

2018-03-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	powerset: implement an LRU cache

	* spot/twaalgos/powerset.cc: Use an LRU cache to fix #302.

2018-03-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/autcross.org: Typo.

2018-03-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* doc/org/autcross.org: Typo.

2018-03-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autcross: support %M in tool specifications

	Fixes #335.

	* bin/common_trans.cc: Add support.
	* tests/core/autcross4.test: New file.
	* tests/Makefile.am: Add it.
	* doc/org/autcross.org, NEWS: Document it.

2018-03-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	twa_run: better protection against empty cycles

	Fixes #337.

	* spot/twaalgos/emptiness.cc, spot/twaalgos/emptiness.hh: Here.
	* tests/python/except.py: Test it.
	* NEWS: Mention the issue.

2018-03-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt --acceptance-is=Fin-less should reject "f"

	* bin/autfilt.cc: Fix detection of Fin-less acceptance.
	* tests/core/remfin.test: Add some tests.
	* NEWS: Mention the bug.

2018-03-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remove_fin: never return acceptance "f"

	Fixes #333.

	* spot/twaalgos/remfin.cc, spot/twaalgos/remfin.hh,
	spot/twaalgos/totgba.cc: Adjust.  The assert() added
	to remove_fin() triggered a lot of failure in the test
	suite before the different functions were fixed.
	* tests/core/remfin.test, tests/python/tra2tba.py:
	Adjust expected result.
	* NEWS: Mention the bug.

2018-03-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt: fix the --acceptance help output

	Fixes #334.

	* bin/autfilt.cc: Turn std::flush into std::endl, and fix a quoting
	issue.

2018-03-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	twa_run: better protection against empty cycles

	Fixes #337.

	* spot/twaalgos/emptiness.cc, spot/twaalgos/emptiness.hh: Here.
	* tests/python/except.py: Test it.
	* NEWS: Mention the issue.

2018-03-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt --acceptance-is=Fin-less should reject "f"

	* bin/autfilt.cc: Fix detection of Fin-less acceptance.
	* tests/core/remfin.test: Add some tests.
	* NEWS: Mention the bug.

2018-03-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remove_fin: never return acceptance "f"

	Fixes #333.

	* spot/twaalgos/remfin.cc, spot/twaalgos/remfin.hh,
	spot/twaalgos/totgba.cc: Adjust.  The assert() added
	to remove_fin() triggered a lot of failure in the test
	suite before the different functions were fixed.
	* tests/core/remfin.test, tests/python/tra2tba.py:
	Adjust expected result.
	* NEWS: Mention the bug.

2018-03-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	autfilt: fix the --acceptance help output

	Fixes #334.

	* bin/autfilt.cc: Turn std::flush into std::endl, and fix a quoting
	issue.

2018-03-15  Maximilien Colange  <colange@lrde.epita.fr>

	Clean the usage of spot::acc_cond::mark_t

	spot::acc_cond::mark_t is implemented as a bit vector using a single
	unsigned, and implicit conversions between mark_t and unsigned may be
	confusing. We try to use the proper interface.

	* bin/autfilt.cc, bin/ltlsynt.cc, spot/kripke/kripke.cc,
	  spot/misc/game.hh, spot/parseaut/parseaut.yy, spot/priv/accmap.hh,
	  spot/ta/ta.cc, spot/ta/taexplicit.cc, spot/ta/taproduct.cc,
	  spot/taalgos/emptinessta.cc, spot/taalgos/tgba2ta.cc, spot/twa/acc.cc,
	  spot/twa/acc.hh, spot/twa/taatgba.cc, spot/twa/taatgba.hh,
	  spot/twa/twagraph.hh, spot/twaalgos/alternation.cc,
	  spot/twaalgos/cleanacc.cc, spot/twaalgos/cobuchi.cc,
	  spot/twaalgos/complete.cc, spot/twaalgos/couvreurnew.cc,
	  spot/twaalgos/degen.cc, spot/twaalgos/dot.cc,
	  spot/twaalgos/dtwasat.cc, spot/twaalgos/dualize.cc,
	  spot/twaalgos/emptiness.cc, spot/twaalgos/gtec/ce.cc,
	  spot/twaalgos/gtec/gtec.cc, spot/twaalgos/gtec/sccstack.cc,
	  spot/twaalgos/gv04.cc, spot/twaalgos/hoa.cc, spot/twaalgos/lbtt.cc,
	  spot/twaalgos/ltl2tgba_fm.cc, spot/twaalgos/magic.cc,
	  spot/twaalgos/ndfs_result.hxx, spot/twaalgos/rabin2parity.cc,
	  spot/twaalgos/randomgraph.cc, spot/twaalgos/remfin.cc,
	  spot/twaalgos/sbacc.cc, spot/twaalgos/sccfilter.cc,
	  spot/twaalgos/sccinfo.cc, spot/twaalgos/sccinfo.hh,
	  spot/twaalgos/se05.cc, spot/twaalgos/sepsets.cc,
	  spot/twaalgos/simulation.cc, spot/twaalgos/strength.cc,
	  spot/twaalgos/stripacc.cc, spot/twaalgos/stutter.cc,
	  spot/twaalgos/sum.cc, spot/twaalgos/tau03.cc,
	  spot/twaalgos/tau03opt.cc, spot/twaalgos/totgba.cc,
	  spot/twaalgos/toweak.cc, python/spot/impl.i, tests/core/acc.cc,
	  tests/core/twagraph.cc: do not confuse mark_t and unsigned
	* tests/python/acc_cond.ipynb: warn about possible change of the API

2018-03-15  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	simplify: reduce {r;1} to {r} or {1}

	Fixes #3.

	* spot/tl/simplify.cc: Implement this new rule.
	* doc/tl/tl.tex, NEWS: Document it.
	* tests/core/reduccmp.test: Test it.

2018-03-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	always capture exceptions by const references

	For #199.

	* tests/sanity/style.test: Test this.
	* bin/ltlcross.cc, spot/parseaut/parseaut.yy,
	tests/ltsmin/modelcheck.cc: Fix it.

2018-03-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	acc: strengthen is_generalized_rabin() and is_generalized_streett()

	* spot/twa/acc.cc: These functions were segfaulting on acceptance
	conditions such as "Acceptance: 3 t" or "Acceptance: 3 f".
	The issue was revealed on branch "next" by the change that print_dot()
	display the acceptance condition by default, but we want the fix on
	master as well.
	* NEWS: Mention the issue.

2018-03-14  Maximilien Colange  <colange@lrde.epita.fr>

	Fix various typos

	* bin/autfilt.cc, bin/common_post.cc, spot/graph/graph.hh,
	  spot/twa/twa.hh, spot/twa/twagraph.hh, spot/twaalgos/remfin.cc: typos
	* spot/twaalgos/toweak.cc: incorrect types when invoking std::hash

2018-03-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	adjust test case to work with ltl2dstar 0.5.4

	* tests/core/ltl2dstar.test: Here.

2018-03-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: update plantuml download URL

	* doc/Makefile.am: Here.

2018-03-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml: Switch to LRDE's docker registry.

2018-03-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	More config for GitLab-CI

	* .gitlab-ci.yml: Add a build with gcc-snapshot, and disable Debian
	packages on all branches except master/next/stable and branches ending
	in "-deb".

2018-03-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	dot: make "a" the default

	Fixes #319.

	* spot/twaalgos/dot.cc: Enable "a" by default.
	* bin/common_aoutput.cc, NEWS: Document it.
	* doc/org/autfilt.org, doc/org/concepts.org, doc/org/dstar2tgba.org,
	doc/org/hierarchy.org, doc/org/ltl2tgba.org, doc/org/oaut.org,
	doc/org/randaut.org, doc/org/satmin.org, doc/org/tut23.org,
	doc/org/tut24.org, doc/org/tut30.org, doc/org/tut31.org: Adjust or
	simplify the documentation.
	* tests/core/det.test, tests/core/dstar.test, tests/core/monitor.test,
	tests/core/neverclaimread.test, tests/core/readsave.test,
	tests/core/tgbagraph.test, tests/core/wdba.test,
	tests/python/_autparserr.ipynb, tests/python/automata-io.ipynb,
	tests/python/automata.ipynb, tests/python/highlighting.ipynb
	tests/python/ltsmin-dve.ipynb, tests/python/ltsmin-pml.ipynb,
	tests/python/product.ipynb, tests/python/testingaut.ipynb,
	tests/python/word.ipynb: Adjust test cases.

2018-03-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	acc: strengthen is_generalized_rabin() and is_generalized_streett()

	* spot/twa/acc.cc: These functions were segfaulting on acceptance
	conditions such as "Acceptance: 3 t" or "Acceptance: 3 f".
	The issue was revealed on branch "next" by the change that print_dot()
	display the acceptance condition by default, but we want the fix on
	master as well.
	* NEWS: Mention the issue.

2018-03-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	configure: remove useless calls to AC_CHECK_PROG

	Fixes #329.

	* configure.ac: Do not check for lbt, modella, and ltl2nba.
	* bench/ltl2tgba/defs.in: Remove the associated substitutions,
	not used in the scripts.

2018-03-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/misc/hash.hh: Remove useless include.

2018-03-08  Maximilien Colange  <colange@lrde.epita.fr>

	Clean a hash function definition

	* spot/misc/hashfunc.hh: make the definition of FNV hash magic constants
	  more generic

2018-03-02  Maximilien Colange  <colange@lrde.epita.fr>

	Move the Fowler-Noll-Vo hash function to a header

	* spot/misc/bitvect.cc, spot/misc/hashfunc.hh: move FNV hash function,
	  use the new interface

2018-03-01  Maximilien Colange  <colange@lrde.epita.fr>

	Fix various typos

	* bin/autfilt.cc, bin/common_post.cc, spot/graph/graph.hh,
	  spot/twa/twa.hh, spot/twa/twagraph.hh, spot/twaalgos/remfin.cc: typos
	* spot/twaalgos/toweak.cc: incorrect types when invoking std::hash

2018-03-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	adjust test case to work with ltl2dstar 0.5.4

	* tests/core/ltl2dstar.test: Here.

2018-03-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: update plantuml download URL

	* doc/Makefile.am: Here.

2018-03-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml: Switch to LRDE's docker registry.

2018-02-23  Maximilien Colange  <colange@lrde.epita.fr>

	Improve purge_unreachable_states()

	* NEWS: document it
	* spot/twa/twagraph.hh, spot/twa/twagraph.cc: implement it
	* tests/core/tgbagraph.test, tests/core/twagraph.cc: test it

2018-02-23  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* HACKING: Document that "config.h" should be included first.

2018-02-23  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	setup bug-reference for emacs

	* .dir-locals.el: Here.
	* tests/core/remfin.test, tests/core/unambig.test:
	Make consistent references to issue numbers.
	* HACKING: Document convention for mentioning issues.

2018-02-22  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	More config for GitLab-CI

	* .gitlab-ci.yml: Add a build with gcc-snapshot, and disable Debian
	packages on all branches except master/next/stable and branches ending
	in "-deb".

2018-02-21  Maximilien Colange  <colange@lrde.epita.fr>

	Slight improvement of the determinization

	* spot/twaalgos/determinize.cc: the acceptance condition
	  of the determinized automaton should be simpler
	* tests/core/safra.test, tests/python/simstate.py: update tests

2018-02-21  Maximilien Colange  <colange@lrde.epita.fr>

	Improve cleanup_parity

	* spot/twaalgos/parity.cc: cleanup_parity and cleanup_parity_here are
	  now better at finding useless parity colors
	* tests/python/parity.py: test it
	* NEWS: document the change

2018-02-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	include config.h in all *.cc files

	This helps working around missing C functions like strcasecmp that do
	not exist everywhere (e.g. on Cygwin), and for which lib/ supplies a
	replacement.  Unfortunately we do not have such build in our current
	continuous integration suite, so we cannot easily detect files where
	such config.h inclusion would be useful.  Therefore this patch simply
	makes it mandatory to include config.h in *.cc files.  Including this
	in public *.hh file is currently forbidden.

	* spot/gen/automata.cc, spot/gen/formulas.cc,
	spot/kripke/fairkripke.cc, spot/kripke/kripke.cc,
	spot/ltsmin/ltsmin.cc, spot/misc/game.cc, spot/parseaut/fmterror.cc,
	spot/parsetl/fmterror.cc, spot/parsetl/parsetl.yy,
	spot/priv/bddalloc.cc, spot/priv/freelist.cc, spot/priv/satcommon.cc,
	spot/priv/trim.cc, spot/priv/weight.cc, spot/ta/ta.cc,
	spot/ta/taexplicit.cc, spot/ta/taproduct.cc, spot/ta/tgtaexplicit.cc,
	spot/ta/tgtaproduct.cc, spot/taalgos/dot.cc,
	spot/taalgos/emptinessta.cc, spot/taalgos/minimize.cc,
	spot/taalgos/reachiter.cc, spot/taalgos/statessetbuilder.cc,
	spot/taalgos/stats.cc, spot/taalgos/tgba2ta.cc, spot/tl/apcollect.cc,
	spot/tl/contain.cc, spot/tl/declenv.cc, spot/tl/defaultenv.cc,
	spot/tl/dot.cc, spot/tl/exclusive.cc, spot/tl/hierarchy.cc,
	spot/tl/length.cc, spot/tl/ltlf.cc, spot/tl/mark.cc,
	spot/tl/mutation.cc, spot/tl/nenoform.cc, spot/tl/print.cc,
	spot/tl/randomltl.cc, spot/tl/relabel.cc, spot/tl/remove_x.cc,
	spot/tl/simplify.cc, spot/tl/snf.cc, spot/tl/unabbrev.cc,
	spot/twa/acc.cc, spot/twa/bdddict.cc, spot/twa/bddprint.cc,
	spot/twa/formula2bdd.cc, spot/twa/taatgba.cc, spot/twa/twa.cc,
	spot/twa/twagraph.cc, spot/twa/twaproduct.cc, spot/twaalgos/aiger.cc,
	spot/twaalgos/alternation.cc, spot/twaalgos/are_isomorphic.cc,
	spot/twaalgos/bfssteps.cc, spot/twaalgos/canonicalize.cc,
	spot/twaalgos/cleanacc.cc, spot/twaalgos/cobuchi.cc,
	spot/twaalgos/complement.cc, spot/twaalgos/complete.cc,
	spot/twaalgos/compsusp.cc, spot/twaalgos/couvreurnew.cc,
	spot/twaalgos/cycles.cc, spot/twaalgos/degen.cc,
	spot/twaalgos/determinize.cc, spot/twaalgos/dot.cc,
	spot/twaalgos/dtbasat.cc, spot/twaalgos/dtwasat.cc,
	spot/twaalgos/dualize.cc, spot/twaalgos/emptiness.cc,
	spot/twaalgos/gtec/ce.cc, spot/twaalgos/gtec/gtec.cc,
	spot/twaalgos/gtec/sccstack.cc, spot/twaalgos/gtec/status.cc,
	spot/twaalgos/gv04.cc, spot/twaalgos/hoa.cc,
	spot/twaalgos/iscolored.cc, spot/twaalgos/isdet.cc,
	spot/twaalgos/isunamb.cc, spot/twaalgos/isweakscc.cc,
	spot/twaalgos/langmap.cc, spot/twaalgos/lbtt.cc,
	spot/twaalgos/ltl2taa.cc, spot/twaalgos/ltl2tgba_fm.cc,
	spot/twaalgos/magic.cc, spot/twaalgos/mask.cc,
	spot/twaalgos/minimize.cc, spot/twaalgos/neverclaim.cc,
	spot/twaalgos/parity.cc, spot/twaalgos/postproc.cc,
	spot/twaalgos/powerset.cc, spot/twaalgos/product.cc,
	spot/twaalgos/rabin2parity.cc, spot/twaalgos/randomgraph.cc,
	spot/twaalgos/randomize.cc, spot/twaalgos/reachiter.cc,
	spot/twaalgos/relabel.cc, spot/twaalgos/remfin.cc,
	spot/twaalgos/remprop.cc, spot/twaalgos/sbacc.cc,
	spot/twaalgos/sccfilter.cc, spot/twaalgos/sccinfo.cc,
	spot/twaalgos/se05.cc, spot/twaalgos/sepsets.cc,
	spot/twaalgos/simulation.cc, spot/twaalgos/split.cc,
	spot/twaalgos/stats.cc, spot/twaalgos/strength.cc,
	spot/twaalgos/stripacc.cc, spot/twaalgos/stutter.cc,
	spot/twaalgos/sum.cc, spot/twaalgos/tau03.cc,
	spot/twaalgos/tau03opt.cc, spot/twaalgos/totgba.cc,
	spot/twaalgos/toweak.cc, spot/twaalgos/translate.cc,
	spot/twaalgos/word.cc, tests/core/acc.cc, tests/core/bitvect.cc,
	tests/core/checkpsl.cc, tests/core/checkta.cc, tests/core/consterm.cc,
	tests/core/emptchk.cc, tests/core/equalsf.cc, tests/core/graph.cc,
	tests/core/ikwiad.cc, tests/core/intvcmp2.cc, tests/core/intvcomp.cc,
	tests/core/kind.cc, tests/core/kripkecat.cc, tests/core/length.cc,
	tests/core/ltlrel.cc, tests/core/ngraph.cc, tests/core/parity.cc,
	tests/core/randtgba.cc, tests/core/readltl.cc, tests/core/reduc.cc,
	tests/core/safra.cc, tests/core/sccif.cc, tests/core/syntimpl.cc,
	tests/core/taatgba.cc, tests/core/tostring.cc, tests/core/trival.cc,
	tests/core/twagraph.cc, tests/ltsmin/modelcheck.cc,
	spot/parseaut/scanaut.ll, spot/parsetl/scantl.ll: Include config.h.
	* spot/gen/Makefile.am, spot/graph/Makefile.am,
	spot/kripke/Makefile.am, spot/ltsmin/Makefile.am,
	spot/parseaut/Makefile.am, spot/parsetl/Makefile.am,
	spot/priv/Makefile.am, spot/ta/Makefile.am, spot/taalgos/Makefile.am,
	spot/tl/Makefile.am, spot/twa/Makefile.am, spot/twaalgos/Makefile.am,
	spot/twaalgos/gtec/Makefile.am, tests/Makefile.am: Add the -I lib/
	flags.
	* tests/sanity/includes.test: Catch missing config.h in *.cc, and
	diagnose config.h in *.hh.
	* tests/sanity/style.test: Better diagnostics.

2018-02-21  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* configure.ac: fix definition of DOT.

2018-02-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml: $CI_JOB_TOKEN does not seem to work.

2018-02-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml: Ignore tags and use $CI_JOB_TOKEN.

2018-02-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	bump version to 2.5.1.dev

	* NEWS, configure.ac: Here.

2018-02-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.5.1

	* NEWS, configure.ac, doc/org/setup.org: Set version to 2.5.1.

2018-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	org: update link to dev tarball

	* doc/org/install.org: Point to the gitlab-ci artefacts.

2018-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml: Trigger spot-web and spot-sandbox rebuilds

2018-02-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix handling of Rabin-like input for dnf_to_dca()

	The bug is mentioned by Maximilien Colange in a comment to issue #317,
	but turned out to be unrelated to that original issue.

	* spot/twaalgos/totgba.cc (dnf_to_streett): Save the correspondence
	between the created states an the DNF clause in a named property.
	* doc/org/concepts.org, spot/twaalgos/totgba.hh: Mention the new
	property.
	* spot/twaalgos/cobuchi.cc (save_inf_nca_st): Rewrite using the named
	property.  Relying on seen marks and trying to deduce the matching
	original clause could only work from plain Rabin.
	* tests/core/dca.test: Add the test from Maximilien.
	* NEWS: Mention the issue.

2018-02-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	minor code cleanups

	* spot/twaalgos/cobuchi.cc, spot/twaalgos/totgba.cc: Here.

2018-02-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml: Adjust artifact paths for distcheck.

2018-02-17  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix tra_to_tba()

	Fixes #324, reported by Tobias Meggendorfer and František Blahoudek.

	* spot/twa/acc.hh (rs_pairs_view::paired_with): Rename as...
	(rs_pairs_view::paired_with_fin):... this and adjust the code.
	* spot/twaalgos/remfin.cc: Use paired_with_fin instead of
	paired_with, and do it once per pair.
	* tests/core/remfin.test: Add a test case.
	* NEWS: Mention the issue.

2018-02-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	simplify_acceptance: remove one useless call

	* spot/twaalgos/cleanacc.cc (merge_identical_marks_here): Do not call
	cleanup_acceptance_here(), as this has already been done.

2018-02-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix is_generalized_rabin() and is_generalized_streett()

	Fixes #325.

	* spot/twa/acc.cc: Here.
	* tests/core/accsimpl.test: New test case.
	* NEWS: Mention the issue.

2018-02-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* .gitlab-ci.yml: Create build tasks.

2018-02-01  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	tests: cleanup temporary files leftover by a test case

	* tests/python/otfcrash.py: Remove the file generated by divine.

2018-01-24  Maximilien Colange  <colange@lrde.epita.fr>

	Improve IAR construction

	spot::iar() was fixed to handle correctly Rabin-like conditions.
	It also now supports Streett-like conditions.

	* NEWS, spot/twaalgos/postproc.cc: document it
	* spot/twaalgos/rabin2parity.cc, spot/twaalgos/rabin2parity.hh:
	  implement it
	* tests/core/rabin2parity.test, tests/python/except.py: test it

2018-01-23  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix a bug in streett_to_generalized_buchi

	Fixes #320.

	* spot/twaalgos/totgba.cc: Fix the bug.
	* NEWS: Mention the problem.
	* tests/core/streett.test: Add test case.

2018-01-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS, configure.ac: Bump version to 2.5.0.dev.

2018-01-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	Release Spot 2.5

	* NEWS, configure.ac, doc/org/setup.org: Bump version.

2018-01-20  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	multiple adjustments for Debian stable

	* tests/python/ipnbdoctest.py: Adjust to Python <3.6.
	* tests/python/_autparserr.ipynb: Adjust to older IPython version.
	* tests/python/stutter-inv.ipynb: Avoid pandas because its output
	varies from version to version.

2018-01-19  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	more coverage

	* python/spot/impl.i: Add missing bindings from remprop.hh
	* tests/python/except.py: New file to test several error cases.
	* tests/Makefile.am: Add it.
	* spot/twaalgos/rabin2parity.cc (iar): Fix error message.

2018-01-19  Florian Perlié-Long  <florian.perlie-long@epita.fr>

	* doc/tl/tl.tex: Typos

2018-01-19  Alexandre GBAGUIDI AISSE  <gbagui_a@epita.fr>

	tl/hierarchy: Optimize is_persistence/recurrence processing chains

	* spot/tl/hierarchy.cc: Here.

2018-01-19  Alexandre GBAGUIDI AISSE  <gbagui_a@epita.fr>

	twaalgos/totgba: Avoid to construct useless SCC in dnf_to_streett()

	* spot/twaalgos/totgba.cc: Here.

2018-01-19  Alexandre GBAGUIDI AISSE  <gbagui_a@epita.fr>

	cobuchi: nsa_to_nca() takes is_useful_scc() into account

	* spot/twaalgos/cobuchi.cc: Add scc_info_options::TRACK_SUCCS in
	nsa_to_nca().
	* spot/twaalgos/sccinfo.cc: Add scc_info_options::TRACK_SUCCS and
	is_useful_scc() in states_on_acc_cycle_of().

2018-01-19  Alexandre GBAGUIDI AISSE  <gbagui_a@epita.fr>

	twaalgos/cobuchi: Optimize aug. subset construction when aut. is det

	* spot/twaalgos/cobuchi.cc: Avoid the product of an automaton A and its
	power construction Pow(A) when A is deterministic.

2018-01-19  Alexandre GBAGUIDI AISSE  <gbagui_a@epita.fr>

	remfin: add is_buchi_realizable() method

	* NEWS: Update.
	* spot/tl/hierarchy.cc: Replace rabin_to_buchi_maybe() with
	is_buchi_realizable().
	* spot/twaalgos/remfin.cc: Implement it.
	* spot/twaalgos/remfin.hh: Declare it.

2018-01-19  Alexandre GBAGUIDI AISSE  <gbagui_a@epita.fr>

	spot: small factorisations, improvements and typos

	* spot/tl/hierarchy.cc: Factorisations, improvements.
	* spot/twaalgos/totgba.cc:  Typos.

2018-01-19  Alexandre GBAGUIDI AISSE  <gbagui_a@epita.fr>

	sccinfo: Fix bug in states_on_acc_cycle_of_rec()

	* spot/twaalgos/sccinfo.cc: Here.

2018-01-18  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	more doxygen

	This introduce some section for acceptance transformation, and add
	more comments in a few places.

	* spot/taalgos/emptinessta.hh, spot/twa/twa.hh, spot/twa/twagraph.hh,
	spot/twaalgos/bfssteps.hh, spot/twaalgos/cleanacc.hh,
	spot/twaalgos/degen.hh, spot/twaalgos/dualize.hh,
	spot/twaalgos/parity.hh, spot/twaalgos/rabin2parity.hh,
	spot/twaalgos/remfin.hh, spot/twaalgos/sccinfo.hh,
	spot/twaalgos/sepsets.hh, spot/twaalgos/split.hh,
	spot/twaalgos/totgba.hh: More doxygen.
	* spot/twa/twagraph.cc: Typos in comments.

2018-01-16  Maximilien Colange  <colange@lrde.epita.fr>

	Rabin to parity translation

	* spot/twaalgos/rabin2parity.cc, spot/twaalgos/rabin2parity.hh:
	  implement it
	* spot/twaalgos/postproc.cc: use it
	* spot/twaalgos/Makefile.am: build the new files
	* NEWS: document the new function
	* python/spot/impl.i: Python bindings for the new function
	* tests/Makefile.am, tests/core/rabin2parity.test: test the new function

2018-01-16  Maximilien Colange  <colange@lrde.epita.fr>

	Typos and duplicates

	* spot/twaalgos/degen.cc: typo in an error message
	* NEWS: fix typos and remove duplicates

2018-01-16  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	twaalgos: more doxygen comments

	* spot/twaalgos/product.hh, spot/twaalgos/remfin.hh,
	spot/twaalgos/sum.hh, spot/twaalgos/totgba.hh: Improve documentation.

2018-01-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	work around issue #317

	* spot/twaalgos/cobuchi.cc: Call sbacc() on transition-based input.
	* tests/Makefile.am: Remove XFAIL_TESTS.
	* NEWS: Adjust.

2018-01-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	postproc: add support for co-Büchi output

	* spot/twaalgos/cobuchi.cc, spot/twaalgos/cobuchi.hh (to_nca): New
	function.
	(weak_to_cobuchi): New internal function, used in to_nca and to_dca
	when appropriate.
	* spot/twaalgos/postproc.cc, spot/twaalgos/postproc.hh: Implement
	the CoBuchi option.
	* python/spot/__init__.py: Support it in Python.
	* bin/common_post.cc: Add support for --buchi.
	* bin/autfilt.cc: Remove the --dca option.
	* tests/core/dca.test, tests/python/automata.ipynb: Adjust and add
	more tests.  In particular, add more complex persistence and
	recurrence formulas to the list of dca.test.
	* tests/python/dca.test: Adjust and rename to...
	* tests/core/dca2.test: ... this.  Add more tests, to the point
	that this is now failing, as described in issue #317.
	* tests/python/dca.py: Remove.
	* tests/Makefile.am: Adjust.

2018-01-14  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix streett_to_generalized_buchi

	Fixes #316.

	* spot/twaalgos/totgba.cc: Fix confusing definition of scc_inf_wo_fin.
	* tests/python/streett_totgba2.py: New test case.
	* tests/Makefile.am: Add it.
	* NEWS: Mention the bug.

2018-01-10  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	misc: fix some down_cast issues

	We had new failure on MinGW with GCC believing that some pointer
	returned by down_cast could be NULL; and the down_cast function was in
	the global namespace.

	* spot/misc/casts.hh: Rewrite.
	* NEWS: Mention the small issues.
	* tests/core/ikwiad.cc, tests/core/ngraph.cc: Adjust to use
	spot::down_cast instead of down_cast.

2018-01-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltsmin: rework the dlsym interface to please GCC snapshot

	* spot/ltsmin/ltsmin.cc: Avoid C-style function casts with
	incompatible types.

2018-01-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	mark custom hash functions as noexcept

	* spot/misc/bitvect.cc, spot/misc/bitvect.hh, spot/misc/hash.hh,
	spot/twa/acc.hh, spot/twaalgos/cobuchi.cc, spot/twaalgos/degen.cc,
	spot/twaalgos/determinize.cc, spot/twaalgos/parity.cc,
	spot/twaalgos/powerset.cc, spot/twaalgos/product.cc,
	spot/twaalgos/stutter.cc, spot/twaalgos/totgba.cc,
	spot/twaalgos/toweak.cc: Mark hash function as noexcept to please GCC
	snapshot.

2018-01-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* NEWS: Reorganize, in preparation for the 2.5 release.

2018-01-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	fix some bibliographic references

	* spot/twaalgos/cobuchi.hh, spot/twaalgos/totgba.hh: Here.

2018-01-09  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	genltl: add --gf-implies

	* spot/gen/formulas.cc, spot/gen/formulas.hh: Implement
	LTL_GF_IMPLIES.
	* bin/genltl.cc: Add --gf-implies.
	* NEWS: Mention it.
	* tests/core/genltl.test: Use it.

2018-01-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: add colored parity support to postproc and translate

	* python/spot/impl.i: Bind is_colored().
	* python/spot/__init__.py: Add Colored support to postproc.
	* tests/python/parity.py: Add a test case.

2018-01-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	* spot/twaalgos/parity.hh: Fix typo in comment.

2018-01-08  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	postproc: add support for colored-parity

	* spot/twaalgos/postproc.cc, spot/twaalgos/postproc.hh: Add support
	for a colored option.
	* bin/common_post.cc, bin/common_post.hh bin/autfilt.cc,
	bin/ltl2tgba.cc, bin/dstar2tgba.cc: Add support for --colored-parity.
	* bin/ltldo.cc: Adjust as well for consistency, even if --parity and
	--colored-parity is not used here.
	* tests/core/parity2.test: Add tests.
	* doc/org/autfilt.org, doc/org/ltl2tgba.org: Add examples.
	* NEWS: Mention --colored-parity.

2018-01-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: remove error recovery checks from the public notebooks

	* tests/python/_autparserr.ipynb: New files, containing error
	checking code from automata-io.ipynb and piperead.ipynb.
	* tests/python/automata-io.ipynb: Remove error checks, and pipe
	examples from piperead.ipynb.
	* tests/python/piperead.ipynb: Delete.
	* tests/python/word.ipynb: Move error checking code...
	* tests/python/_word.ipynb: ... in this new file.
	* doc/org/tut.org, tests/Makefile.am: Adjust.

2018-01-07  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	python: upgrade notebook format to v4

	Fixes #311.

	* tests/python/ipnbdoctest.py: Adjust to process the new format,
	with a lot of inspiration from Vcsn's copy of this file.
	* tests/python/_altscc.ipynb, tests/python/_aux.ipynb,
	tests/python/acc_cond.ipynb, tests/python/accparse.ipynb,
	tests/python/alternation.ipynb, tests/python/atva16-fig2a.ipynb,
	tests/python/atva16-fig2b.ipynb, tests/python/automata-io.ipynb,
	tests/python/automata.ipynb, tests/python/decompose.ipynb,
	tests/python/formulas.ipynb, tests/python/gen.ipynb,
	tests/python/highlighting.ipynb, tests/python/ltsmin-dve.ipynb,
	tests/python/ltsmin-pml.ipynb, tests/python/parity.ipynb,
	tests/python/piperead.ipynb, tests/python/product.ipynb,
	tests/python/randaut.ipynb, tests/python/randltl.ipynb,
	tests/python/stutter-inv.ipynb, tests/python/testingaut.ipynb,
	tests/python/word.ipynb: Upgrade to the new format.
	* NEWS: Mention the change.

2018-01-06  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	ltlcross: detect remove_fin failures

	Fixes #314, reported by František Blahoudek.

	* bin/ltlcross.cc: Here.
	* tests/core/ltlcross3.test: Add new test case.
	* NEWS: Mention the bug.

2018-01-06  Alexandre Duret-Lutz  <adl@lrde.epita.fr>

	remove_fin: use simplify_acceptance

	* spot/twaalgos/remfin.cc: Simplify acceptance before trying the
	different strategies.
	* spot/twaalgos/cleanacc.cc: Skip simplify_complementary_marks_here()
	on generalized Büchi.
	* tests/core/remfin.test, tests/python/tra2tba.py: Adjust.
	* spot/twaalgos/totgba.cc: Simplify the result of Streett->GBA.
	* NEWS: Adjust.

